<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">5</xsl:variable>
	<!--xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.7</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable-->
	<xsl:include href="import.xsl"/>
	<xsl:include href="import_ek.xsl"/>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<fo:simple-page-master master-name="ersteSeite">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm">
						<xsl:attribute name="margin-bottom">2cm + <xsl:value-of select="$lineOffsetFooter * $freeline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:simple-page-master master-name="folgeseiten">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-bottom="2cm">
						<xsl:attribute name="margin-top">1cm + <xsl:value-of select="$lineOffsetFollowingPage * $freeline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-before precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:page-sequence-master master-name="only">
					<fo:repeatable-page-master-alternatives>
						<fo:conditional-page-master-reference master-reference="ersteSeite" page-position="first"/>
						<fo:conditional-page-master-reference master-reference="folgeseiten" page-position="rest"/>
					</fo:repeatable-page-master-alternatives>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="8pt">
						<xsl:value-of select="//Anfragen/Anfrage/kopf/betreff"/>
						<xsl:value-of select="//Anfragen/Anfrage/kopf/ktitel/titel/value"/>
						<!--fo:inline-->								
						Seite:<fo:page-number/>
						 /  <fo:page-number-citation ref-id="endofdoc"/>
						<!--/fo:inline-->	
					</fo:block>
				</fo:static-content>
				<!--__________________BODY____________________-->
				<fo:flow flow-name="xsl-region-body">
					<xsl:for-each select="//Anfragen">
						<xsl:for-each select="./Anfrage">
							<fo:block font-family="Helvetica" font-size="11pt" break-before="page">
							<xsl:call-template name="fixedlineOffset8"/>
							<xsl:call-template name="Kunde"/>
							<xsl:call-template name="lineOffsetFirstPage"/>
								<xsl:apply-templates select="./kopf"/>
								<xsl:apply-templates select="./kopf/ktitel"/>
								<xsl:apply-templates select="./kopf/anrede"/>
								<xsl:apply-templates select="./kopf/kopftext"/>
								<xsl:apply-templates select="./body"/>
								<xsl:apply-templates select="./fuss"/>
							</fo:block>
						</xsl:for-each>
					<fo:block id="endofdoc"/>
				</xsl:for-each>
			<!--''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''-->
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	
	<!-- *******************************************************-->
	<!--Template  fr KundenDaten (Brief Form)-->
	<!-- *******************************************************-->
	<xsl:template name="Kunde">
		<!--xsl:if test="string-length(./infosachbearbeiter/name/*)=0">
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<xsl:if test="string-length(./infosachbearbeiter/adresse/strasseoderpf)=0"> 
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>		
		<xsl:if test="string-length(./infosachbearbeiter/adresse/plz)=0">		 
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<xsl:if test="string-length(./infosachbearbeiter/adresse/ort)=0">			 
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<xsl:if test="string-length(./infosachbearbeiter/adresse/land)=0">
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<fo:table table-layout="fixed">
		<fo:table-column column-number="1" column-width="8cm"/>
		<fo:table-column column-number="2" column-width="2cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block text-decoration="underline" padding-after="10pt" font-size="8pt">
		<xsl:for-each select="./infosachbearbeiter/name">
		<xsl:value-of select="."/>
		</xsl:for-each>
		<xsl:value-of select="./infosachbearbeiter/adresse/strasseoderpf"/>
		<xsl:value-of select="./infosachbearbeiter/adresse/plz"/>
		<xsl:value-of select="./infosachbearbeiter/adresse/ort"/>
		<xsl:value-of select="./infosachbearbeiter/adresse/land"/>
		</fo:block>
		</fo:table-cell>
			<fo:table-cell></fo:table-cell>
			</fo:table-row>
			</fo:table-body>
		</fo:table-->
		<fo:block>
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/>
				</xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1.4)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<!--xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/-->
							<fo:block>				
								<xsl:apply-templates select="./empfaenger/name"/>
								<xsl:apply-templates select="./empfaenger/adresse"/>
							</fo:block>
						</fo:table-cell>
						<!--fo:table-cell>
							<fo:block font-size="9pt">
								<fo:table table-layout="fixed">
									<xsl:attribute name="inline-progression-dimension">
										<xsl:value-of select="($normBreite) div 2.4"/>
										<xsl:value-of select="$masse"/>
									</xsl:attribute>
									<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
									<fo:table-column column-number="2" column-width="proportional-column-width(1.3)"/>
										<fo:table-body>
										
										<xsl:for-each select="./kopf/ktitel/titel">
											<xsl:if test="string-length(./value) > 0">
											<fo:table-row>
												<fo:table-cell>
													<fo:block>
														<xsl:value-of select="./key"></xsl:value-of>
													</fo:block>
												</fo:table-cell>
												<fo:table-cell>
													<fo:block font-weight="bold">
														<xsl:value-of select="./value"></xsl:value-of>
													</fo:block>
												</fo:table-cell>
											</fo:table-row>
										</xsl:if>
									</xsl:for-each>
									<xsl:for-each select="./kopf/infosachbearbeiter/titel">
											<xsl:if test="string-length(./value) > 0">
											<fo:table-row>
												<fo:table-cell>
													<fo:block>
														<xsl:value-of select="./key"></xsl:value-of>
													</fo:block>
												</fo:table-cell>
												<fo:table-cell>
													<fo:block>
														<xsl:value-of select="./value"></xsl:value-of>
													</fo:block>
												</fo:table-cell>
											</fo:table-row>
										</xsl:if>
									</xsl:for-each>
										</fo:table-body>
									</fo:table>	
								</fo:block>
							</fo:table-cell-->
					</fo:table-row>
				</fo:table-body>
			</fo:table>	
			</fo:block>
		</xsl:template>

	<!-- *******************************************************-->
	<!--Template  fr adresse    IMPORT-->
	<!-- *******************************************************-->
	<!--xsl:template match="adresse">
		<xsl:apply-templates select="./strasseoderpf"/>
		<fo:block>
			<xsl:if test="./kennzeichen !=''">
				<xsl:value-of select="./kennzeichen"/> -
			</xsl:if>
			<xsl:value-of select="./plz"/>
			<xsl:value-of select="./ort"/>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  fr Zeile mit Umbruch            IMPORT-->
	<!-- *******************************************************-->
	 <!--xsl:template match="name">
		<fo:block font-size="11pt">
					<xsl:value-of select="."/>
		</fo:block>
	</xsl:template-->

	<!-- *******************************************************-->
	<!--Template  fr Zeile mit Umbruch            IMPORT-->
	<!-- *******************************************************-->
	 <!--xsl:template match="strasseoderpf|land">
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  /Betreff                      IMPORT-->
	<!-- *******************************************************-->
	<!--xsl:template match="kopf">
		<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
					<fo:table-body>
						<xsl:for-each select=".">
							<fo:table-row>
								<fo:table-cell>
									<fo:block font-weight="bold" font-size="15pt" text-align="start">
										<xsl:value-of select="./betreff"/>
									</fo:block>
								</fo:table-cell>
							<fo:table-cell>
								<fo:block text-align="end">
									<xsl:value-of select="./ortunddatum"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--__________B O D Y_____-->
	<!-- *******************************************************-->
	<xsl:template match="body">
		<xsl:for-each select="./positionen/position">
			<!--xsl:apply-templates select="./positionsnummer"/>
			<xsl:apply-templates select="./fremdeNummer"/-->
			<xsl:apply-templates select="./positionstitel"/>
			<xsl:apply-templates select="./pbeschreibungen"/>
			<xsl:apply-templates select="./mengen"/>
					</xsl:for-each>
			<xsl:apply-templates select="./preisangabe"/>

	</xsl:template>		
	<!-- *******************************************************-->
		<!--xsl:template match="positionsnummer">
		<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-top="1pt solid black">
							<fo:block>
								<xsl:if test="string-length(./value) > 0">
								<xsl:if test="name(.)='positionsnummer'">Unsere Nummer:</xsl:if>	
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-top="1pt solid black">
							<fo:block>
								<xsl:value-of select="./value"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template-->	
	<!-- *******************************************************-->
		<!--xsl:template match="fremdeNummer|positionstitel">
		<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./value) > 0">
								<xsl:if test="name(.)='fremdeNummer'">Ihre Nummer:</xsl:if>
								<xsl:if test="name(.)='positionstitel'">Titel:</xsl:if>	
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./value"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template-->			
		
	<!-- *******************************************************-->
	<!--xsl:template match="ktitel">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(40)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(30)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(30)"/>
				<fo:table-body>
					<xsl:for-each select="./titel">
						<fo:table-row>
							<fo:table-cell>
								<fo:block/>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:if test="string-length(./value) > 0">
										<xsl:value-of select="./key"/>
									</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block font-weight="bold">
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
						
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>

					<xsl:template match="infosachbearbeiter">
				<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(40)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(30)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(30)"/>
				<fo:table-body>

						<xsl:for-each select="./titel">
						<fo:table-row>
							<fo:table-cell>
								<fo:block/>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
								<xsl:if test="string-length(./value) > 0">
										<xsl:value-of select="./key"/>
									</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block font-weight="bold">
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
										
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template-->

	<!-- *******************************************************-->
	<!--Template fur Anrede               -->
	<!-- *******************************************************-->
	<xsl:template match="anrede">
	<xsl:call-template name="return"/>
	<xsl:call-template name="return"/>
	<xsl:call-template name="return"/>
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Kopftext-->
	<!-- *******************************************************-->
	<xsl:template match="kopftext">
	<xsl:call-template name="return"/>
	<xsl:for-each select="./zeile">
	<fo:block>
		<xsl:value-of select="."/>
		</fo:block>
		<xsl:call-template name="return"/>
		</xsl:for-each>


	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur pbeschreibung-->
	<!-- *******************************************************-->
	<!--xsl:template match="pbeschreibungen">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
				<fo:table-body>
					<xsl:for-each select="./pbeschreibung">
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
								<xsl:if test="string-length(./value) > 0">
									<xsl:value-of select="./key"/>
									</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<xsl:for-each select="./value">
									<fo:block>
										<xsl:value-of select="."/>
									</fo:block>
								</xsl:for-each>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  MENGEN-->
	<!-- *******************************************************-->
	<xsl:template match="mengen">
		<xsl:choose>
			<xsl:when test="count(./value)=4">
				<xsl:call-template name="tabelle4"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="tabelle9"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  Tabelle fr Menge  4 Positionen  -->
	<!-- *******************************************************-->
	<xsl:template name="tabelle4">
		<xsl:call-template name="return"/>
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(10)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(7.5)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(7.5)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(7.5)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(7.5)"/>
			<fo:table-body>
				<xsl:for-each select=".">
					<fo:table-row>
						<fo:table-cell>
							<fo:block space-after="5pt" font-weight="bold">
								<xsl:value-of select="key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="value">
							<xsl:if test="position() &lt;= 5">
								<fo:table-cell>
									<fo:block space-after="5pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
				<fo:table-row height="3pt">
					<fo:table-cell border-bottom="1pt solid black"/>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  Tabelle  fr Menge  ab 7 bis 9-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle9">
		<xsl:call-template name="return"/>
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<xsl:for-each select=".">
					<fo:table-row>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="value">
							<xsl:if test="position() &lt;=4">
								<fo:table-cell>
									<fo:block>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell/>
						<xsl:for-each select="value">
							<xsl:if test="position() &gt;=4 and position() &lt;=7 ">
								<fo:table-cell>
									<fo:block space-before="5pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell/>
						<xsl:for-each select="value">
							<xsl:if test="position() &gt;=7">
								<fo:table-cell>
									<fo:block space-before="5pt" space-after="5pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Preisangabe-->
	<!-- *******************************************************-->
	<xsl:template match="preisangabe">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>	
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(2.5)"/>
				<fo:table-body>
					<xsl:for-each select=".">
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block font-weight="bold">
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur fuss            -->
	<!-- *******************************************************-->
	<xsl:template match="fuss">
		<fo:block>
			<xsl:apply-templates select="./zusatz"/>
			<xsl:apply-templates select="./ustfloskel"/>
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
			<xsl:apply-templates select="./fusstext/*"/>
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
			<xsl:apply-templates select="./sachbearbeiter"/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Fuss generell-->
	<!-- *******************************************************-->
	<xsl:template match="fusstext/*">
		<xsl:call-template name="return"/>
		<xsl:value-of select="."/>
	</xsl:template>
</xsl:stylesheet>
