<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">5</xsl:variable>
	<xsl:include href="import.xsl"/>
	<xsl:include href="import_vk.xsl"/>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<fo:simple-page-master master-name="ersteSeite">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm">
						<xsl:attribute name="margin-bottom">2cm + <xsl:value-of select="$lineOffsetFooter * $freeline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:simple-page-master master-name="folgeseiten">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-bottom="2cm">
						<xsl:attribute name="margin-top">1cm + <xsl:value-of select="$lineOffsetFollowingPage * $freeline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-before precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:page-sequence-master master-name="only">
					<fo:repeatable-page-master-alternatives>
						<fo:conditional-page-master-reference master-reference="ersteSeite" page-position="first"/>
						<fo:conditional-page-master-reference master-reference="folgeseiten" page-position="rest"/>
					</fo:repeatable-page-master-alternatives>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="8pt">
						<xsl:value-of select="//Angebote/Angebot/kopf/betreff"/>
						<xsl:value-of select="//Angebote/Angebot/kopf/ktitel/unsereNummer"/>
						Seite:<fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>
					</fo:block>
				</fo:static-content>
				<!--__________________BODY____________________-->
				<fo:flow flow-name="xsl-region-body">
					<xsl:for-each select="//Angebote">
						<xsl:for-each select="./Angebot">
					<fo:block font-family="Helvetica" font-size="11pt" break-before="page">
						<xsl:call-template name="fixedlineOffset8"/>
						<fo:block font-size="11.0pt">
								<xsl:apply-templates select="./kunde/name"/>
						</fo:block>
						<xsl:apply-templates select="./kunde/adresse"/>
						<xsl:call-template name="lineOffsetFirstPage"/>
						<xsl:apply-templates select="./kopf"/>
						<xsl:apply-templates select="./kopf/ktitel"/>
						<xsl:apply-templates select="./kopfanrede/anrede"/>
						<xsl:apply-templates select="./kopfanrede/kopftext"/>
						<xsl:apply-templates select="./body/positionen"/>
						<xsl:apply-templates select="./fuss"/>
					</fo:block>
						</xsl:for-each>
						<fo:block id="endofdoc"/>
					</xsl:for-each>						
					<!--''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''-->
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<xsl:template match="positionen">
			<!--xsl:call-template name="return"/>
			<xsl:call-template name="return"/-->
	<xsl:for-each select="./position">
		<!--fo:block>
		<fo:inline>Titel:</fo:inline>
		<fo:inline font-weight="bold" font-size="11pt">
		<xsl:value-of select="./positionstitel"></xsl:value-of>
		</fo:inline>
		</fo:block>
		<xsl:call-template name="return"/-->
		<!--fo:table-column column-number="1" column-width="proportional-column-width(0.95)"/>
		<fo:table-column column-number="2" column-width="proportional-column-width(3.05)"/-->
		<xsl:apply-templates select="./positionstitel"/>
		<xsl:apply-templates select="./pbeschreibungen"/>
		<xsl:apply-templates select="./mengen"/>
		<xsl:call-template name="return"/>
	</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  MENGEN-->
	<!-- *******************************************************-->
	<xsl:template match="mengen">
		<xsl:call-template name="return"/>
		<xsl:choose>
			<xsl:when test="count(./menge)=4">
				<xsl:call-template name="tabelle4"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="tabelle9"/>
			</xsl:otherwise> 
		</xsl:choose>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  Tabelle fr Menge  4 Positionen  -->
	<!-- *******************************************************-->
	<xsl:template name="tabelle4">
		<fo:block>
			<fo:table table-layout="fixed" border-bottom="1pt solid gray">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.3)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(0.8)"/>

			<fo:table-header background-color="#CCCCCC" space-after="1pt" space-before="1pt"
							border-bottom="1pt solid gray" border-top="1pt solid gray">
				<xsl:for-each select="../varianten">
					<fo:table-row>
						<fo:table-cell/>
						<xsl:for-each select="../varianten/variante">
							<xsl:if test="position()=1">
							<fo:table-cell/>

							<fo:table-cell>
								<fo:block text-align="start" start-indent="5pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
							
							</xsl:if>
							<xsl:if test="position() &gt; 1">

							<fo:table-cell>
								<fo:block text-align="start" start-indent="5pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>

							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
				
				<xsl:for-each select=".">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./mengenkey"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./menge">
								<xsl:if test="position()=1">

								<fo:table-cell number-columns-spanned="2">
									<fo:block text-align="end" end-indent="1pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
								
								</xsl:if>
								<xsl:if test="position() &gt; 1">

								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
								
								</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
				</fo:table-header>
				
				<fo:table-body>
				<xsl:for-each select="../npreisepro">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preispro">
								<xsl:if test="position()=1">

								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
								
								</xsl:if>
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
				
				<xsl:for-each select="../weiterestausend">
				<xsl:if test="string-length(./preis) >0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
								<xsl:if test="position()=1">
								
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
								
								</xsl:if>
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>
				
				<xsl:for-each select="../npreise">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
								<xsl:if test="position()=1">

								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
								
								</xsl:if>
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>	
				
				<xsl:for-each select="../umsatzsteuer">
					<xsl:if test="string-length(./key) > 0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								+<xsl:value-of select="./key"/>%USt.
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./value">
								<xsl:if test="position()=1">

								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
								
								</xsl:if>
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>	
				
				<xsl:for-each select="../bpreise">
					<xsl:if test="string-length(./key) > 0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
								<xsl:if test="position()=1">

								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
								
								</xsl:if>
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>	
			</fo:table-body>
		</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  Tabelle  fr Menge  ab 7 bis 9-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle9">
		<fo:block>
			<xsl:for-each select=".">
				<xsl:if test="count(./menge) &gt;=1 and position()&lt;=3">
			
			<fo:table table-layout="fixed" border-bottom="1pt solid gray">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>	
			<fo:table-column column-number="1" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.3)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1.0)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(1.0)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(1.0)"/>
			
			<fo:table-header background-color="#CCCCCC" space-after="1pt" space-before="1pt"
							border-bottom="1pt solid gray" border-top="1pt solid gray">
				<xsl:for-each select="../varianten">
					<fo:table-row>
						<fo:table-cell/>
						<xsl:for-each select="../varianten/variante">
							<xsl:if test="position()=1">
								<fo:table-cell/>
								<fo:table-cell>
									<fo:block text-align="start" start-indent="5pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt; 1 and position() &lt;=3">
								<fo:table-cell>
									<fo:block text-align="start" start-indent="5pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
				
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							<xsl:value-of select="./mengenkey"/>
						</fo:block>
					</fo:table-cell>
					<xsl:for-each select="menge">
						<xsl:if test="position()=1">
							<fo:table-cell number-columns-spanned="2">
								<fo:block text-align="end" end-indent="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
						<xsl:if test="position() &gt; 1 and position() &lt;=3">
							<fo:table-cell>
								<fo:block text-align="end" end-indent="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			
			<fo:table-body>
				<xsl:for-each select="../npreisepro">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preispro">
							<xsl:if test="position()=1">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=1 and position() &lt;=3">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
				
				<xsl:for-each select="../weiterestausend">
					<xsl:if test="string-length(./preis)>0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
							<xsl:if test="position()=1">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=1 and position() &lt;=3">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>
				
				<xsl:for-each select="../npreise">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
							<xsl:if test="position()=1">
								<fo:table-cell>
									<fo:block text-align="start" start-indent="5pt">
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=1 and position() &lt;=3">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
					
				<xsl:for-each select="../umsatzsteuer">
					<xsl:if test="string-length(./key) > 0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								+<xsl:value-of select="./key"/>%USt.
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./value">
							<xsl:if test="position()=1">
								<fo:table-cell>
									<fo:block text-align="start" start-indent="5pt">
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=1 and position() &lt;=3">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>
				
				<xsl:for-each select="../bpreise">
					<xsl:if test="string-length(./key) > 0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
							<xsl:if test="position()=1">
								<fo:table-cell>
									<fo:block text-align="start" start-indent="5pt">
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=1 and position() &lt;=3">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>

			</fo:table-body>
			</fo:table>
		</xsl:if>
			<!-- *******************************************************-->
		<xsl:if test="count(./menge) &gt;=4 and position() &lt;=6">
			<xsl:call-template name="return"/>
			
			<fo:table table-layout="fixed" border-bottom="1pt solid gray">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>	
			<fo:table-column column-number="1" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.3)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1.0)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(1.0)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(1.0)"/>
			
			<fo:table-header background-color="#CCCCCC" space-after="1pt" space-before="1pt"
							border-bottom="1pt solid gray" border-top="1pt solid gray">
				<xsl:for-each select="../varianten">
					<fo:table-row>
						<fo:table-cell/>
						<xsl:for-each select="../varianten/variante">
							<xsl:if test="position()=4">
								<fo:table-cell/>
								<fo:table-cell>
									<fo:block text-align="start" start-indent="5pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt; 4 and position() &lt;=6">
								<fo:table-cell>
									<fo:block text-align="start" start-indent="5pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
				
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							<xsl:value-of select="./mengenkey"/>
						</fo:block>
					</fo:table-cell>
					<xsl:for-each select="menge">
						<xsl:if test="position()=4">
							<fo:table-cell number-columns-spanned="2">
								<fo:block text-align="end" end-indent="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
						<xsl:if test="position() &gt; 4 and position() &lt;=6">
							<fo:table-cell>
								<fo:block text-align="end" end-indent="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			
			<fo:table-body>
				<xsl:for-each select="../npreisepro">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preispro">
							<xsl:if test="position()=4">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=4 and position() &lt;=6">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
					
				<xsl:for-each select="../weiterestausend">
					<xsl:if test="string-length(./preis)>0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
							<xsl:if test="position()=4">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=4 and position() &lt;=6">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>
					
				<xsl:for-each select="../npreise">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
							<xsl:if test="position()=4">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=4 and position() &lt;=6">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
					
				<xsl:for-each select="../umsatzsteuer">
					<xsl:if test="string-length(./key) > 0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								+<xsl:value-of select="./key"/>%USt.
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./value">
							<xsl:if test="position()=4">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=4 and position() &lt;=6">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>
				
				<xsl:for-each select="../bpreise">
					<xsl:if test="string-length(./key) > 0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
							<xsl:if test="position()=4">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=4 and position() &lt;=6">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>
			</fo:table-body>
			</fo:table>
		</xsl:if>
		<!-- *******************************************************-->
		<xsl:if test="count(./menge) &gt;=7">
			<xsl:call-template name="return"/>
							
			<fo:table table-layout="fixed" border-bottom="1pt solid gray">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>	
			<fo:table-column column-number="1" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.3)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1.0)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(1.0)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(1.0)"/>
			
			<fo:table-header background-color="#CCCCCC" space-after="1pt" space-before="1pt"
							border-bottom="1pt solid gray" border-top="1pt solid gray">
				<xsl:for-each select="../varianten">
					<fo:table-row>
						<fo:table-cell/>
						<xsl:for-each select="../varianten/variante">
							<xsl:if test="position()=7">
								<fo:table-cell/>
								<fo:table-cell>
									<fo:block text-align="start" start-indent="5pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt; 7">
								<fo:table-cell>
									<fo:block text-align="start" start-indent="5pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
				
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							<xsl:value-of select="./mengenkey"/>
						</fo:block>
					</fo:table-cell>
					<xsl:for-each select="menge">
						<xsl:if test="position()=7">
							<fo:table-cell number-columns-spanned="2">
								<fo:block text-align="end" end-indent="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
						<xsl:if test="position() &gt; 7">
							<fo:table-cell>
								<fo:block text-align="end" end-indent="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			
			<fo:table-body>
				<xsl:for-each select="../npreisepro">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preispro">
							<xsl:if test="position()=7">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=7">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
				
				<xsl:for-each select="../weiterestausend">
					<xsl:if test="string-length(./preis)>0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
							<xsl:if test="position()=7">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=7">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>
				
				<xsl:for-each select="../npreise">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
							<xsl:if test="position()=7">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=7">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>	
					
				<xsl:for-each select="../umsatzsteuer">
					<xsl:if test="string-length(./key) > 0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								+<xsl:value-of select="./key"/>%USt.
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./value">
							<xsl:if test="position()=7">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=7">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>	
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>	
				
				<xsl:for-each select="../bpreise">
					<xsl:if test="string-length(./key) > 0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./preis">
							<xsl:if test="position()=7">
								<fo:table-cell text-align="start" start-indent="5pt">
									<fo:block>
										<xsl:value-of select="//waehrung/waehrungvalue"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=7">
								<fo:table-cell>
									<fo:block text-align="end" end-indent="1pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
					</xsl:if>
				</xsl:for-each>	
			</fo:table-body>		
		</fo:table>
		</xsl:if>
	</xsl:for-each>
	</fo:block>
	
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template fur Anrede -->
	<!-- *******************************************************-->
	<xsl:template match="anrede">
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Kopftext-->
	<!-- *******************************************************-->
	<xsl:template match="kopftext">
		<xsl:call-template name="return"/>
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur fuss-->
	<!-- *******************************************************-->
	<xsl:template match="fuss">
		<!--fo:block>
			Alle genannten Preise sind ohne die gesetzliche Umsatzsteuer angegeben.
		</fo:block>
		<xsl:call-template name="return"/-->
		<!-- **********schreib IF!!!!!********************-->
		<!--xsl:if test="string-length(//fuss/zusatz)>0">	<fo:block>
			Dieses Angebot gilt bis zum <xsl:value-of select="//fuss/zusatz"></xsl:value-of>
		</fo:block>
		<xsl:call-template name="return"/></xsl:if-->
		<xsl:for-each select="./zusatz">
			<fo:block>
				<xsl:value-of select="."></xsl:value-of>
			</fo:block>
		</xsl:for-each>

		<xsl:for-each select="./fusstext">
		<fo:block><xsl:call-template name="return"/>
		<xsl:for-each select="./zeile">
		<fo:block>
		<xsl:value-of select="."/></fo:block>
		</xsl:for-each></fo:block>
		</xsl:for-each>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<fo:block>
			<xsl:value-of select="./sachbearbeiter"/>
		</fo:block>
			

	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Fuss generell-->
	<!-- *******************************************************-->
	<xsl:template match="fusstext">
		<xsl:call-template name="return"/>
		<xsl:for-each select="./zeile">
		<xsl:value-of select="."/>
		</xsl:for-each>

	</xsl:template>
</xsl:stylesheet>

