<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">7</xsl:variable>
	<xsl:include href="import.xsl"/>
	<xsl:include href="import_vk.xsl"/>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<fo:simple-page-master master-name="ersteSeite">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm">
						<xsl:attribute name="margin-bottom">2cm + <xsl:value-of select="$lineOffsetFooter * $freeline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:simple-page-master master-name="folgeseiten">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-bottom="2cm">
						<xsl:attribute name="margin-top">1cm + <xsl:value-of select="$lineOffsetFollowingPage * $freeline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-before precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:page-sequence-master master-name="only">
					<fo:repeatable-page-master-alternatives>
						<fo:conditional-page-master-reference master-reference="ersteSeite" page-position="first"/>
						<fo:conditional-page-master-reference master-reference="folgeseiten" page-position="rest"/>
					</fo:repeatable-page-master-alternatives>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _______________________________-->
			<!-- actual layout ________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ***************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-size="8pt">
						<xsl:value-of select="//Auftragsbestaetigungen/Auftragsbestaetigung/kopf/betreff"/>
						<xsl:value-of select="//Auftragsbestaetigungen/Auftragsbestaetigung/kopf/ktitel/unsereNummer"/>
						Seite:  <fo:page-number/>/<fo:page-number-citation ref-id="endofdoc"/>
					</fo:block>
				</fo:static-content>
				<!--__________________BODY____________________-->
				<fo:flow flow-name="xsl-region-body">
					<xsl:for-each select="//Auftragsbestaetigungen">
						<xsl:for-each select="./Auftragsbestaetigung">
					<fo:block font-family="Helvetica" font-size="11pt" break-before="page">
						<xsl:call-template name="fixedlineOffset8"/>
						<xsl:apply-templates select="./kunde/name"/>
						<xsl:apply-templates select="./kunde/adresse"/>
						<xsl:call-template name="lineOffsetFirstPage"/>
						<xsl:apply-templates select="./kopf"/>
						<xsl:apply-templates select="./kopf/ktitel"/>
						<xsl:apply-templates select="./kopfanrede/anrede"/>
						<xsl:apply-templates select="./kopfanrede/kopftext"/>
						<xsl:for-each select="./body/positionen/position">
							<xsl:apply-templates select="./positionstitel"/>
							<xsl:apply-templates select="./pbeschreibungen"/>
							<xsl:apply-templates select="./varianten"/>
							<xsl:apply-templates select="./mengen"/>
							<xsl:apply-templates select="./npreisepro"/>
							<xsl:apply-templates select="./weiterestausend"/>
							<xsl:apply-templates select="./npreise"/>
							<!--<xsl:apply-templates select="./zuzueglich"/>
							<xsl:apply-templates select="./inclusive"/>-->
							<!--statt  zuzueglich und inclusive (nach xml) <einzelkosten> -->
							<xsl:apply-templates select="./einzelkosten"/>
							<xsl:apply-templates select="./nettoendpreise"/>
							<xsl:apply-templates select="./umsatzsteuer"/>
							<xsl:apply-templates select="./bpreise"/>
							<xsl:apply-templates select="./anzahlung"/>
							<xsl:apply-templates select="./termine"/>
						</xsl:for-each>
						<!--xsl:apply-templates select="./termine"/-->
						<xsl:apply-templates select="./fuss"/>
					</fo:block>
						</xsl:for-each>
						<fo:block id="endofdoc"/>
					</xsl:for-each>	
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ***************************************************   -->
	</xsl:template>
	<!-- ** process  element-nodes  **    -->
	<!-- *******************************************************-->
	<!--Template  fr Tabelle mit 2 Spalten Positionsbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="mengen">
		<fo:table table-layout="fixed" padding-top="7pt">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell border-bottom="1pt solid gray" border-top="1pt solid gray" padding-after="1pt"
									 padding-top="1pt" background-color="#CCCCCC">
						<fo:block font-weight="bold" font-size="10pt">
							<xsl:if test="string-length(./menge) > 0">
								<xsl:value-of select="./mengenkey"/>
							</xsl:if>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-bottom="1pt solid gray" border-top="1pt solid gray" padding-after="1pt"
									 padding-top="1pt" background-color="#CCCCCC">
						<fo:block text-align="end" end-indent="5pt" font-weight="bold" font-size="10pt">
							<xsl:value-of select="./menge"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Tabelle mit 2 Spalten Positionsbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="weiterestausend|nettoendpreise|npreise">
	<xsl:if test="string-length(./preis) > 0">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(2.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							<xsl:value-of select="./key"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>
								<xsl:apply-templates select="../waehrung"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" end-indent="5pt" font-family="Courier" font-size="11pt" font-weight="bold">
							<xsl:value-of select="./preis"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Tabelle mit 2 Spalten Positionsbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="bpreise">
	<xsl:if test="string-length(./preis) > 0">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(2.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell border-top="2pt solid black">

						<fo:block padding-top="3pt">
							<xsl:value-of select="./key"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-top="2pt solid black">

						<fo:block padding-top="3pt">
								<xsl:apply-templates select="../waehrung"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-top="2pt solid black">
						<fo:block text-align="end" end-indent="5pt" font-family="Courier" font-size="11pt" font-weight="bold" padding-top="3pt">
							<xsl:value-of select="./preis"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Tabelle mit 2 Spalten Positionsbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="anzahlung">
	<xsl:if test="string-length(./betrag) > 0">
		<xsl:call-template name="return"/>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(2.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							<xsl:value-of select="./key"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>
								<xsl:apply-templates select="../waehrung"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" end-indent="5pt" font-family="Courier" font-size="11pt" font-weight="bold">
							<xsl:value-of select="./betrag"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Tabelle mit 2 Spalten Positionsbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="npreisepro">
		<xsl:if test="string-length(./preispro) > 0">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(2.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							<xsl:value-of select="./key"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						
							<fo:block>
								<xsl:apply-templates select="../waehrung"/>
							</fo:block>
						
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" end-indent="5pt" font-family="Courier" font-size="11pt" font-weight="bold">
							<xsl:value-of select="./preispro"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="umsatzsteuer">
		<xsl:if test="string-length(./value) > 0">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(2.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
						<fo:inline font-family="Courier" >+<xsl:value-of select="./key"/></fo:inline>% USt.
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>
							<xsl:apply-templates select="../waehrung"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" end-indent="5pt" font-family="Courier" font-size="11pt" font-weight="bold">
							<xsl:value-of select="./value"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		</xsl:if>

	</xsl:template>
	<!-- *******************************************************-->
	<!--einzelkosten-->
	<!-- *******************************************************-->
	<xsl:template match="einzelkosten">
		<xsl:apply-templates select="./EinzelkostenInclusiv"/>
		<xsl:apply-templates select="./EinzelkostenExclusiv"/>
	</xsl:template>
		
	<!-- *******************************************************-->
	<!--einzelkosten  EinzelkostenInclusiv-->
	<!-- *******************************************************-->
		<xsl:template match="EinzelkostenInclusiv">
		<xsl:if test="string-length(./EinzelkostenPosition/Betrag) > 0">
		<fo:block>Im Preis enthalten:</fo:block></xsl:if>


		<xsl:for-each select="./EinzelkostenPosition">
		<xsl:if test="string-length(./Betrag) > 0">
	
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(2)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(1.5)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block text-align="start" start-indent="10pt">
							<xsl:value-of select="./Text"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>
							<xsl:apply-templates select="../../../waehrung"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" end-indent="5pt" font-family="Courier" font-size="11pt" font-weight="bold">
							<xsl:value-of select="./Betrag"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" end-indent="5pt" font-family="Courier" font-size="11pt" font-weight="bold">
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		</xsl:if>
		</xsl:for-each>
	</xsl:template>
		
	<!-- *******************************************************-->
	<!--einzelkosten  EinzelkostenInclusiv-->
	<!-- *******************************************************-->
		<xsl:template match="EinzelkostenExclusiv">
		<xsl:if test="string-length(./EinzelkostenPosition/Betrag) > 0">
		<fo:block>Zuzglich:</fo:block>
		
		</xsl:if>

		<xsl:for-each select="./EinzelkostenPosition">
		<xsl:if test="string-length(./Betrag) > 0">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(2.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block text-align="start" start-indent="10pt">
							<xsl:value-of select="./Text"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>
							<xsl:apply-templates select="../../../waehrung"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" end-indent="5pt" font-family="Courier" font-size="11pt" font-weight="bold">
							<xsl:value-of select="./Betrag"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr termin   -->
	<!-- *******************************************************-->
	<xsl:template match="termine">
		<fo:table table-layout="fixed" padding-top="15pt">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
			<fo:table-body>
				<xsl:for-each select="./termin">
				<xsl:if test="string-length(./value) > 0">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./value"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Fuss generell					-->
	<!-- *******************************************************-->
	<xsl:template match="fuss">
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<fo:block>
			<xsl:value-of select="./zusatz"/>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<fo:block>
		<xsl:for-each select="./fusstext">
			<xsl:for-each select="./zeile">
				<fo:block>
					<xsl:value-of select="."/>
				</fo:block>
			</xsl:for-each>
		</xsl:for-each>
		</fo:block>
		<xsl:call-template name="return"/>
		<fo:block>
			<xsl:value-of select="./sachbearbeiter"/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  Umbruch/ eine   NCHSTE     Seite      -->
	<!-- *******************************************************-->
	<xsl:template name="break">
		<fo:block break-before="page"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Endtext-->
	<!-- *******************************************************-->
	<xsl:template match="waehrung">
		<xsl:value-of select="./waehrungvalue"/>
		<fo:inline></fo:inline>
	</xsl:template>
	<!-- *******************************************************-->
</xsl:stylesheet>
