<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">12pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$left -$right)"/>
		</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
															<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					
					<fo:region-body margin-top="1cm"/>
					<fo:region-before precedence="true" extent="2cm"/>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
							 <fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="8pt" text-align="end">
						Auftragssammelbogen  Seite: <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>

					
					</fo:block>
				</fo:static-content>

				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
				<xsl:call-template name="SeitenKopf"/>
				<xsl:call-template name="return"/>

					<fo:block font-family="Courier" font-size="8pt" text-align="start">
					<xsl:apply-templates select="//Auftrag"/>
					<!--<xsl:apply-templates select="//data"/>-->
					<xsl:apply-templates select="//Statistik/Auftragnummer"/>
					<xsl:call-template name="return"/>


						<xsl:apply-templates select="//Uebersicht/Eigenfertigung"/>
						<xsl:apply-templates select="//Uebersicht/Einzelkosten"/>
						<xsl:apply-templates select="//Uebersicht/Fremdleistungen"/>
						<!--fo:block text-align="start" font-weight="bold" font-size="12pt" font-family="Helvetica">
							<xsl:apply-templates select="//Statistik/Eigenfertigung/BlockTitel"/>
						</fo:block>
					<xsl:apply-templates select="//Statistik/Eigenfertigung/Abteilung"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<fo:block text-align="start" font-weight="bold" font-size="12pt" font-family="Helvetica">
							<xsl:apply-templates select="//Statistik/Einzelkosten/BlockTitel"/>
						</fo:block>
						<xsl:call-template name="return"/>
						<xsl:apply-templates select="//Statistik/Einzelkosten/Materialkategorie"/>
						<xsl:call-template name="return"/>
						<xsl:apply-templates select="//Statistik/Fremdleistungen"/-->
						<xsl:call-template name="GesamtsummeSammelbogen"/>
						<fo:block id="endofdoc"/>

						<!-- ************************************ BODY  end***********************-->
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ************************************   -->
	</xsl:template>
	<!-- ** process  element-nodes  **    -->
	<!-- *******************************************************-->
	<!--Template  für SeitenKopf-->
	<!-- *******************************************************-->
	<xsl:template match="Auftragnummer">
		<fo:table border-width="1pt" border-style="solid" padding-top="5pt"
		 padding-bottom="5pt" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
					<fo:table-row>
						<fo:table-cell padding-left="7pt">
								<fo:block>
								<xsl:if test="name(.)='Auftragnummer'">Auftragsnummer:</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell padding-left="7pt">
								<fo:block>
								Auftragsname:
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
							<fo:block>
								<xsl:value-of select="../Auftragname"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
<!-- *******************************************************-->
	<xsl:template match="data">
		<fo:table border-width="1pt" border-style="solid" padding-top="5pt"
		 padding-bottom="5pt" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell padding-left="7pt">
								<fo:block>
								<xsl:if test="name(.)='kunde'">
									<fo:inline font-weight="bold"> Kunde:
									</fo:inline>
									<xsl:call-template name="return"/>
								</xsl:if>
								<xsl:if test="name(.)='auftragsnummer'">Auftragsnummer:</xsl:if>
								<xsl:if test="name(.)='titel'">Titel:</xsl:if>
								<xsl:if test="name(.)='besteller'">Besteller:</xsl:if>
								<xsl:if test="name(.)='bestellTyp'">Bestellt:</xsl:if>
								<xsl:if test="name(.)='bestellDatum'">Bestellt am:</xsl:if>
								<xsl:if test="name(.)='telefon'">Telefon:</xsl:if>
								<xsl:if test="name(.)='fax' and string-length(.)>0">Fax:</xsl:if>
								<xsl:if test="name(.)='sachbearbeiter'">Sachbearbeiter:</xsl:if>
								<xsl:if test="name(.)='auflage'">Auflage:</xsl:if>
								<xsl:if test="name(.)='preis'">Preis:</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
							<xsl:if test="name(.)='kunde'">
								<fo:block font-weight="bold">
									<xsl:value-of select="."/>
								</fo:block>
							</xsl:if>
							<xsl:if test="name(.)!='kunde'">
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
							</xsl:if>

						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template  für AuftragKopf-->
	<!-- *******************************************************-->
	<xsl:template match="Auftrag">
	<fo:block font-size="11pt" font-family="Helvetica">
		<fo:table border-width="1pt" border-style="solid" padding-top="0.5cm"
								 padding-bottom="0.5cm" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell padding-left="1cm">
							<fo:block text-align="start">
								<xsl:value-of select="name(.)"/>:
								<xsl:if test=" name(.)='Kunde'">
									<xsl:call-template name="return"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell  padding-right="3.5pt">
							<fo:block>
								<xsl:if test=" name(.)='Kunde' or name(.)='Titel'">
									<xsl:attribute name="font-weight">bold</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template name="SeitenKopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(18)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(46)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(24)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(12)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="start">
								<fo:inline>
									
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="center" font-family="Helvetica" font-size="12pt" 
										font-weight="bold">
								<fo:inline>
									Auftragssammelbogen 
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="end">
								<!--<fo:inline>
									Stand v. 					
								</fo:inline>-->
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="end">
								<!--<fo:inline>
									<fo:page-number/>. Seite
								</fo:inline>-->
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für AuftragKopf-->
	<!-- *******************************************************-->
	<!-- <xsl:template match="Auftrag">
	<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$left -$right)"/>
		</xsl:variable>
		<fo:table border-width="1pt" border-style="solid" padding-left="0.5cm" padding-right="1cm" 
								padding-top="0.5cm" padding-bottom="0.5cm"  table-layout="fixed">
		<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(5)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(12)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell padding-left="0pt" padding-right="3.5pt">
							<fo:block text-align="start">
								<xsl:value-of select="name(.)"/>:
								<xsl:if test=" name(.)='Kunde'">
									<xsl:call-template name="return"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="0pt" padding-right="3.5pt">
							<fo:block>
								<xsl:if test=" name(.)='Kunde' or name(.)='Titel'">
									<xsl:attribute name="font-weight">bold</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>-->
	<!-- *******************************************************-->
	<!--Template  für Produktbeschreibung-->
	<!-- *******************************************************-->
	<!--<xsl:template match="Produktbeschreibung">
		<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$left -$right)"/>
		</xsl:variable>
		<fo:block text-align="start" font-weight="bold">
			<xsl:apply-templates select="./BlockTitel"/>:
		</fo:block>
		<xsl:call-template name="return"/>
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(5)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(10)"/>
			<fo:table-body>
				<xsl:for-each select="*[not(name(.)='BlockTitel')]">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="name(.)"/>:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>-->
	
	<!-- *******************************************************-->
	<!--Template  für   Eigenfertigung -Summe  mit % column-->
	<!-- *******************************************************-->
<xsl:template match="Uebersicht/Eigenfertigung">
		
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(25)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(6)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(6)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(6)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(9)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(9)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(9)"/>
			<fo:table-column column-number="8" column-width="proportional-column-width(9)"/>
			<fo:table-column column-number="9" column-width="proportional-column-width(9)"/>
			<fo:table-column column-number="10" column-width="proportional-column-width(12)"/>
			<fo:table-header background-color="lightgray" display-align="center" padding-top="0pt"
												 padding-bottom="0pt">
				<fo:table-row>
					<xsl:for-each select="./titel/*">
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="end" font-size="7pt" padding-top="5pt" padding-after="5pt" 
															font-family="Helvetica">
								<xsl:if test="position()=1">
									<xsl:attribute name="text-align">start</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()!=2 and position()!=3 and position()!=4">
									<xsl:value-of select="."/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:for-each select="./Abteilung">
					<xsl:call-template name="tabelle-normal"/>
				</xsl:for-each>
				<xsl:for-each select="./SummeGesamt">
					<xsl:call-template name="tabelle-normal-plus-linie"/>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für   Einzelkosten   -->
	<!-- *******************************************************-->
	<xsl:template match="Einzelkosten">
		
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(15)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(3)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(3)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="8" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="9" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="10" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="11" column-width="proportional-column-width(9)"/>
			<fo:table-column column-number="12" column-width="proportional-column-width(9)"/>
			<fo:table-header background-color="lightgray" display-align="center" padding-top="0pt"
																		 padding-bottom="0pt">
				<fo:table-row>
					<xsl:for-each select="./titel/*">
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="end" font-size="7pt" padding-top="5pt" padding-after="5pt" 
																			font-family="Helvetica">
								<xsl:if test="position()=1">
									<xsl:attribute name="text-align">start</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()!=2 and position()!=3 and position()!=4">
									<xsl:value-of select="."/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:for-each select="./Materialkategorie">
					<xsl:call-template name="tabelle-normal"/>
				</xsl:for-each>
				<xsl:for-each select="./SummeGesamt">
					<xsl:call-template name="tabelle-normal-plus-linie"/>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  Fremdleistungen-Uebersicht -->
	<!--******************************************************-->
	<xsl:template match="Fremdleistungen">
		
		
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>		
			<fo:table-column column-number="1" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(5.5)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(5.5)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="8" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="9" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="10" column-width="proportional-column-width(12)"/>
			<fo:table-header background-color="lightgray" display-align="center" padding-top="0pt"
																 padding-bottom="0pt">
				<fo:table-row>
					<xsl:for-each select="./titel/*">
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="end" font-size="7pt" padding-top="5pt" padding-after="5pt" 
																				font-family="Helvetica">
								<xsl:if test="position()=1">
									<xsl:attribute name="text-align">start</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()!=2 and position()!=3">
									<xsl:value-of select="."/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<fo:table-row>
					<xsl:for-each select="SummeGesamt/*">
						<fo:table-cell padding-top="3pt">
							<fo:block text-align="end" font-size="9pt" font-weight="bold">
								<xsl:if test="position()=1">
									<xsl:attribute name="text-align">start</xsl:attribute>Summe
								</xsl:if>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für   Eigenfertigung  Statistik-->
	<!-- *******************************************************-->
	<xsl:template match="Statistik/Eigenfertigung/Abteilung">
		<xsl:call-template name="return"/>
		<fo:block text-align="start" font-size="11pt" font-family="Helvetica" font-weight="bold">
			<xsl:apply-templates select="./BlockTitel"/>:
		</fo:block>
		<fo:block keep-together.within-page="auto">
		<xsl:call-template name="return"/>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(6)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="8" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="9" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="10" column-width="proportional-column-width(12)"/>
			<fo:table-header background-color="lightgray" display-align="center" padding-top="0pt"
																			 padding-bottom="0pt">
				<fo:table-row>
					<xsl:for-each select="//Statistik/Eigenfertigung/titel/*">
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="end" font-size="7pt" padding-top="5pt" padding-after="5pt" 
																				font-family="Helvetica">
								<xsl:if test="position()=1 or position()=2">
									<xsl:attribute name="text-align">start</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:apply-templates select="./Kostenstelle"/>
				<xsl:apply-templates select="./SummeAbteilung"/>
			</fo:table-body>
		</fo:table>
		</fo:block>
		<xsl:call-template name="make-tab-line"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für   Einzelkosten Statistik-->
	<!-- *******************************************************-->
	<xsl:template match="Statistik/Einzelkosten/Materialkategorie">
		<fo:block text-align="start" font-weight="bold" font-size="11pt" font-family="Helvetica">
			<xsl:apply-templates select="./BlockTitel"/>:
		</fo:block>
		<xsl:call-template name="return"/>
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(6)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(11)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(7)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(7)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(6)"/>
			<fo:table-column column-number="8" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="9" column-width="proportional-column-width(10)"/>
			<fo:table-column column-number="10" column-width="proportional-column-width(11)"/>
			<fo:table-column column-number="11" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="12" column-width="proportional-column-width(10)"/>
			<fo:table-header background-color="lightgray" display-align="center" padding-top="0pt"
																			 padding-bottom="0pt">
				<fo:table-row>
					<xsl:for-each select="//Statistik/Einzelkosten/titel/*">
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="end" font-size="7pt" padding-top="5pt" padding-after="5pt" 
																		font-family="Helvetica">
								<xsl:if test="position()=1 or position()=2">
									<xsl:attribute name="text-align">start</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:apply-templates select="./Kostenstelle"/>
				<xsl:apply-templates select="./SummeMaterialkategorie"/>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="make-tab-line"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Fremdleistungen Statistik-->
	<!-- *******************************************************-->
	<xsl:template match="Statistik/Fremdleistungen">
		<fo:block text-align="start" font-weight="bold" font-size="12pt" font-family="Helvetica">
			<xsl:apply-templates select="./BlockTitel"/>
		</fo:block>
		<xsl:call-template name="return"/>
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(6)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(15)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(11)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(11)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="8" column-width="proportional-column-width(8.5)"/>
			<fo:table-column column-number="9" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="10" column-width="proportional-column-width(11)"/>
			<xsl:call-template name="header"/>
			<fo:table-body>
				<xsl:apply-templates select="./Fremdleistung"/>
				<xsl:apply-templates select="./SummeGesamt"/>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="make-tab-line"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Fremdleistung-->
	<!-- *******************************************************-->
	<xsl:template match="Fremdleistung">
		<xsl:apply-templates select="./Ergebnis"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für SummeAbteilung-->
	<!-- *******************************************************-->
	<xsl:template match="SummeAbteilung|SummeMaterialkategorie">
		<xsl:call-template name="tabelle-summe-abteilung"/>
	</xsl:template>
	<!--*******************************************************-->
	<!--Template  für SummeGesamt Statistik/Fremdleistung-->
	<!-- ******************************************************-->
	<xsl:template match="SummeGesamt">
		<xsl:call-template name="tabelle-normal-plus-linie"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für KOstensxstelle -->
	<!-- *******************************************************-->
	<xsl:template match="Kostenstelle">
		<xsl:for-each select="./*">
			<xsl:if test="position()!=last()">
				<xsl:call-template name="tabelle-normalErg"/>
			</xsl:if>
			<xsl:if test="position()=last() and count(../Ergebnis) &gt;1">
				<xsl:call-template name="tabelle-last-plus-linie"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal-plus-linie OBEN, row(last)-->
	<!-- *******************************************************-->
	<xsl:template match="Ergebnis">
		<fo:table-row>
			<xsl:for-each select="./*">
				<fo:table-cell padding-top="3pt">
					<fo:block text-align="end" font-size="9pt">
						<xsl:if test="position()=1">
							<xsl:attribute name="text-align">start</xsl:attribute>
						</xsl:if>
						<xsl:if test="position()=2">
							<xsl:attribute name="text-align">start</xsl:attribute>
							<xsl:attribute name="font-family">Helvetica</xsl:attribute>
							<xsl:attribute name="font-weight">normal</xsl:attribute>
							<xsl:attribute name="font-size">8pt</xsl:attribute>
						</xsl:if>
						<xsl:if test="position()=3">
							<xsl:attribute name="text-align">end</xsl:attribute>
							<xsl:attribute name="font-family">Helvetica</xsl:attribute>
							<xsl:attribute name="font-weight">normal</xsl:attribute>
							<xsl:attribute name="font-size">8pt</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="."/>
					</fo:block>
				</fo:table-cell>
			</xsl:for-each>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal-plus-linie OBEN, row(last)-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle-last-plus-linie">
		<fo:table-row>
			<xsl:for-each select="./*">
				<fo:table-cell padding-top="7pt" border-before-style="solid" border-before-width="1pt" border-after-style="solid" border-after-width="1pt">
					<fo:block text-align="end" font-size="9pt">
						<xsl:if test="position()=1">
							<xsl:attribute name="text-align">start</xsl:attribute>
						</xsl:if>
						<xsl:if test="position()=2">
							<xsl:attribute name="text-align">start</xsl:attribute>Summe
						</xsl:if>
						<xsl:value-of select="."/>
					</fo:block>
				</fo:table-cell>
			</xsl:for-each>
		</fo:table-row>
		<fo:table-row>
			<fo:table-cell>
				<fo:block> </fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal-plus-linie OBEN, row(last)-->
	<!--S P A N-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle-summe-abteilung">
		<fo:table-row>
			<fo:table-cell>
				<fo:block> </fo:block>
			</fo:table-cell>
		</fo:table-row>
		<fo:table-row>
			<xsl:for-each select="./*">
				<xsl:if test="position()=1">
					<fo:table-cell number-columns-spanned="3" padding-top="7pt" border-before-style="solid" border-width="1pt">
						<fo:block text-align="start" font-size="9pt" font-weight="bold">
									Ergebnis  <xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>
				<xsl:if test="position()>3">
					<fo:table-cell padding-top="7pt" border-before-style="solid" border-width="1pt">
						<fo:block text-align="end" font-size="9pt" font-weight="bold">
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>
			</xsl:for-each>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal für SUMME ()-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle-normal">
		<fo:table-row>
			<!--_____________________  SELECTIV AUSWAHL!!! SUMME____________-->
			<xsl:for-each select="*[starts-with(name(.),'Summe')]/*">
				<fo:table-cell padding-top="3pt">
					<fo:block text-align="end" font-size="9pt">
						<xsl:if test="position()=1 or position()=2">
							<xsl:attribute name="text-align">start</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="."/>
					</fo:block>
				</fo:table-cell>
			</xsl:for-each>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal für <Ergebnis></Ergebnis>-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle-normalErg">
		<fo:table-row>
			<xsl:for-each select="*">
				<fo:table-cell padding-top="3pt">
					<fo:block text-align="end" font-size="9pt">
						<xsl:if test="position()=1">
							<xsl:attribute name="text-align">start</xsl:attribute>
						</xsl:if>
						<xsl:if test="position()=2 or position()=3">
							<xsl:attribute name="text-align">start</xsl:attribute>
							<xsl:attribute name="font-family">Helvetica</xsl:attribute>
							<xsl:attribute name="font-weight">normal</xsl:attribute>
							<xsl:attribute name="font-size">8pt</xsl:attribute>
						</xsl:if>
						<xsl:if test="position()=3">
							<xsl:attribute name="text-align">end</xsl:attribute>
							<xsl:attribute name="font-family">Helvetica</xsl:attribute>
							<xsl:attribute name="font-weight">normal</xsl:attribute>
							<xsl:attribute name="font-size">8pt</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="."/>
					</fo:block>
				</fo:table-cell>
			</xsl:for-each>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal-plus-linie  Für SummeGesammt-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle-normal-plus-linie">
		<fo:table-row>
			<xsl:for-each select="../SummeGesamt/*">
				<fo:table-cell padding-top="7pt" border-before-style="solid" border-before-width="1pt">
					<fo:block text-align="end" font-size="9pt" font-weight="bold">
						<xsl:if test="position()=1">
							<xsl:attribute name="text-align">start</xsl:attribute>Summe
							
						</xsl:if>
						<xsl:value-of select="."/>
					</fo:block>
				</fo:table-cell>
			</xsl:for-each>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  make-line   -->
	<!-- *******************************************************-->
	<xsl:template name="make-line">
		<fo:block>
			<xsl:attribute name="leader-length"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:leader leader-pattern="rule" space-before.optimum="1pt" space-after.optimum="1pt"/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template make-tab-line-->
	<!-- *******************************************************-->
	<xsl:template name="make-tab-line">
		<fo:table table-layout="fixed">
			<fo:table-column border-top-style="solid" border-top-width="1.0pt">
				<xsl:attribute name="column-width"><xsl:value-of select="($pagewidth -$left -$right)"/><xsl:value-of select="$masse"/></xsl:attribute>
			</fo:table-column>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block/>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für tabelle-Header-->
	<!-- *******************************************************-->
	<xsl:template name="header">
		<fo:table-header background-color="lightgray" display-align="center">
			<fo:table-row>
				<xsl:for-each select="./titel/*">
					<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
						<fo:block text-align="end" font-size="7pt" padding-top="5pt" padding-after="5pt" font-family="Helvetica">
							<xsl:if test="position()=1">
								<xsl:attribute name="text-align">start</xsl:attribute>
							</xsl:if>
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:for-each>
			</fo:table-row>
		</fo:table-header>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für GesamtsummeSammelbogen-->
	<!-- *******************************************************-->
	<xsl:template name="GesamtsummeSammelbogen">
		<xsl:call-template name="return"/>
		<fo:table start-indent="20pt" padding-end="20pt" border-style="solid"
					 border-after-width="1pt" border-before-width="1pt" border-end-width="1pt" border-start-width="1pt" table-layout="fixed">
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="1cm"/>
			<fo:table-column column-width="3cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block text-align="start" font-weight="bold" font-size="10pt" padding-top="5pt" padding-after="5pt">Abgegebener Preis
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="start" font-weight="bold" font-size="10pt" padding-top="5pt" padding-after="5pt">
							<xsl:value-of select="//Statistik/Waerung"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" font-weight="bold" font-size="11pt" padding-top="5pt" padding-after="5pt">
							<xsl:value-of select="//Statistik/abgegebenerPreis"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block text-align="start" font-weight="bold" font-size="10pt" padding-top="5pt" padding-after="5pt">Summe Kosten SOLL
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="start" font-weight="bold" font-size="10pt" padding-top="5pt" padding-after="5pt">
							<xsl:value-of select="//Statistik/Waerung"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" font-weight="bold" font-size="11pt" padding-top="5pt" padding-after="5pt">
							<xsl:value-of select="//Statistik/summeKostenSoll"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block text-align="start" font-weight="bold" font-size="10pt" padding-top="5pt" padding-after="5pt">Summe Kosten IST
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="start" font-weight="bold" font-size="10pt" padding-top="5pt" padding-after="5pt">
							<xsl:value-of select="//Statistik/Waerung"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" font-weight="bold" font-size="11pt" padding-top="5pt" padding-after="5pt">
							<xsl:value-of select="//Statistik/summeKostenIst"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block text-align="start" font-weight="bold" font-size="10pt" padding-top="5pt" padding-after="5pt">Deckungsbeitrag
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="start" font-weight="bold" font-size="10pt" padding-top="5pt" padding-after="5pt">
							<xsl:value-of select="//Statistik/Waerung"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" font-weight="bold" font-size="11pt" padding-top="5pt" padding-after="5pt">
							<xsl:value-of select="//Statistik/Deckungsbeitrag"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--__________________________________________________-->
</xsl:stylesheet>
