<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:fo="http://www.w3.org/1999/XSL/Format">

<!-- eigene Variablen____________________dynamisch_____________________-->
	<!--<xsl:variable name="pagewidth">
		<xsl:value-of select="//pageWidth"/>
	</xsl:variable>
	<xsl:variable name="pageheight">
		<xsl:value-of select="//pageHeight"/>
	</xsl:variable>
	<xsl:variable name="right">
		<xsl:value-of select="//marginRight"/>
	</xsl:variable>
	<xsl:variable name="left">
		<xsl:value-of select="//marginLeft"/>
	</xsl:variable>
	<xsl:variable name="bottom">
		<xsl:value-of select="//marginBottom"/>
	</xsl:variable>
	<xsl:variable name="top">
		<xsl:value-of select="//marginTop"/>
	</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<xsl:variable name="masse">
		<xsl:value-of select="//masse"/>
	</xsl:variable>
	<xsl:variable name="maxLength">12</xsl:variable>
	<xsl:variable name="gvar">10</xsl:variable>
	<xsl:variable name="freeline">12pt</xsl:variable>-->
	<!-- eigene Variablen______________________dynamisch___________________ -->
	<xsl:variable name="freeline">5pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">1.5</xsl:variable>
	<xsl:variable name="left">2.5</xsl:variable>
	<xsl:variable name="bottom">1</xsl:variable>
	<xsl:variable name="top">2</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$left -$right)"/>
		</xsl:variable>
		<xsl:variable name="maxLength">12</xsl:variable>
	<xsl:variable name="gvar">10</xsl:variable>
	
	<!--xsl:variable name="grafik">
	<xsl:value-of select="//grafik/value"/>
	</xsl:variable-->
	
	
		<xsl:variable name="x">
			<xsl:value-of select="($normBreite)*0.66"/>
		</xsl:variable>
		
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
				
				
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-before precedence="true" extent="2cm"/>
					<fo:region-after precedence="true" extent="0.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="11.0pt">
						<xsl:call-template name="SeitenKopf"/> 
					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="11.0pt" text-align="start">
						<xsl:apply-templates select="//Auftrag"/>
						<xsl:apply-templates select="//data"/>

						 <xsl:apply-templates select="//Parameter"/> 
						  <xsl:apply-templates select="//Einteilungsboegen"/> 

						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  *************************************************************************************   -->
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr SeitenKopf-->
	<!-- *******************************************************-->
	<xsl:template name="SeitenKopf">
		<fo:block>
			<fo:table table-layout="fixed" keep-together="always">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.5)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt" 
											padding-left="0.5cm">
							<fo:block text-align="start">
								<fo:inline>
									<xsl:value-of select="//data/auftragsnummer"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt">
							<fo:block text-align="start" font-weight="bold" font-size="12pt">
								<fo:inline>
									Ausschiessmuster
																	</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt" 
												padding-right="0.5cm">
							<fo:block text-align="end">
								<fo:inline>
									<xsl:value-of select="./Datum"/>
									Seite:  <fo:page-number/>/<fo:page-number-citation ref-id="endofdoc"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--DATA-->
	<xsl:template match="data">
		<fo:table border-width="1pt" border-style="solid" padding-top="5pt"
		 padding-bottom="5pt" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell padding-left="7pt">
								<fo:block>
								<xsl:if test="name(.)='kunde'">
									<fo:inline font-weight="bold"> Kunde:
									</fo:inline>
									<xsl:call-template name="return"/>
								</xsl:if>
								<xsl:if test="name(.)='auftragsnummer'">Auftragsnummer:</xsl:if>
								<xsl:if test="name(.)='titel'">Titel:</xsl:if>
								<xsl:if test="name(.)='besteller'">Besteller:</xsl:if>
								<xsl:if test="name(.)='bestellTyp'">Bestellt:</xsl:if>
								<xsl:if test="name(.)='bestellDatum'">Bestellt am:</xsl:if>
								<xsl:if test="name(.)='telefon'">Telefon:</xsl:if>
								<xsl:if test="name(.)='fax' and string-length(.)>0">Fax:</xsl:if>
								<xsl:if test="name(.)='sachbearbeiter'">Sachbearbeiter:</xsl:if>
								<xsl:if test="name(.)='auflage'">Auflage:</xsl:if>
								<xsl:if test="name(.)='preis'">Preis:</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
							<xsl:if test="name(.)='kunde'">
								<fo:block font-weight="bold">
									<xsl:value-of select="."/>
								</fo:block>
							</xsl:if>
							<xsl:if test="name(.)!='kunde'">
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
							</xsl:if>

						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>

<!-- *******************************************************-->
	<!--Template  fr AuftragKopf-->
	<!-- *******************************************************-->
	<xsl:template match="Auftrag">
		<fo:table border-width="1pt" border-style="solid" padding-top="6pt" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
													<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell padding-left="1cm">
							<fo:block text-align="start">
								<xsl:value-of select="name(.)"/>:
								<xsl:if test=" name(.)='Kunde'">
									<xsl:call-template name="return"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test=" name(.)='Kunde'">
									<xsl:attribute name="font-weight">bold</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
		<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Parameter">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
									<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(0.5)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.5)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.7)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(0.7)"/>
			<fo:table-body>
						<fo:table-row>
						<fo:table-cell>
							<fo:block>Verfahren</fo:block>
						</fo:table-cell>
							<fo:table-cell>
								<fo:block font-weight="bold" font-size="11pt">
									<xsl:value-of select="./Verfahren"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
							<fo:block>Produktgruppe</fo:block>
						</fo:table-cell>
							<fo:table-cell>
								<fo:block font-weight="bold" font-size="11pt">
									<xsl:value-of select="./Produktgruppe"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
						<fo:table-cell>
							<fo:block>Einteilungsbogen</fo:block>
						</fo:table-cell>
							<fo:table-cell>
								<fo:block font-weight="bold" font-size="11pt">
									<xsl:value-of select="./Einteilungsbogen"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
							<fo:block>Maschinenbogen</fo:block>
						</fo:table-cell>
							<fo:table-cell>
								<fo:block font-weight="bold" font-size="11pt">
									<xsl:value-of select="./Maschinenbogen"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>

			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
	</xsl:template>
		<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Einteilungsboegen">
	<xsl:apply-templates select="./info"/> 
		
		<xsl:for-each select="Einteilungsbogen">
			<xsl:apply-templates select="./Einteilungsbogentitel"/> 
			<xsl:apply-templates select="./EinteilungsbogenParameter"/>
			<xsl:apply-templates select="./Maschinenboegen"/> 
 			<!--<xsl:apply-templates select="//grafik"/>-->
 			
		<xsl:call-template name="return"/>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="info">	
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<fo:table-row>
						<fo:table-cell background-color="#FFCC99" border-bottom="1pt solid gray"
										border-top="1pt solid gray" >
							<fo:block>
								<fo:inline font-size="12pt" font-weight="bold"> 
									<xsl:value-of select="./Einteilungsbogen"/>
								</fo:inline>
								<fo:inline font-size="12pt" font-weight="bold"> 
									Einteilungsbogen</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell background-color="#FFCC99" border-bottom="1pt solid gray"
										border-top="1pt solid gray" >
							<fo:block>
								<fo:inline font-size="12pt" font-weight="bold"> 
									<xsl:value-of select="./Maschinenbogen"/>
								</fo:inline>
								<fo:inline font-size="12pt" font-weight="bold"> 
									Maschinenbogen</fo:inline>
							</fo:block>
						</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>	
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Einteilungsbogentitel">
		<fo:table table-layout="fixed" padding-top="15pt">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell border-bottom="1pt solid gray" background-color="#CCCCCC">
						<fo:block>
							<fo:inline>Einteilungsbogen</fo:inline>
							<fo:inline font-size="11pt" font-weight="bold">
								<xsl:value-of select="./Einteilungsbogen"/>
							</fo:inline>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-bottom="1pt solid gray" background-color="#CCCCCC">
						<fo:block>
							<fo:inline>mit zugeordneten Maschinenbogen</fo:inline>
							<fo:inline font-size="11pt" font-weight="bold">
								<xsl:value-of select="./Maschinenbogen"/>
							</fo:inline>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>	
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="EinteilungsbogenParameter">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(0.5)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.7)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.7)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(0.5)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell padding-top="2pt">
						<fo:block>Maschine</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-top="2pt">
						<fo:block>:<xsl:value-of select="./Maschine"></xsl:value-of></fo:block>
					</fo:table-cell>
					<fo:table-cell padding-top="2pt">
						<fo:block>Mindestdruckbogenformat</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-top="2pt">
						<fo:block>
						<fo:block>:<xsl:value-of select="./MindestDruckformat"></xsl:value-of></fo:block>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>Greiferkante</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>
							<fo:block>:<xsl:value-of select="./Greiferkante"></xsl:value-of> mm</fo:block>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>Kontrollstreifen</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block><fo:block>:<xsl:value-of select="./Kontrollstreifen"></xsl:value-of> mm</fo:block>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>Drucknutzen</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block><fo:block>:<xsl:value-of select="./Drucknutzen"></xsl:value-of></fo:block>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>Nutzenformat</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block><fo:block>:<xsl:value-of select="./Nutzenformat"></xsl:value-of></fo:block>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>Verfahren</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block><fo:block>:<xsl:value-of select="./Verfahren"></xsl:value-of></fo:block>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>Falzschema</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block><fo:block>:<xsl:value-of select="./Falzschema"></xsl:value-of></fo:block>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell  padding-bottom="2pt">
						<fo:block>Endformat</fo:block>
					</fo:table-cell>
					<fo:table-cell  padding-bottom="2pt">
						<fo:block><fo:block>:<xsl:value-of select="./Endformat"></xsl:value-of></fo:block>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell  padding-bottom="2pt">
						<fo:block>Beschnitt</fo:block>
					</fo:table-cell>
					<fo:table-cell  padding-bottom="2pt">
						<fo:block><fo:block>:<xsl:value-of select="./Beschnitt"></xsl:value-of></fo:block>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
		</fo:table-body>
	</fo:table>	
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Maschinenboegen">
			<fo:table table-layout="fixed" padding-top="2pt">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1.4)"/>
			<fo:table-body>
				<xsl:for-each select="./Maschinenbogen">
					<fo:table-row>
						<fo:table-cell border-top="1pt solid gray">
							<fo:block>
								<fo:inline text-decoration="underline">Maschinenbogen</fo:inline>
								<fo:inline font-weight="bold"><xsl:value-of select="./nummer"/></fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-top="1pt solid gray">
							<fo:block>
							
							<!-- **********************eine neue Tabelle innerhalb der 2-en Spalte****************-->
							
								<fo:table  table-layout="fixed">
								
								<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)*0.58"/>
												<xsl:value-of select="$masse"/></xsl:attribute>			
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.7)"/>
					<fo:table-body>
						<xsl:for-each select="./falzboegen/*">
							<fo:table-row>
								<fo:table-cell border-bottom="1pt solid #CCCCCC">
									<fo:block>
										<fo:inline>Falzbogen</fo:inline>
										<fo:inline><xsl:value-of select="./nummer"/></fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell border-bottom="1pt solid #CCCCCC">
									<fo:block>
									
									
									<!-- **********************eine neue Tabelle innerhalb der Zelle****************-->

										<fo:table  table-layout="fixed">
										<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="(($normBreite)*0.58)*0.63"/>
												<xsl:value-of select="$masse"/></xsl:attribute>

				<fo:table-column column-number="1" column-width="proportional-column-width(0.5)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.5)"/>
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block text-align="end" end-indent="5pt">Seiten :</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
							
							<!-- **********************eine neue Tabelle innerhalb der Zelle****************-->

									<fo:table  table-layout="fixed">	
									<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="((($normBreite)*0.58)*0.63)*0.75"/>
												<xsl:value-of select="$masse"/></xsl:attribute>						
					<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
					<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
					<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
					<fo:table-column column-number="4" column-width="proportional-column-width(1)"/>
					<fo:table-column column-number="5" column-width="proportional-column-width(0.5)"/>

						<fo:table-body>
							<fo:table-row>
								<xsl:for-each select="./seiten/bereich">
								
												
									<fo:table-cell>
										<fo:block text-align="end">
											<xsl:value-of select="./beginn"/>-
										</fo:block>
									</fo:table-cell>
									
									<xsl:if test="position()=1">	
									<fo:table-cell>
										<fo:block text-align="end" end-indent="7pt">
											<xsl:value-of select="./end"/>,
										</fo:block>
									</fo:table-cell></xsl:if>
									<xsl:if test="position()!=1">	
									<fo:table-cell>
										<fo:block text-align="end" end-indent="7pt">
											<xsl:value-of select="./end"/>
										</fo:block>
									</fo:table-cell></xsl:if>
								</xsl:for-each>
							
							</fo:table-row>
						</fo:table-body>
					</fo:table>
				

				</fo:block>
			</fo:table-cell>
		</fo:table-row>											
		</fo:table-body>	
		</fo:table>
	

		</fo:block>
		</fo:table-cell>								
		</fo:table-row>
		</xsl:for-each>
		</fo:table-body>
		</fo:table>
		
		<!-- *****END*********2-te Spalte von 1Table*************-->

		</fo:block>
		</fo:table-cell>
		</fo:table-row>
		<fo:table-row>
			<fo:table-cell padding-top="10pt">
				<fo:block><xsl:value-of select="./grafik/druckverfahren"/>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell padding-top="8pt">
				<fo:block>
				<fo:inline>
				Farben
				</fo:inline>
				<fo:inline>
					<xsl:value-of select="./farben"></xsl:value-of>
				</fo:inline>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
		
		<fo:table-row>
			<fo:table-cell number-columns-spanned="2">
				<fo:block>
					
			<!--<fo:external-graphic content-height="194pt" content-width="14pt" src="W:\Backup\Sweta\graphics0.jpg"/>-->
			
			<fo:external-graphic content-height="194pt" content-width="14pt">
			<!--xsl:attribute name="src"><xsl:value-of select="$grafik"/></xsl:attribute></fo:external-graphic-->
			<xsl:attribute name="src"><xsl:value-of select="./grafik/value"/></xsl:attribute></fo:external-graphic>


			
			


					
					
 					<!--<fo:table  table-layout="fixed">
 					
 					<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>

 					
 						<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
						<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
						<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>


							<fo:table-body>
								<fo:table-row height="177pt">
									<fo:table-cell border="2pt solid gray">
										<fo:block>
											<xsl:value-of select="./grafik/value"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell >
										<fo:block></fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block></fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell number-columns-spanned="3" 
										border-bottom="1pt solid gray" padding-after="5pt">	
									</fo:table-cell>
								</fo:table-row>

							</fo:table-body>
						</fo:table>-->
 				</fo:block>
			</fo:table-cell>
		</fo:table-row>
		</xsl:for-each>
		</fo:table-body>	
		</fo:table>
	</xsl:template>

	
	<!-- *******************************************************-->
	<!-- *******************************************************-->
								
	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Kommentar">
		<fo:block font-style="italic" font-weight="bold" font-size="11pt">
			<xsl:value-of select="./value"></xsl:value-of>
		</fo:block>
	
	</xsl:template>	
	<!-- *******************************************************-->
	<!--Template  fr Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="BlockTitel">
		<fo:block font-weight="bold" font-size="12pt" padding-after="3pt">
		<fo:inline text-decoration="underline">
			<xsl:value-of select="."/>
			</fo:inline>
		</fo:block>
	</xsl:template>

<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="line">
		<fo:block>
			<fo:leader leader-pattern="rule" color="gray">

						<xsl:attribute name="leader-length"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute></fo:leader>

		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="make-line">
		<fo:table-row>
		<fo:table-cell number-columns-spanned="8" border-bottom="1pt solid black" padding-after="5pt">	
		</fo:table-cell>
		</fo:table-row>
		
	</xsl:template>


</xsl:stylesheet>
