<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">7</xsl:variable>
	<!--xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable-->
	<xsl:include href="import.xsl"/>
	<xsl:include href="import_ek.xsl"/>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="ersteSeite">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm">
						<xsl:attribute name="margin-bottom">2cm + <xsl:value-of select="$lineOffsetFooter * $freeline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:simple-page-master master-name="folgeseiten">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-bottom="2cm">
						<xsl:attribute name="margin-top">1cm + <xsl:value-of select="$lineOffsetFollowingPage * $freeline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-before precedence="true" extent="1.5cm"/>
					<!--fo:region-after precedence="true" extent="1.5cm"/-->
				</fo:simple-page-master>
				<fo:page-sequence-master master-name="only">
					<!--fo:single-page-master-reference master-reference="only"/-->
					<fo:repeatable-page-master-alternatives>
						<fo:conditional-page-master-reference master-reference="ersteSeite" page-position="first"/>
						<fo:conditional-page-master-reference master-reference="folgeseiten" page-position="rest"/>
					</fo:repeatable-page-master-alternatives>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="8pt">
						<xsl:value-of select="//Bestellungen/Bestellung/kopf/betreff"/> 
						<xsl:value-of select="//Bestellungen/Bestellung/kopf/ktitel/titel/value"/>  	
						Seite: <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>
					</fo:block>
				</fo:static-content>
				<!--__________________BODY____________________-->
				<fo:flow flow-name="xsl-region-body">
					<xsl:for-each select="//Bestellungen">
						<xsl:for-each select="./Bestellung">
							<!--__________________BODY____________________	-->
							<fo:block font-family="Helvetica" font-size="11.0pt" break-before="page">
								<xsl:call-template name="fixedlineOffset8"/>
								<xsl:call-template name="Kunde"/>
								<xsl:call-template name="lineOffsetFirstPage"/>
								<xsl:apply-templates select="./kopf"/>
								<xsl:apply-templates select="./kopf/ktitel"/>
								<xsl:apply-templates select="./kopf/anrede"/>
								<xsl:apply-templates select="./kopf/kopftext"/>
								<!--xsl:apply-templates select="//positionen"/-->
								<xsl:apply-templates select="./body"/>
								<xsl:apply-templates select="./fuss"/>
							</fo:block>
						</xsl:for-each>
						<fo:block id="endofdoc"/>
					</xsl:for-each>
					<!--''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''-->
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur positionsnummer-->
	<!-- *******************************************************-->
	<!--xsl:template match="positionen"-->
	<xsl:template match="body">
		<xsl:for-each select="./positionen/position">
		<!--xsl:apply-templates select="./positionsnummer"/>
		<xsl:apply-templates select="./fremdeNummer"/>
		<xsl:call-template name="return"/>
		<xsl:for-each select="./position"-->
			<xsl:apply-templates select="./bestellposten"/>
			<xsl:apply-templates select="./rabatt"/>
			<xsl:apply-templates select="./preisart"/>
			<xsl:apply-templates select="./summe"/>
			<!--xsl:apply-templates select="./pbeschreibungen/pbeschreibung"/-->
			<xsl:apply-templates select="./pbeschreibungen"/>
		</xsl:for-each>
		<xsl:call-template name="return"/>
		<xsl:call-template name="fett-line"/>
		<xsl:apply-templates select="./npreis"/>
		<xsl:apply-templates select="./umsatzsteuer"/>
		<xsl:apply-templates select="./bpreis"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Rabatt-->
	<!-- ******************************************************-->
	<xsl:template match="rabatt">
		<fo:block font-size="10pt">
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(6)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(0.2)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(3)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./preis) > 0">
									<xsl:value-of select="./key"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell number-columns-spanned="3">
							<fo:block>
								<xsl:value-of select="./preis"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Rabatt-->
	<!-- ******************************************************-->
	<xsl:template match="summe|preisart">
		<fo:block font-size="10pt">
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(6)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(3)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./preis) > 0">
									<xsl:value-of select="./key"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell number-columns-spanned="3">
							<xsl:if test="string-length(./preis) > 0">
								<fo:block>
									<xsl:apply-templates select="./preis"/>
								</fo:block>
							</xsl:if>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur positionsnummer-->
	<!-- *******************************************************-->
	<xsl:template match="positionsnummer|fremdeNummer|positionstitel">
		<xsl:if test="string-length(./value) > 0">
			<xsl:value-of select="."/>
			<xsl:call-template name="return"/>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template   für  column angemessen der key's-->
	<!-- *******************************************************-->
	<xsl:template match="bestellposten">
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:if test="count(./titel/*)=6">
			<fo:block font-size="10pt">
				<fo:table table-layout="fixed" padding-after="7pt">
					<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:table-column column-number="1" column-width="proportional-column-width(2.1)"/>
					<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
					<fo:table-column column-number="3" column-width="proportional-column-width(6.6)"/>
					<fo:table-column column-number="4" column-width="proportional-column-width(2)"/>
					<fo:table-column column-number="5" column-width="proportional-column-width(1.5)"/>
					<fo:table-column column-number="6" column-width="proportional-column-width(3.4)"/>
					<fo:table-header background-color="lightgray" display-align="center" padding-top="2pt">
						<fo:table-row border-bottom-style="solid" border-bottom-width="1.0pt" padding-bottom="2pt">
							<xsl:for-each select="./titel/*">
								<xsl:if test="position()!=6 and position()!=4">
									<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt" padding-bottom="2pt">
										<fo:block font-size="10pt">
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:if>
								<xsl:if test="position()=6 or position()=4">
									<fo:table-cell border-bottom="1pt solid black" padding-bottom="2pt">
										<fo:block text-align="end" end-indent="2pt" font-size="10pt">
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>
						</fo:table-row>
					</fo:table-header>
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="zeile/menge"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="zeile/artNummer"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<xsl:apply-templates select="zeile/bezeichnung"/>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block text-align="end" end-indent="2pt" font-family="Courier" font-weight="bold" padding-top="1pt">
									<xsl:value-of select="zeile/preispro"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="zeile/einheit"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block text-align="end" end-indent="1pt">
									<!--xsl:value-of select="../waehrung"/-->
									<fo:inline font-family="Courier" font-weight="bold">
										<xsl:value-of select="zeile/preis"/>
									</fo:inline>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
			</fo:block>
		</xsl:if>
		<xsl:if test="count(./titel/*)!=6">
			<fo:block font-size="10pt">
				<fo:table table-layout="fixed" padding-after="7pt">
					<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:table-column column-number="1" column-width="proportional-column-width(2.2)"/>
					<fo:table-column column-number="2" column-width="proportional-column-width(7.7)"/>
					<fo:table-column column-number="3" column-width="proportional-column-width(2)"/>
					<fo:table-column column-number="4" column-width="proportional-column-width(1.5)"/>
					<fo:table-column column-number="5" column-width="proportional-column-width(3.4)"/>
					<fo:table-header background-color="lightgray" display-align="center" padding-top="2pt">
						<fo:table-row border-bottom-style="solid" border-bottom-width="1.0pt" padding-bottom="2pt">
							<xsl:for-each select="./titel/*">
								<xsl:if test="position()!=5 and position()!=3">
									<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt" padding-bottom="2pt">
										<fo:block font-size="10pt">
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:if>
								<xsl:if test="position()=5 or position()=3">
									<fo:table-cell border-bottom="1pt solid black" padding-bottom="2pt">
										<fo:block text-align="end" end-indent="2pt" font-size="10pt">
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>
						</fo:table-row>
					</fo:table-header>
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="zeile/menge"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<xsl:apply-templates select="zeile/bezeichnung"/>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block text-align="end" end-indent="2pt" font-family="Courier" font-weight="bold" padding-top="1pt">
									<xsl:value-of select="zeile/preispro"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="zeile/einheit"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block text-align="end" end-indent="1pt">
									<!--xsl:value-of select="../waehrung"/-->
									<fo:inline font-family="Courier" font-weight="bold">
										<xsl:value-of select="zeile/preis"/>
									</fo:inline>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
			</fo:block>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur  Erläuterungen kurz   RAUS !!!-->
	<!-- ******************************************************-->
	<xsl:template match="pbeschreibung">
		<fo:block font-size="10pt">
			<fo:table table-layout="fixed" padding-after="0pt" padding-top="3pt">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(2.9)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(7)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(0.2)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(2.7)"/>
				<fo:table-body>
					<xsl:for-each select=".">
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:if test="string-length(./value) > 0">
										<xsl:value-of select="./key"/>
									</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell number-columns-spanned="3">
								<fo:block text-align="start" start-indent="5pt">
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur pbeschreibung-->
	<!-- *******************************************************-->
	<!--xsl:template match="pbeschreibungen">
		<fo:block font-size="10pt"> 								font-size="10pt" !!! ???
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
				<fo:table-body>
					<xsl:for-each select="./pbeschreibung">
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:if test="string-length(./value) > 0">
										<xsl:value-of select="./key"/>
									</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<xsl:for-each select="./value">
									<fo:block>
										<xsl:value-of select="."/>
									</fo:block>
								</xsl:for-each>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
		
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template fur die Summe netto brutto-->
	<!-- ******************************************************	-->
	<xsl:template match="npreis|bpreis">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(0.2)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell padding-bottom="5pt">
							<fo:block font-weight="bold">
								<xsl:if test="string-length(./preis) > 0">
									<xsl:value-of select="./key"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block text-align="start" font-weight="bold">
								<xsl:if test="string-length(./preis) > 0">
									<xsl:value-of select="//position/waehrung"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block text-align="end" font-weight="bold" font-family="Courier" font-size="11pt">
								<xsl:value-of select="./preis"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur die Summe Ust.-->
	<!-- ******************************************************	-->
	<xsl:template match="umsatzsteuer">
		<xsl:if test="string-length(./preis) > 0">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(0.2)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell padding-bottom="5pt"><!-- border-bottom="1pt solid black"-->
							<fo:block><!-- padding-after="1pt" padding-top="1pt"-->
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell><!-- border-bottom="1pt solid black"-->
							<fo:block><!-- padding-after="1pt" padding-top="1pt"-->
								<xsl:value-of select="//position/waehrung"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell><!-- border-bottom="1pt solid black"-->
							<fo:block text-align="end" font-family="Courier" font-size="11pt"><!-- padding-after="1pt" padding-top="1pt"-->
								<xsl:value-of select="./preis"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur die Summe netto-->
	<!-- ******************************************************	-->
	<!--xsl:template match="npreis">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell padding-bottom="5pt">
							<fo:block font-weight="bold">
								<xsl:if test="string-length(./preis) > 0">
									<xsl:value-of select="./key"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block text-align="end" font-weight="bold" font-size="11pt">
								<xsl:if test="string-length(./preis) > 0">
									<xsl:value-of select="//position/waehrung"/>
								</xsl:if>
								<fo:inline font-family="Courier">
									<xsl:value-of select="./preis"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template fur Bestell-nettopreis-->
	<!-- *******************************************************-->
	<xsl:template match="preis">
		<fo:block font-size="10pt">
			<xsl:apply-templates select="../../waehrung"/>
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template make-line-->
	<!-- *******************************************************-->
	<xsl:template match="bezeichnung">
		<fo:block end-indent="2pt">
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für KundenDaten (Brief Form)-->
	<!-- *******************************************************-->
	<xsl:template name="Kunde">
		<!--xsl:if test="string-length(./infosachbearbeiter/name/*)=0">
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<xsl:if test="string-length(./infosachbearbeiter/adresse/strasseoderpf)=0">
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<xsl:if test="string-length(./infosachbearbeiter/adresse/plz)=0">
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<xsl:if test="string-length(./infosachbearbeiter/adresse/ort)=0">
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<xsl:if test="string-length(./infosachbearbeiter/adresse/land)=0">
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<fo:table table-layout="fixed">
			<fo:table-column column-number="1" column-width="8cm"/>
			<fo:table-column column-number="2" column-width="2cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block text-decoration="underline" padding-after="10pt" font-size="8pt">
							<xsl:for-each select="./infosachbearbeiter/name">
								<xsl:value-of select="."/> 
							</xsl:for-each>
							<xsl:value-of select="./infosachbearbeiter/adresse/strasseoderpf"/> 
							<xsl:value-of select="./infosachbearbeiter/adresse/plz"/> 
							<xsl:value-of select="./infosachbearbeiter/adresse/ort"/> 
							<xsl:value-of select="./infosachbearbeiter/adresse/land"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell/>
				</fo:table-row>
			</fo:table-body>
		</fo:table-->
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1.4)"/>
				<!--fo:table-column column-number="2" column-width="proportional-column-width(1)"/-->
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<!--xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/>
							<xsl:call-template name="return"/-->
							<fo:block>
								<xsl:apply-templates select="./empfaenger/name"/>
								<xsl:apply-templates select="./empfaenger/adresse"/>
							</fo:block>
						</fo:table-cell>
						<!--fo:table-cell>
							<fo:block font-size="9pt">
								<fo:table table-layout="fixed">
									<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite) div 2.4"/><xsl:value-of select="$masse"/></xsl:attribute>
									<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
									<fo:table-column column-number="2" column-width="proportional-column-width(1.3)"/>
									<fo:table-body>
										<xsl:for-each select="./kopf/ktitel/titel">
											<xsl:if test="string-length(./value) > 0">
												<fo:table-row>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of select="./key"/>
														</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block font-weight="bold">
															<xsl:value-of select="./value"/>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</xsl:if>
										</xsl:for-each>
										<xsl:for-each select="./kopf/infosachbearbeiter/titel">
											<xsl:if test="string-length(./value) > 0">
												<fo:table-row>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of select="./key"/>
														</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of select="./value"/>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</xsl:if>
										</xsl:for-each>
									</fo:table-body>
								</fo:table>
							</fo:block>
						</fo:table-cell-->
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
</xsl:stylesheet>
