<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
								xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">12pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.7</xsl:variable>
	<xsl:variable name="left"><xsl:value-of select="//data/theMessage/LeftMargin"/></xsl:variable>
	<xsl:variable name="top"><xsl:value-of select="//data/theMessage/TopMargin"/></xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$left)"/>
	</xsl:variable>
	<xsl:variable name="height"><xsl:value-of select="//data/theMessage/RowHeight"/></xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$left"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$top"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<!--fo:region-body margin-top="1cm"/>
					<fo:region-before precedence="true" extent="1cm"/>
					<fo:region-after precedence="true" extent="1cm"/-->
					<fo:region-body/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- actual layout ______________________________________-->
			<fo:page-sequence master-reference="only">
			<!-- usage of page layout -->
				<!-- ************************************ BODY *****************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="12pt">
						<fo:table table-layout="fixed">
                    				<fo:table-body>
                    					<!--fo:block font-family="Helvetica" font-size="12pt"-->
                    						<xsl:apply-templates select="//data/theMessage/Etiketten"/>
								<!--/fo:block-->
							</fo:table-body>
            	        			<fo:table-column column-width="10.5cm">
                  	  			</fo:table-column>
                    				<!--fo:table-column column-width="0.1cm" background-color="#DDDDDD">
                    				</fo:table-column-->
             	       			<fo:table-column column-width="10.5cm">
                  	  			</fo:table-column>
               				</fo:table>
               			</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template für text-->
	<!-- *******************************************************-->
		<xsl:template match="text">
			<xsl:if test="font!=''">
				<fo:inline font-weight="{bold}" font-style="{italic}" text-decoration="{underline}" font-family="{font}" font-size="{size}">
					<xsl:value-of select="chars"/>
				</fo:inline>
			</xsl:if>
			<xsl:if test="font=''">
				<fo:inline font-weight="{bold}" font-style="{italic}" text-decoration="{underline}" font-size="{size}">
					<xsl:value-of select="chars"/>
				</fo:inline>
			</xsl:if>
		</xsl:template>
	<!-- *******************************************************-->
	<!--Template für absatz-->
	<!-- *******************************************************-->
		<xsl:template match="absatz">
				<fo:block>
					<xsl:apply-templates select="text"/>
				</fo:block>
				<xsl:if test="count(text)=1">
					<xsl:if test="text/chars=''">
						<xsl:call-template name="return"/>
					</xsl:if>
				</xsl:if>
		</xsl:template>

	<!-- *******************************************************-->
	<!--"Etiketten"-->
	<!-- *******************************************************-->
	<xsl:template match="Etiketten">
		<xsl:param name="spalten"><xsl:value-of select="//data/theMessage/Spalten"/></xsl:param>
		<xsl:param name="rows"><xsl:value-of select="//data/theMessage/Rows"/></xsl:param>
		<xsl:for-each select="./Etikett[(position() +1) mod number($spalten) = 0]">
			<fo:table-row>
				<xsl:attribute name="height"><xsl:value-of select="$height"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-cell padding-before="0.5cm" padding-left="0.5cm">
					<fo:block>
						<xsl:apply-templates select="absatz"/>
					</fo:block>
				</fo:table-cell>
				<xsl:if test="number($spalten) = 2">
                    		<!--fo:table-cell>
                    		</fo:table-cell-->
                    		<fo:table-cell padding-before="0.5cm" padding-left="0.5cm">
						<fo:block>
							<xsl:apply-templates select="following-sibling::*[1]/absatz" />
						</fo:block>
					</fo:table-cell>
				</xsl:if>
				<!--xsl:if test="position() mod number($rows) = 0">
					<fo:block break-after="page"/>
			  	 </xsl:if-->
                    </fo:table-row>
                    <!--xsl:if test="position() != last()">
				<fo:table-row height="0.1cm" background-color="#DDDDDD" />
                    </xsl:if-->       
		</xsl:for-each>
		
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template  für return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	
<!--#######################-->
<!--'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''-->	
</xsl:stylesheet>
