<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<!-- eigene Variablen____________________dynamisch_____________________-->
	<!--<xsl:variable name="pagewidth">
		<xsl:value-of select="//pageWidth"/>
	</xsl:variable>
	<xsl:variable name="pageheight">
		<xsl:value-of select="//pageHeight"/>
	</xsl:variable>
	<xsl:variable name="right">
		<xsl:value-of select="//marginRight"/>
	</xsl:variable>
	<xsl:variable name="left">
		<xsl:value-of select="//marginLeft"/>
	</xsl:variable>
	<xsl:variable name="bottom">
		<xsl:value-of select="//marginBottom"/>
	</xsl:variable>
	<xsl:variable name="top">
		<xsl:value-of select="//marginTop"/>
	</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<xsl:variable name="masse">
		<xsl:value-of select="//masse"/>
	</xsl:variable>
	<xsl:variable name="maxLength">12</xsl:variable>
	<xsl:variable name="gvar">10</xsl:variable>
	<xsl:variable name="freeline">12pt</xsl:variable>-->
	<!-- eigene Variablen______________________dynamisch___________________ -->
	<xsl:variable name="freeline">5pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">1.5</xsl:variable>
	<xsl:variable name="left">2.5</xsl:variable>
	<xsl:variable name="bottom">1</xsl:variable>
	<xsl:variable name="top">2</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$left -$right)"/>
		</xsl:variable>
		<xsl:variable name="maxLength">12</xsl:variable>
	<xsl:variable name="gvar">10</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
				
				
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-before precedence="true" extent="2cm"/>
					<fo:region-after precedence="true" extent="0.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="11.0pt">
						<xsl:apply-templates select="//SeitenKopf"/> 
					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="11.0pt" text-align="start">
						<xsl:apply-templates select="//Auftrag"/>
		
						 <xsl:apply-templates select="//Parameter"/> 
						  <xsl:apply-templates select="//Falzbogen"/> 
						<xsl:apply-templates select="//Grafiken"/> 
						<xsl:apply-templates select="//Kommentar"/> 


						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ************************************************************************************************************   -->
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr SeitenKopf-->
	<!-- *******************************************************-->
	<xsl:template match="SeitenKopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
																		<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.5)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt" padding-left="0.5cm">
							<fo:block text-align="start">
								<fo:inline>
									<xsl:value-of select="./AuftragsNummer"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt">
							<fo:block text-align="start" font-weight="bold" font-size="12pt">
								<fo:inline>
									<xsl:value-of select="./Titel"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt" padding-right="0.5cm">
							<fo:block text-align="end">
								<fo:inline>
									<xsl:value-of select="./Datum"/>
									Seite:  <fo:page-number/>/<fo:page-number-citation ref-id="endofdoc"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
<!-- *******************************************************-->
	<!--Template  fr AuftragKopf-->
	<!-- *******************************************************-->
	<xsl:template match="Auftrag">
		<fo:table border-width="1pt" border-style="solid" padding-top="6pt" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
													<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell padding-left="1cm">
							<fo:block text-align="start">
								<xsl:value-of select="name(.)"/>:
								<xsl:if test=" name(.)='Kunde'">
									<xsl:call-template name="return"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test=" name(.)='Kunde'">
									<xsl:attribute name="font-weight">bold</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
		<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Parameter">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="./titel">
						<fo:table-row>
							<fo:table-cell>
								<fo:block font-size="11pt">
									<xsl:value-of select="./key"/>:
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block font-weight="bold" font-size="11pt">
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
	</xsl:template>
		<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Falzbogen">
		<xsl:call-template name="line"/>

		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="./titel">
						<fo:table-row>
							<fo:table-cell>
								<fo:block font-size="11pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block font-size="11pt">
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Grafiken">	
		<xsl:for-each select="./Grafik">
		<xsl:call-template name="line"/>
		<xsl:call-template name="return"/>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(2)"/>

			<fo:table-body>
				<xsl:for-each select=".">
						<fo:table-row>
							<fo:table-cell padding="35pt" border="1pt solid #6600CC">
								<fo:block font-weight="bold" font-size="11pt">7  Hallo,</fo:block>	
							</fo:table-cell>
							<fo:table-cell padding="35pt" border="1pt solid #6600CC">
								<fo:block font-weight="bold" font-size="11pt">2  ich</fo:block>	
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell padding="35pt" border="1pt solid #6600CC">
								<fo:block font-weight="bold" font-size="11pt">6  bin</fo:block>	
							</fo:table-cell>
							<fo:table-cell padding="35pt" border="1pt solid #6600CC">
								<fo:block font-weight="bold" font-size="11pt">3  Grafik</fo:block>	
							</fo:table-cell>
						</fo:table-row>

				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		</xsl:for-each>
		<xsl:call-template name="return"/>
		<xsl:call-template name="line"/>
		<xsl:call-template name="return"/>
		
	</xsl:template>

	
	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Kommentar">
		<fo:block font-style="italic" font-weight="bold" font-size="11pt">
			<xsl:value-of select="./value"></xsl:value-of>
		</fo:block>
	
	</xsl:template>	
	<!-- *******************************************************-->
	<!--Template  fr Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="Titel|BlockTitel">
		<fo:block font-weight="bold" font-size="12pt" padding-after="3pt">
		<fo:inline text-decoration="underline">
			<xsl:value-of select="."/>
			</fo:inline>
		</fo:block>
	</xsl:template>

<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="line">
		<fo:block>
			<fo:leader leader-pattern="rule" color="gray">

						<xsl:attribute name="leader-length"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute></fo:leader>

		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="make-line">
		<fo:table-row>
		<fo:table-cell number-columns-spanned="8" border-bottom="1pt solid black" padding-after="5pt">	
		</fo:table-cell>
		</fo:table-row>
		
	</xsl:template>






</xsl:stylesheet>
