﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">7pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.7</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2.5</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="ersteSeite">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
															<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
																<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
															<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
													<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:simple-page-master master-name="folgeseiten">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
															<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
																<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
															<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
													<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-after precedence="true" extent="1.5cm"/>
					<fo:region-before precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:page-sequence-master master-name="only">
					<!--fo:single-page-master-reference master-reference="only"/-->
					<fo:repeatable-page-master-alternatives>
						<fo:conditional-page-master-reference master-reference="ersteSeite" page-position="first"/>
						<fo:conditional-page-master-reference master-reference="folgeseiten" page-position="rest"/>
					</fo:repeatable-page-master-alternatives>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="8pt" text-align="end">
						<!--Ausdruck v. <xsl:value-of select="//Gutschrift/ausdruckDatum"/>--> 
						<xsl:value-of select="//Gutschrift/kopf/betreff"/> 
						<xsl:value-of select="//Gutschrift/kopf/ktitel/unsereNummer"/>  
						Seite: <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>			
					</fo:block>
				</fo:static-content>
				<!--__________________BODY____________________-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="11.0pt">
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>	
						<fo:block font-size="11pt">
							<xsl:apply-templates select="//Gutschrift/kunde/name"/>
						</fo:block>
						<xsl:apply-templates select="//adresse"/>
						<xsl:apply-templates select="//Gutschrift/kopf"/>
						<xsl:apply-templates select="//ktitel"/>
						<xsl:apply-templates select="//kopfanrede/anrede"/>
						<xsl:apply-templates select="//kopftext"/>
						<xsl:apply-templates select="//body/positionen/titel"/>
						<xsl:apply-templates select="//positionen/summen/Summe"/>
						<xsl:apply-templates select="//positionen/summen/USt"/>
						<xsl:apply-templates select="//positionen/summen/Betrag"/>
						<xsl:apply-templates select="//fuss"/>
							<fo:block id="endofdoc"/>
					</fo:block>
					<!--''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''-->
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>        
	<!-- *******************************************************-->
	<!--Template  für adresse-->
	<!-- *******************************************************-->
	<xsl:template match="adresse">
		<xsl:apply-templates select="./strasseoderpf"/>
		<fo:block>
			<!--xsl:call-template name="return"/-->
			<xsl:if test="./kennzeichen !=''">
				<xsl:value-of select="./kennzeichen"/> -
			</xsl:if>
			<xsl:value-of select="./plz"/> 
			<xsl:value-of select="./ort"/>
			<xsl:if test="./kennzeichen =''">
				<xsl:apply-templates select="./land"/>
			</xsl:if>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="name|strasseoderpf|land">
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  /Betreff-->
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<!--Template  /Betreff							-->
	<!-- *******************************************************-->
	<xsl:template match="kopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block font-weight="bold" font-size="15pt" text-align="start">
								<xsl:value-of select="./betreff"/> 
								<xsl:value-of select="./ktitel/unsereNummer"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block text-align="end">
								<xsl:value-of select="./ortunddatum"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!--KTITEL-->
	<!-- *******************************************************-->
	<xsl:template match="ktitel">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
					<xsl:value-of select="$masse"/>
				</xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(1.2)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell/>
						<fo:table-cell/>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/info) > 0">
										Es schreibt Ihnen :
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/info"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./kundenNummer) > 0">
									Kundennummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="./kundenNummer"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/telefon) > 0">
										Telefon:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/telefon"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./fremdeNummer) > 0">
								Ihre Nummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="./fremdeNummer"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/fax) > 0">
										Fax:
							</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/fax"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block/>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block/>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/email) > 0">
										eMail:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/email"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Anrede -->
	<!-- *******************************************************-->
	<xsl:template match="anrede">
	<xsl:call-template name="return"/>
	<xsl:call-template name="return"/>
	<xsl:call-template name="return"/>
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Kopftext-->
	<!-- *******************************************************-->
	<xsl:template match="//kopftext/*">
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Positionen-->
	<!-- *******************************************************-->
	<xsl:template match="titel">
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<fo:block font-size="10pt">
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(5.3)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(10)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(3.5)"/>
			<!--fo:table-column column-number="4" column-width="proportional-column-width(6)"/-->
			<!--fo:table-column column-number="5" column-width="proportional-column-width(3)"/-->
			<fo:table-column column-number="4" column-width="proportional-column-width(1.5)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(8)"/>
			<fo:table-header background-color="lightgray" display-align="center" border-bottom-style="solid" border-bottom-width="1pt">
				<xsl:if test="count(//positionen/position/Menge[not(starts-with(.,'0'))])>0">
					<fo:table-row>
						<xsl:for-each select="./*">
							<!--xsl:if test="position()=1 or position()=2 or position()=5"-->
							<xsl:if test="position()=1 or position()=2">
								<fo:table-cell padding-after="1pt" padding-top="1pt">
									<fo:block font-weight="bold">			
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position()=3">
								<fo:table-cell padding-after="1pt" padding-top="1pt">
									<fo:block font-weight="bold" text-align="end" end-indent="1pt">			
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<!--xsl:if test="position()=4">
								<fo:table-cell padding-after="1pt" padding-top="1pt">
									<fo:block font-weight="bold" text-align="end" end-indent="17pt">			
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if-->
							<!--xsl:if test="position()=6"-->
							<xsl:if test="position()=4">
								<fo:table-cell padding-after="1pt" padding-top="1pt">
									<fo:block> </fo:block>
								</fo:table-cell>
								<fo:table-cell padding-after="1pt" padding-top="1pt">
									<fo:block text-align="end" end-indent="3pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>	
				</xsl:if>	
				<xsl:if test="count(//positionen/position/Menge[not(starts-with(.,'0'))])=0">
					<fo:table-row>
					<xsl:for-each select="./*">
						<xsl:if test="position()=1">
							<fo:table-cell padding-after="1pt" padding-top="1pt">
								<fo:block font-weight="bold">			
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
						<xsl:if test="position()=2">
							<!--fo:table-cell number-columns-spanned="4" padding-after="1pt" padding-top="1pt"-->
							<fo:table-cell number-columns-spanned="2" padding-after="1pt" padding-top="1pt">
								<fo:block font-weight="bold">			
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>	
						</xsl:if>					
						<!--xsl:if test="position()=6"-->
						<xsl:if test="position()=4">
							<fo:table-cell padding-after="1pt" padding-top="1pt">
								<fo:block> </fo:block>
							</fo:table-cell>
							<fo:table-cell padding-after="1pt" padding-top="1pt">
								<fo:block text-align="end" end-indent="3pt" font-weight="bold">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>
				</fo:table-row>	
			</xsl:if>
		</fo:table-header>		
		<fo:table-body>
			<xsl:for-each select="../position">
				<xsl:call-template name="tabelle-normal"/>
			</xsl:for-each>
		</fo:table-body>
		</fo:table>
		</fo:block>
		<xsl:call-template name="make-tab-line"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal-plus-linie -->
	<!-- *******************************************************-->
	<xsl:template name="tabelle-normal">
		<fo:table-row>
			<xsl:for-each select="./*">
			<!--_____________________-->
			<xsl:if test="not(starts-with(../Menge,'0'))">
			<!--xsl:if test="position()=1 or position()=2 or position()=5"-->
			<xsl:if test="position()=1 or position()=2">
				<fo:table-cell padding-after="1pt" padding-top="1pt">
					<fo:block>			
						<xsl:value-of select="."/>
					</fo:block>
				</fo:table-cell>
			</xsl:if>
			<xsl:if test="position()=3">
				<fo:table-cell padding-after="1pt" padding-top="1pt" text-align="end" end-indent="5pt">
					<fo:block>			
						<xsl:value-of select="."/>
					</fo:block>
				</fo:table-cell>
				</xsl:if>
				<!--xsl:if test="position()=4">
					<fo:table-cell padding-after="1pt" padding-top="1pt">
						<fo:block text-align="end" font-family="Courier" font-size="11pt">
							<xsl:value-of select="."/> /
						</fo:block>
					</fo:table-cell>
				</xsl:if-->
				<!--xsl:if test="position()=6"-->
				<xsl:if test="position()=4">
					<fo:table-cell padding-after="1pt" padding-top="1pt">
						<fo:block start-indent="15pt">
							<!--xsl:value-of select="../../waehrung"/-->
						</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-after="1pt" padding-top="1pt">
						<fo:block text-align="end" end-indent="3pt" font-family="Courier" font-size="11pt">
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>
			</xsl:if>
			<!--____________________________-->
			<xsl:if test="starts-with(../Menge,'0')">
				<xsl:if test="position()=1">
					<fo:table-cell padding-after="1pt" padding-top="1pt">
						<fo:block>			
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>
				<xsl:if test="position()=2">
					<!--fo:table-cell number-columns-spanned="4" padding-after="1pt" padding-top="1pt"-->
					<fo:table-cell number-columns-spanned="2" padding-after="1pt" padding-top="1pt">
						<fo:block>			
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>	
				</xsl:if>					
				<!--xsl:if test="position()=6"-->
				<xsl:if test="position()=4">
					<fo:table-cell padding-after="1pt" padding-top="1pt">
						<fo:block start-indent="15pt">
							<!--xsl:value-of select="../../waehrung"/-->
						</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-after="1pt" padding-top="1pt">
						<fo:block text-align="end" end-indent="3pt" font-family="Courier" font-size="11pt">
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>				
			</xsl:if>	
			<!--__________________________-->
			</xsl:for-each>
		</fo:table-row>	
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template make-tab-line-->
	<!-- *******************************************************-->
	<xsl:template name="make-tab-line">
		<fo:table table-layout="fixed">
			<fo:table-column border-top-style="solid" border-top-width="1.0pt">
				<xsl:attribute name="column-width"><xsl:value-of select="($pagewidth -$right -$left)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
			</fo:table-column>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block/>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Netto-->
	<!-- *******************************************************-->
	<xsl:template match="USt">
		<fo:block>
			<fo:table table-layout="fixed" padding-bottom="6pt">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(27.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1.5)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(8)"/>
		<fo:table-body>
			<fo:table-row>
				<fo:table-cell>
					<fo:block font-weight="bold">
						<fo:inline font-family="Courier"> + <xsl:value-of select="./Umsatzsteuer/UstProzentsatz"/></fo:inline> % 
					USt  auf Euro
					<fo:inline font-family="Courier"><xsl:value-of select="./Umsatzsteuer/NettoSumme"></xsl:value-of></fo:inline>  
					</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block font-size="11pt" font-weight="bold" start-indent="15pt">

					<xsl:apply-templates select="../../waehrung"/>		
					</fo:block>
				</fo:table-cell>	
				<fo:table-cell>
					<fo:block text-align="end" font-size="11pt" font-weight="bold" end-indent="3pt" font-family="Courier">
					<xsl:value-of select="./Umsatzsteuer/UstProzentwert"/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</fo:table-body>
		</fo:table>
		</fo:block>
	</xsl:template>
		<!-- *******************************************************-->
	<!--Template fur Netto-->
	<!-- *******************************************************-->
	<xsl:template match="Summe">
		<fo:block>
			<fo:table table-layout="fixed" padding-bottom="6pt">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(27.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1.5)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(8)"/>
		<fo:table-body>
			<fo:table-row>
				<fo:table-cell>
					<fo:block font-weight="bold">
						<xsl:value-of select="name(.)"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block font-size="11pt" font-weight="bold" start-indent="15pt">
					<xsl:apply-templates select="../../waehrung"/>		
					</fo:block>
				</fo:table-cell>	
				<fo:table-cell>
					<fo:block text-align="end" font-size="11pt" font-weight="bold" end-indent="3pt" font-family="Courier">
						<xsl:value-of select="."/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</fo:table-body>
		</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="Betrag">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(27.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1.5)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(8)"/>
		<fo:table-body>
			<fo:table-row>
				<fo:table-cell border-bottom="1pt solid black">
					<fo:block font-weight="bold">
					<xsl:if test="name(.)='Betrag'">Gutschriftsbetrag</xsl:if>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-bottom="1pt solid black">
					<fo:block font-size="11pt" font-weight="bold" start-indent="15pt">
					<xsl:apply-templates select="../../waehrung"/>	
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-bottom="1pt solid black">
					<fo:block text-align="end" font-size="11pt" font-weight="bold" end-indent="3pt" font-family="Courier">
						<xsl:value-of select="."/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row height="2pt">
						<fo:table-cell border-bottom="1pt solid black" number-columns-spanned="3"/>
					</fo:table-row>
		</fo:table-body>
		</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Fuss generell-->
	<!-- *******************************************************-->
	<xsl:template match="//fuss/*">
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Endtext-->
	<!-- *******************************************************-->
	<xsl:template match="waehrung">
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template make-line-->
	<!-- *******************************************************-->
	<xsl:template name="fett-line">
		<fo:block>
			<fo:leader leader-pattern="rule"  rule-thickness="2pt" space-before.optimum="12pt" 
																	space-after.optimum="12pt">
  				<xsl:attribute name="leader-length">
  					<xsl:value-of select="$normBreite"/><xsl:value-of select="$masse"/>
				</xsl:attribute>
			</fo:leader>
		</fo:block>
	</xsl:template>
<!-- *******************************************************-->
</xsl:stylesheet>

