<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">3pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-before precedence="true" extent="2cm"/>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="11pt">
						<xsl:call-template name="SeitenKopf"/>
					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="9pt" text-align="start">
					<xsl:apply-templates select="//Statistik"/>
					
					</fo:block>
					<!-- ************************************ BODY  end****************-->
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ***********************************************************************   -->
	</xsl:template>
	<!-- ** process  element-nodes  **    -->
	<!-- *******************************************************-->
	<!--Template  für SeitenKopf-->
	<!-- *******************************************************-->
	<xsl:template name="SeitenKopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(40)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(24)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(12)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1pt">
							<fo:block text-align="center" font-family="Helvetica" font-size="12pt" font-weight="bold">
								<fo:inline>
								Halbfertige Produkte
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="center">
								<fo:inline text-align="center" font-family="Helvetica" font-size="12pt">
									Stichtag:    		
								</fo:inline>
								<fo:inline text-align="center" font-family="Helvetica" font-size="12pt" font-weight="bold">
							<xsl:value-of select="//zeit"></xsl:value-of>
						
									
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="end">
								<fo:inline>
									<fo:page-number/>. Seite
								</fo:inline>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für AuftragKopf-->
	<!-- *******************************************************-->
	<xsl:template match="Statistik">
	
		<fo:table  table-layout="fixed">
		<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1.4)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.6)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(1.5)"/>
			

			<fo:table-header>
				<fo:table-row background-color="lightgray">
					<xsl:for-each select="./titel/*">
					<xsl:if test="position()=3">
						<fo:table-cell font-size="10pt" font-weight="bold">
							<fo:block text-align="center">
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:if>
						<xsl:if test="position()=1 or position()=2">
						<fo:table-cell font-size="10pt" font-weight="bold">
							<fo:block text-align="start">
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
						</xsl:if>
						<xsl:if test="position()=4">
						<fo:table-cell font-size="10pt" font-weight="bold">
							<fo:block text-align="end" end-indent="3pt">
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
						</xsl:if>

					</xsl:for-each>
				</fo:table-row>	
				<fo:table-row height="2pt"></fo:table-row>	

			</fo:table-header>
			<fo:table-body>
				<xsl:for-each select="./Auftrag/SummeAuftrag">
					<fo:table-row>
						<xsl:for-each select="*">
						
						<xsl:if test="position()=1 or position()=2 ">
							<fo:table-cell>
								<fo:block text-align="start" padding-top="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
							</xsl:if>
							<xsl:if test="position()=3">
							<fo:table-cell>
								<fo:block text-align="center">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
							</xsl:if>

							<xsl:if test="position()=4">
							<fo:table-cell>
								<fo:block text-align="end" end-indent="2pt" font-family="Courier">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
							</xsl:if>
							
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
			<fo:table-row height="1pt"/>

				<xsl:for-each select="./SummeGesamt">
					<fo:table-row>
						<xsl:for-each select="*">
						<xsl:if test="position()=1">
							<fo:table-cell border-top="1pt solid black">
								<fo:block text-align="start" font-weight="bold" font-size="11pt">
									Summe Gesamt<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
							</xsl:if>
							
							<xsl:if test="position()=2">
							<fo:table-cell border-top="1pt solid black">
								<fo:block text-align="start" font-weight="bold" font-size="11pt" font-family="Courier">
								<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
							</xsl:if>

							<xsl:if test="position()=3">
							<fo:table-cell border-top="1pt solid black">
								<fo:block text-align="center" font-weight="bold" font-size="11pt" font-family="Courier">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
							</xsl:if>
							<xsl:if test="position()=4">
							<fo:table-cell border-top="1pt solid black">
								<fo:block text-align="end" end-indent="2pt" font-weight="bold" font-size="11pt" font-family="Courier">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
							</xsl:if>	
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>	
			</fo:table-body>	
		</fo:table>	
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->

</xsl:stylesheet>
