<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.7</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable>
	<xsl:variable name="lineOffsetLine"><xsl:value-of select="$freeline * 2"/></xsl:variable>
	<xsl:variable name="fixedline">11</xsl:variable>
	<xsl:param name="lineOffsetFollowingPage" select="//pageDefinition/lineOffsetFollowingPage"/>
	<xsl:param name="lineOffsetFooter" select="//pageDefinition/lineOffsetFooter"/>
	<!-- *******************************************************-->
	<!--Template  für die Adresse-->
	<!-- *******************************************************-->
	<xsl:template match="adresse">
		<fo:block font-size="11pt">
			<xsl:value-of select="./strasseoderpf"/>
		</fo:block>
		<xsl:if test="./strasseoderpf=''">
			<xsl:call-template name="fixedlineOffset"/>
		</xsl:if>
		<fo:block font-size="11pt">
			<xsl:if test="./kennzeichen !=''">
				<xsl:value-of select="./kennzeichen"/> -
			</xsl:if>
			<xsl:value-of select="./plz"/> 
			<xsl:value-of select="./ort"/>
		</fo:block>
		<xsl:if test="./plz='' and ./ort=''">
			<xsl:call-template name="fixedlineOffset"/>
		</xsl:if>
		<!--fo:block>
			<xsl:value-of select="./land"/>
		</fo:block-->
		<xsl:for-each select="../name">
			<xsl:if test=".=''">
				<xsl:call-template name="fixedlineOffset"/>
			</xsl:if>
		</xsl:for-each>
		<xsl:call-template name="fixedlineOffset4"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  die Namen-->
	<!-- *******************************************************-->
	<xsl:template match="name">
		<fo:block font-size="11pt">
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template Betreff-->
	<!-- *******************************************************-->
	<xsl:template match="kopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/>
				</xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block font-weight="bold" font-size="15pt">
								<xsl:value-of select="./betreff"/>
								<!--xsl:value-of select="./ktitel/unsereNummer"/-->
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block text-align="end">
								<xsl:value-of select="./ortunddatum"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="lineOffset"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur die Anrede -->
	<!-- *******************************************************-->
	<xsl:template match="anrede">
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Kopftext-->
	<!-- *******************************************************-->
	<xsl:template match="kopftext">
	<xsl:call-template name="return"/>
		<xsl:for-each select="./zeile">
			<fo:block>
				<xsl:value-of select="."/>
			</fo:block>
			<xsl:call-template name="return"/>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur den Fusstext-->
	<!-- *******************************************************-->
	<xsl:template match="fuss">
		<fo:block>
			<xsl:value-of select="./zusatz"/>
		</fo:block>
		<xsl:call-template name="return"/>
		<fo:block>
			<xsl:value-of select="./ustfloskel"/>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:for-each select="./fusstext/*">
			<fo:block>
				<xsl:value-of select="."/>
			</fo:block>
			<xsl:call-template name="return"/>
		</xsl:for-each>
		<xsl:call-template name="lineOffset2"/>
		<!--xsl:apply-templates select="./sachbearbeiter"/-->
		<xsl:for-each select="./sachbearbeiter">
			<xsl:call-template name="lineOffset"/>
			<fo:block>
				<xsl:value-of select="."/>
			</fo:block>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template make-fett-line-->
	<!-- *******************************************************-->
	<xsl:template name="fett-line">
		<fo:block>
			<fo:leader leader-pattern="rule" rule-thickness="2pt" space-before.optimum="1pt" space-after.optimum="1pt">
				<xsl:attribute name="leader-length"><xsl:value-of select="$normBreite"/><xsl:value-of select="$masse"/>
				</xsl:attribute>
			</fo:leader>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/>pt</xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  lineOffset-->
	<!-- *******************************************************-->
	<xsl:template name="lineOffset">
		<xsl:param name="lineOffset" select="1"/>
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$lineOffset * $lineOffsetLine"/>pt</xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  lineOffset2-->
	<!-- *******************************************************-->
	<xsl:template name="lineOffset2">
		<xsl:param name="lineOffset" select="2"/>
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$lineOffset * $lineOffsetLine"/>pt</xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  lineOffset4-->
	<!-- *******************************************************-->
	<xsl:template name="lineOffset4">
		<xsl:param name="lineOffset" select="4"/>
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$lineOffset * $lineOffsetLine"/>pt</xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fixedlineOffset-->
	<!-- *******************************************************-->
	<xsl:template name="fixedlineOffset">
		<xsl:param name="lineOffset" select="1"/>
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$lineOffset * $fixedline"/>pt</xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fixedlineOffset4-->
	<!-- *******************************************************-->
	<xsl:template name="fixedlineOffset4">
		<xsl:param name="lineOffset" select="4"/>
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$lineOffset * $fixedline"/>pt</xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fixedlineOffset8-->
	<!-- *******************************************************-->
	<xsl:template name="fixedlineOffset8">
		<xsl:param name="lineOffset" select="8"/>
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$lineOffset * $fixedline"/>pt</xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  lineOffsetFirstPage-->
	<!-- *******************************************************-->
	<xsl:template name="lineOffsetFirstPage">
		<xsl:param name="lineOffset" select="//pageDefinition/lineOffsetFirstPage"/>
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$lineOffset * $fixedline"/>pt</xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template für non breaking space-->
	<!--http://www.goldmann.de/das+stylsheet_tipp_190_k0.html-->
	<!-- *******************************************************-->
	<xsl:template name="nbsp">
		<xsl:call-template name="blanks_ersetzen">
			<xsl:with-param name="string" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="blanks_ersetzen"> 
		<xsl:param name="string"/> 
		<xsl:choose> 
			<xsl:when test="contains($string,'  ')"> 
				<xsl:value-of select="substring-before($string,'  ')"/> 
				<!--normal space + non breaking space für Leerzeilen ASCII 160-->  <!-- normal space + non breaking space für Leerzeilen ASCII 160-->
				<xsl:call-template name="blanks_ersetzen"> 
					<xsl:with-param name="string" select="substring-after($string,'  ')"/> 
				</xsl:call-template> 
			</xsl:when> 
		<xsl:otherwise> 
			<xsl:value-of select="$string"/>
		</xsl:otherwise> 
		</xsl:choose> 
	</xsl:template>
</xsl:stylesheet>
