<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!--xsl:preserve-space elements="pbeschreibungen"/-->
	<!-- *******************************************************-->
	<!--Template ktitel Einkauf-->
	<!-- *******************************************************-->
	<xsl:template match="ktitel">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<fo:table table-layout="fixed">
									<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite) div 2.4"/><xsl:value-of select="$masse"/></xsl:attribute>
									<fo:table-column column-number="1" column-width="proportional-column-width(1.0)"/>
									<fo:table-column column-number="2" column-width="proportional-column-width(1.2)"/>
									<fo:table-body>
										<xsl:for-each select="../../kopf/ktitel/titel">
											<xsl:if test="string-length(./value) > 0">
												<fo:table-row>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of select="./key"/>
														</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block font-weight="bold">
															<xsl:value-of select="./value"/>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</xsl:if>
										</xsl:for-each>
									</fo:table-body>
								</fo:table>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<fo:table table-layout="fixed">
									<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite) div 2.4"/><xsl:value-of select="$masse"/></xsl:attribute>
									<fo:table-column column-number="1" column-width="proportional-column-width(1.0)"/>
									<fo:table-column column-number="2" column-width="proportional-column-width(1.1)"/>
									<fo:table-body>
										<xsl:for-each select="../../kopf/infosachbearbeiter/titel">
											<xsl:if test="string-length(./value) > 0">
												<fo:table-row>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of select="./key"/>
														</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block font-weight="bold">
															<xsl:value-of select="./value"/>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</xsl:if>
										</xsl:for-each>
									</fo:table-body>
								</fo:table>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="lineOffset"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template positionstitel Einkauf-->
	<!-- *******************************************************-->
	<!--xsl:template match="fremdeNummer|positionstitel"-->
	<xsl:template match="positionstitel">
		<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-top="1pt solid black" padding-top="2pt">
							<fo:block>
								<xsl:if test="string-length(./value) > 0">
									<!--xsl:if test="name(.)='fremdeNummer'">Ihre Nummer:</xsl:if-->
									<!--xsl:if test="name(.)='positionstitel'"-->Titel:<!--/xsl:if-->	
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-top="1pt solid black" padding-top="2pt">
							<fo:block font-weight="bold">
								<xsl:value-of select="./value"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur pbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="pbeschreibungen">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>	
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
				<fo:table-body>
					<xsl:for-each select="./pbeschreibung">
						<xsl:if test="string-length(./value) > 0">
							<fo:table-row>
								<fo:table-cell>
									<fo:block>
										<xsl:value-of select="./key"/>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell><!--border-style="solid" border-width="1pt" border-color="black"-->
									<xsl:for-each select="./value">
										<fo:block>
											<!--xsl:value-of select="."/--><xsl:call-template name="nbsp"/> <!--non breaking space für Leerzeilen ASCII 160-->											</fo:block>
									</xsl:for-each>
								</fo:table-cell>
							</fo:table-row>
						</xsl:if>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<!--xsl:call-template name="return"/-->
	</xsl:template>
</xsl:stylesheet>
