<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!--xsl:preserve-space elements="pbeschreibungen"/-->
	<!-- *******************************************************-->
	<!--Template ktitel Verkauf-->
	<!-- *******************************************************-->
	<xsl:template match="ktitel">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.2)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(1.2)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./unsereNummer) > 0">
									Unsere Nummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="./unsereNummer"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/info) > 0">
										Es schreibt Ihnen:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/info"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./kundenNummer) > 0">
								Kundennummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="./kundenNummer"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/telefon) > 0">
										Telefon:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/telefon"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./fremdeNummer) > 0">
								Ihre Nummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="./fremdeNummer"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/fax) > 0">
										Fax:
							</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/fax"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block/>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block/>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/email) > 0">
										E-Mail:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/email"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="lineOffset"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Titel-->
	<!-- *******************************************************-->
	<xsl:template match="positionstitel">
		<fo:table table-layout="fixed" padding-top="15pt" padding-after="5pt">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
			<fo:table-body>
				<xsl:for-each select=".">
					<fo:table-row>
						<fo:table-cell border-top="1pt solid black" padding-top="2pt">
							<xsl:if test="string-length(./positionstitel) > 0"/>
							<fo:block>Titel:</fo:block>
						</fo:table-cell>
						<fo:table-cell border-top="1pt solid black" padding-top="2pt">
							<fo:block font-weight="bold">
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- ****************************************************-->
	<!--pbeschreibungen-->
	<!-- ******************************************************-->
	<xsl:template match="pbeschreibungen">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
			<fo:table-body>
				<xsl:for-each select="./*">
					<xsl:for-each select="./*"> <!--pbeschreibung-->
						<fo:table-row>
							<xsl:if test="string-length(./value[1]) >0 or string-length(./value[2]) >0
								or string-length(./value[3]) >0 or string-length(./value[4]) >0
								or string-length(./value[5]) >0 or string-length(./value[6]) >0">
								<xsl:for-each select="./key">
									<fo:table-cell padding-top="1pt">
										<fo:block>
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:for-each>
									<fo:table-cell>
										<fo:table table-layout="fixed">
											<!--xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite div 3.9 * 3)"/-->
											<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite div 4 * 3)"/><xsl:value-of select="$masse"/></xsl:attribute>			
											<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
											<fo:table-body>
												<xsl:for-each select="./value">
													<fo:table-row>
														<fo:table-cell><!-- border-style="solid" border-width="1pt" border-color="black"-->
															<fo:block>
																<!--xsl:value-of select="."/--><xsl:call-template name="nbsp"/> <!--non breaking space für Leerzeilen ASCII 160-->
															</fo:block>
														</fo:table-cell>
													</fo:table-row>
												</xsl:for-each>
											</fo:table-body>
										</fo:table>
									</fo:table-cell>
							</xsl:if>	
						</fo:table-row>
					</xsl:for-each>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
</xsl:stylesheet>
