<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">5</xsl:variable>
	<!--xsl:variable name="pagewidth"><xsl:value-of select="//pageWidth"/></xsl:variable>
	<xsl:variable name="pageheight"><xsl:value-of select="//pageHeight"/></xsl:variable>
	<xsl:variable name="right"><xsl:value-of select="//marginRight"/></xsl:variable>
	<xsl:variable name="left"><xsl:value-of select="//marginLeft"/></xsl:variable>
	<xsl:variable name="bottom"><xsl:value-of select="//marginBottom"/></xsl:variable>
	<xsl:variable name="top"><xsl:value-of select="//marginTop"/></xsl:variable>
	<xsl:variable name="masse"><xsl:value-of select="//masse"/></xsl:variable>
	<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<xsl:variable name="maxLength">9</xsl:variable-->
	<xsl:param name="art" select="//auszugheader/art"/>
	<xsl:include href="import.xsl"/>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<fo:simple-page-master master-name="ersteSeite">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm">
						<xsl:attribute name="margin-bottom">2cm + <xsl:value-of select="$lineOffsetFooter * $fixedline"/>pt</xsl:attribute>
					</fo:region-body>
					<xsl:if test="$art='Kreditor'">
						<fo:region-before precedence="true" extent="1.5cm"/>
					</xsl:if>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:simple-page-master master-name="folgeseiten">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-bottom="2cm">
						<xsl:attribute name="margin-top">1cm + <xsl:value-of select="$lineOffsetFollowingPage * $fixedline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-before precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:page-sequence-master master-name="only">
					<fo:repeatable-page-master-alternatives>
						<fo:conditional-page-master-reference master-reference="ersteSeite" page-position="first"/>
						<fo:conditional-page-master-reference master-reference="folgeseiten" page-position="rest"/>
					</fo:repeatable-page-master-alternatives>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<xsl:if test="$art='Kreditor'">
						<fo:block font-family="Helvetica" font-size="9pt">
							<xsl:call-template name="SeitenKopf"/>
						</fo:block>
					</xsl:if>
					<xsl:if test="$art='Debitor'">
						<fo:block font-family="Helvetica" font-size="8pt">
							Kontoauszug <xsl:value-of select="//auszugheader/name"/> 
							Seite: <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>				
						</fo:block>
					</xsl:if>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<xsl:if test="$art='Kreditor'">
							<xsl:apply-templates select="//auszugheader"/>
						<fo:block font-family="Helvetica" font-size="9pt" text-align="start" space-before="35pt">
							<xsl:apply-templates select="//auszug"/>  
						<!-- 	<xsl:apply-templates select="//Umsatz/*[name(.)='Datum' or name(.)='Betrag']"/>  -->
							<fo:block id="endofdoc"/>
						</fo:block>
					</xsl:if>
					<xsl:if test="$art='Debitor'">
						<fo:block font-family="Helvetica" font-size="9pt"><!-- text-align="start" space-before="35pt"-->
							<xsl:call-template name="root"/>
							<xsl:apply-templates select="//auszug"/>  
						<!-- 	<xsl:apply-templates select="//Umsatz/*[name(.)='Datum' or name(.)='Betrag']"/>  -->
							<xsl:apply-templates select="//fuss"/>
							<fo:block id="endofdoc"/>
						</fo:block>
					</xsl:if>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ****************************************************************************   -->
	</xsl:template>
	<!-- ** process  element-nodes  **    -->
	<!-- *******************************************************-->
	<!--Template  für SeitenKopf	KREDITOR -->
	<!-- *******************************************************-->
	<xsl:template name="SeitenKopf">
		<fo:block text-align="end">
			<fo:inline font-size="8pt">Kontoauszug</fo:inline> 
			<fo:inline font-size="8pt">Ausdruck v. <xsl:value-of select="//Ausdruck/datum"/></fo:inline> 
			<fo:inline font-size="8pt"><xsl:value-of select="//Ausdruck/uhrzeit"/> </fo:inline> 
			<fo:inline font-size="8pt">Seite:  <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/></fo:inline>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  R O O T BriefForm-->
	<!-- *******************************************************-->
	<xsl:template name="root">
		<!--xsl:call-template name="Infosachbearbeiter"/-->
		<xsl:call-template name="fixedlineOffset8"/>
		<xsl:call-template name="Kunde"/>
		<xsl:call-template name="lineOffsetFirstPage"/>
		<xsl:apply-templates select="//kopf"/>
		<xsl:apply-templates select="//kopf/ktitel"/>
		<xsl:apply-templates select="//kopfanrede/anrede"/>
		<xsl:apply-templates select="//kopfanrede/kopftext"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für KundenDaten-->
	<!-- *******************************************************-->
	<xsl:template name="Kunde">
		<!--fo:block text-decoration="underline" padding-after="10pt" font-size="10pt">
			<xsl:value-of select="//Rechnung/infosachbearbeiter/name"/>
		</fo:block-->
		<fo:block font-size="10pt">
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1.4)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:apply-templates select="//kunde/name"/>
								<xsl:apply-templates select="//kunde/adresse"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Anrede -->
	<!-- *******************************************************-->
	<xsl:template match="anrede">
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Kopftext-->
	<!-- *******************************************************-->
	<xsl:template match="//kopftext/*">
		<xsl:call-template name="return"/>
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Endtext-->
	<!-- *******************************************************-->
	<xsl:template match="fuss">
		<xsl:for-each select="./fusstext">
			<xsl:call-template name="lineOffset"/>
			<xsl:for-each select="./zeile">
				<xsl:value-of select="."/>
				<xsl:call-template name="return"/>
			</xsl:for-each>
			<xsl:call-template name="return"/>
		</xsl:for-each>
		<xsl:for-each select="./sachbearbeiter">
			<xsl:call-template name="lineOffset"/>
			<fo:block>
				<xsl:value-of select="."/>
			</fo:block>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template ktitel Verkauf-->
	<!-- *******************************************************-->
	<xsl:template match="ktitel">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.2)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(1.2)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								Stichtag:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="//auszugheader/bewegungenSeit"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/info) > 0">
										Es schreibt Ihnen:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/info"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./kundenNummer) > 0">
								Kundennummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="./kundenNummer"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/telefon) > 0">
										Telefon:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/telefon"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./fremdeNummer) > 0">
								Ihre Nummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="./fremdeNummer"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/fax) > 0">
										Fax:
							</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/fax"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block/>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block/>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/email) > 0">
										E-Mail:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/email"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="lineOffset"/>
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template  für auszugheader KREDITOR -->
	<!-- *******************************************************-->
	<xsl:template match="auszugheader">
		<fo:block text-align="start" text-indent="8.5cm" font-size="11pt" font-weight="bold" padding-top="10pt">
			<xsl:value-of select="./art"/>: <xsl:value-of select="./name"/>   
			<xsl:call-template name="return"/>
			Bewegungen seit: <xsl:value-of select="./bewegungenSeit"/>
		</fo:block>
 	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Auszug-->
	<!-- *******************************************************-->
	<xsl:template match="BlockTitel|BlockFooter">
		<fo:block font-size="11pt" font-weight="bold">
			<xsl:value-of select="."/>    
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Auszug-->
	<!-- *******************************************************-->
	<xsl:template match="Datum|Betrag">
		<fo:block>
			<xsl:value-of select="."/>    
		</fo:block>
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="mit">
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template für Zeile ohne Umbruch...-->
	<!-- *******************************************************-->
	<xsl:template match="ohne">
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Element erklaerung-->
	<!-- ******************************************************-->
	
	<xsl:template name="make-line">
		<fo:block>
			<xsl:attribute name="leader-length"><xsl:value-of select="$normBreite"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:leader leader-pattern="rule" space-before.optimum="1pt" space-after.optimum="1pt"/>
		</fo:block>
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template  für AuszugTabelle-->
	<!-- *******************************************************-->
	<xsl:template match="auszug">
		<xsl:apply-templates select="./BlockTitel"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<fo:block>     <!-- keep-together.within-page="always"-->
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(9)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(13)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(10)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(14)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(11)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(10)"/>
			<fo:table-column column-number="8" column-width="proportional-column-width(12)"/>
			<fo:table-header background-color="lightgray" display-align="center" padding-top="2pt">
				<fo:table-row>
					<xsl:for-each select="./titel/*">
						<fo:table-cell border-bottom="1pt solid black">
							<fo:block text-align="start" font-size="9pt" font-weight="bold">
								<xsl:if test="position()=7 or position()=3 or position()=8 or position()=4">
									<xsl:attribute name="text-align">end</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()=5">
									<xsl:attribute name="text-align">end</xsl:attribute>
									<xsl:attribute name="end-indent">5pt</xsl:attribute>
								</xsl:if>

								
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:for-each select="./Umsatz">
					<fo:table-row>
						<xsl:for-each select="*">
							<fo:table-cell text-align="start" padding-end="1pt" padding-top="2pt">
								<xsl:if test="position()=3 or position()=4 or position()=8 or position()=7">
									<xsl:attribute name="text-align">end</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()=5">
									<xsl:attribute name="text-align">end</xsl:attribute>
									<xsl:attribute name="end-indent">5pt</xsl:attribute>
								</xsl:if>
								<fo:block font-size="9pt">
								<!--xsl:choose>
									<xsl:when test="position()=2 or position()=4 or position()=6">
										<xsl:value-of select="substring(.,1,$maxLength)"/>
									</xsl:when>
									<xsl:otherwise-->
										<xsl:value-of select="."/>
									<!--/xsl:otherwise>

								</xsl:choose-->

								
										<!--<xsl:if test="name(.)='BetragMinus' and .!='' ">	
									-									</xsl:if>
									<xsl:if test="position()=7 and .!='' ">
										+
									</xsl:if> -->
									
									
										<!--<xsl:value-of select="."></xsl:value-of>-->
										<!--<xsl:value-of select="substring(.,1,$maxLength)"/>-->		
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		</fo:block>
	
		<xsl:call-template name="make-line"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:apply-templates select="./BlockFooter"/>

	</xsl:template>

</xsl:stylesheet>
