<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!--________eigene Variablen-->
	<xsl:variable name="fontSize">
		<xsl:value-of select="//KostenueberblickKomponente/FontSize"/>
	</xsl:variable>
	<xsl:variable name="cellPadding">1pt</xsl:variable>
	<!--_________________________________-->
	<xsl:template match="/">
		<html>
			<body>
				<font face="Arial">
					<h4>
						<p align="left">
							<xsl:value-of select="KostenueberblickKomponente/ueberschrift"/>
						</p>
					</h4>
					<table rules="cols" bordercolor="#CCCCCC">
						<xsl:attribute name="cellpadding">
							<xsl:value-of select="$cellPadding"/>
						</xsl:attribute>
						<tbody>
							<xsl:apply-templates select="KostenueberblickKomponente/Komponente"/>
						</tbody>
					</table>
				</font>
			</body>
		</html>
	</xsl:template>
	<!--___________________-->
	<xsl:template match="Komponente">
		<xsl:apply-templates/>
	</xsl:template>
	<!--___________________-->
	<xsl:template match="header">
		<xsl:apply-templates/>
	</xsl:template>
	<!--___________________-->
	<xsl:template match="key">
		<td bgcolor="#CCCCCC">
			<font face="Arial">
			<xsl:attribute name="size"><xsl:value-of select="$fontSize"/></xsl:attribute>
					<xsl:value-of select="."/>
			</font>
		</td>
	</xsl:template>
	<!--___________________-->
	<xsl:template match="Bereiche">
		<xsl:apply-templates/>
	</xsl:template>
	<!--___________________-->
	<xsl:template match="Bereich">
		<tr>
			<xsl:apply-templates/>
		</tr>
	</xsl:template>
	<!--___________________-->
	<xsl:template match="Gesamtkosten|KostenProEinheit|Summen">
		<tr bgcolor="#CCCCCC">
		
			<xsl:apply-templates/>
		</tr>
	</xsl:template>
	<!--___________________-->
	<xsl:template match="fertigung|material|fremdkosten">
		<td>
			<font face="Arial">
		<xsl:attribute name="size"><xsl:value-of select="$fontSize"/></xsl:attribute>

			<div align="right">
				<!--xsl:if test="string-length(.) &lt;= 0"></xsl:if-->
				<xsl:value-of select="."/>
			</div></font>
		</td>
	</xsl:template>
	<!--___________________-->
	<xsl:template match="titel">
		<td>
			<font face="Arial">
			<xsl:attribute name="size"><xsl:value-of select="$fontSize"/></xsl:attribute>
				<xsl:choose>
					<xsl:when test=".= 'Summen' or .='Gesamtkosten' or .='Kosten /oo' ">
						<xsl:value-of select="."/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="."/>
					</xsl:otherwise>
				</xsl:choose>
			</font>
		</td>
	</xsl:template>
	<!--___________________-->
</xsl:stylesheet>
