<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">7pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">1.5</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">1</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable>

	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
										<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
										<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
									<xsl:value-of select="$masse"/></xsl:attribute>
					
					
					<fo:region-body margin-top="0.5cm"/>
					<fo:region-before precedence="true" extent="2cm"/>
					<fo:region-after precedence="true" extent="0.5cm"/>

				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<!--fo:static-content flow-name="xsl-region-before">
					<fo:block text-align="end" font-size="9pt">
								<fo:inline>
									Seite:  <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>
								</fo:inline>
							</fo:block>
					</fo:static-content-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="8pt" text-align="end">
						<xsl:value-of select="//Lieferschein/Titel"/> zu Auftrag Nr. 
						<xsl:value-of select="//bearbeitung/titel[3]/value"/>  
						Seite: <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>			
					</fo:block>
				</fo:static-content>
				<!--__________________BODY____________________-->
				<fo:flow flow-name="xsl-region-body">	
						<fo:block font-family="Helvetica" font-size="11.0pt">
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:apply-templates select="//Lieferschein/header/empfaenger/name"/>
						<xsl:apply-templates select="//Lieferschein/header/empfaenger/adresse"/>
						<xsl:apply-templates select="//header"/>
						<xsl:apply-templates select="//bearbeitung"/>
						<xsl:apply-templates select="//anrede"/>
						<xsl:apply-templates select="//kopftext"/>
						<xsl:apply-templates select="//arbeitstitel"/>
						<xsl:apply-templates select="//eingangsprodukte"/>
						<xsl:apply-templates select="//ausgangsprodukte"/>
						<!--xsl:apply-templates select="//sendenan"/-->
						<xsl:apply-templates select="//Transportkosten"/>
						<!--xsl:apply-templates select="//fuss"/-->
						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  *******************************************************************   -->
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="strasseoderpf|land">
		<fo:block>
					<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="name">
		<!--fo:block font-weight="bold" font-size="11pt"-->
		<fo:block font-size="11pt">
					<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template  für adresse-->
	<!-- *******************************************************-->
	<xsl:template match="adresse">
		<xsl:apply-templates select="./strasseoderpf"/>
		<fo:block>
			<!--xsl:call-template name="return"/-->
			<xsl:if test="./kennzeichen !=''">
				<xsl:value-of select="./kennzeichen"/> -
			</xsl:if>
			<xsl:value-of select="./plz"/> 
			<xsl:value-of select="./ort"/>
			<xsl:if test="./kennzeichen =''">
				<xsl:apply-templates select="./land"/>
			</xsl:if>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  /Betreff-->
	<!-- *******************************************************-->
		<xsl:template match="header">
		<!--xsl:call-template name="return"/-->
		<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
					<fo:table-body>
							<fo:table-row>
								<fo:table-cell>
									<!--fo:block font-weight="bold" font-size="20pt" text-align="start"
												 font-family="Courier"-->
									<fo:block font-weight="bold" font-size="15pt" text-align="start">
										<xsl:value-of select="//Lieferschein/Titel"/>
									</fo:block>
								</fo:table-cell>
							<fo:table-cell>
								<fo:block text-align="end">
									<xsl:value-of select="./ortunddatum"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Kopftext-->
	<!-- ******************************************************-->
	<xsl:template match="anrede">
		<xsl:value-of select="."/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Kopftext-->
	<!-- ******************************************************-->
	<xsl:template match="kopftext">
		<xsl:value-of select="."/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
				<!--KTITEL-->
	<!-- *******************************************************-->
		<xsl:template match="bearbeitung">
			<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(1.2)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(//bearbeitung/titel[3]/value) > 0">
									Unsere Nummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<!--xsl:value-of select="./unsereNummer"></xsl:value-of-->
								<xsl:value-of select="//bearbeitung/titel[3]/value"/>  
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/info) > 0">
									Es schreibt Ihnen :
								</xsl:if>		
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/info"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(//bearbeitung/titel[2]/value) > 0">
									Kunde:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="//bearbeitung/titel[2]/value"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/telefon) > 0">
									Telefon:
								</xsl:if>		
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/telefon"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./fremdeNummer) > 0">
									Ihre Nummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
						<fo:block font-weight="bold">
								<xsl:value-of select="./fremdeNummer"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/fax) > 0">
									Fax:
								</xsl:if>	
							</fo:block>	
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/fax"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block></fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block></fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/email) > 0">
									eMail:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/email"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Text, kann auch gelöscht werden-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum">
			<xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Fuss generell-->
	<!-- *******************************************************-->
	<!--xsl:template match="//fuss/*"-->
	<xsl:template match="fuss">
		<xsl:for-each select="./*">
		<xsl:call-template name="return"/>
		<xsl:if test="position()=last()">
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<xsl:value-of select="."/>
		<xsl:call-template name="return"/>
		</xsl:for-each>
	</xsl:template>
	<!-- ***************************************************************-->
	<!--Template  für  positionen -->
	<!-- ***************************************************************-->
<xsl:template match="eingangsprodukte">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(5)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(2)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(2)"/>
			<fo:table-header>
				<fo:table-row>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" font-size="10pt">EIngangsprodukt</fo:block>
					</fo:table-cell>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" text-align="end" end-indent="4pt" font-size="10pt">
												Menge</fo:block>
					</fo:table-cell>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" text-align="end" end-indent="4pt" font-size="10pt">
											inkl. Zuschuss</fo:block>
					</fo:table-cell>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" font-size="10pt">Format</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>	
			<fo:table-body>
				<xsl:for-each select="./table">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:attribute name="padding-top">2pt</xsl:attribute>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:attribute name="text-align">end</xsl:attribute>
								<xsl:attribute name="end-indent">4pt</xsl:attribute>
								<xsl:attribute name="padding-top">2pt</xsl:attribute>
								<xsl:value-of select="./titel[1]/value"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:attribute name="text-align">end</xsl:attribute>
								<xsl:attribute name="end-indent">4pt</xsl:attribute>
								<xsl:attribute name="padding-top">2pt</xsl:attribute>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:attribute name="padding-top">2pt</xsl:attribute>
								<xsl:value-of select="./titel[2]/value"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row height="7pt"/>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>	
	</xsl:template>
	<!-- ***************************************************************-->
	<!--Template  für  positionen -->
	<!-- ***************************************************************-->
<xsl:template match="ausgangsprodukte">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(5)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(2)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(2)"/>
			<fo:table-header>
				<fo:table-row>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" font-size="10pt">Ausgangsprodukt</fo:block>
					</fo:table-cell>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" text-align="end" end-indent="4pt" font-size="10pt">
												Menge</fo:block>
					</fo:table-cell>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" text-align="end" end-indent="4pt" font-size="10pt">
											max. fertigen</fo:block>
					</fo:table-cell>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" font-size="10pt">Format</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>	
			<fo:table-body>
				<xsl:for-each select="./table">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:attribute name="padding-top">2pt</xsl:attribute>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:attribute name="text-align">end</xsl:attribute>
								<xsl:attribute name="end-indent">4pt</xsl:attribute>
								<xsl:attribute name="padding-top">2pt</xsl:attribute>
								<xsl:value-of select="./titel[1]/value"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:attribute name="text-align">end</xsl:attribute>
								<xsl:attribute name="end-indent">4pt</xsl:attribute>
								<xsl:attribute name="padding-top">2pt</xsl:attribute>
								<xsl:value-of select="./titel[3]/value"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:attribute name="padding-top">2pt</xsl:attribute>
								<xsl:value-of select="./titel[2]/value"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell number-columns-spanned="4">
							<xsl:call-template name="beschreibungen"/>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>

	<!-- ****************************************************-->
					<!--beschreibungen-->
	<!-- ******************************************************-->
	<xsl:template name="beschreibungen">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
			<fo:table-body>
				<xsl:for-each select="./titel">
					<xsl:if test="position()>3 and string-length(./value) > 0">
							<fo:table-row>
									<fo:table-cell>
										<xsl:if test="position()=last()">
											<fo:block font-weight="bold">
												<xsl:value-of select="./key"/>:
											</fo:block>
										</xsl:if>
										<xsl:if test="position()!=last()">
											<fo:block>
												<xsl:value-of select="./key"/>:
											</fo:block>
										</xsl:if>
									</fo:table-cell>
									<fo:table-cell>
										<xsl:if test="position()=last()">
											<fo:block font-weight="bold">
												<xsl:value-of select="./value"/>
											</fo:block>
										</xsl:if>
										<xsl:if test="position()!=last()">
											<fo:block>
												<xsl:value-of select="./value"/>
											</fo:block>
										</xsl:if>
									</fo:table-cell>
							</fo:table-row>
						</xsl:if>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>

	</xsl:template>

	<!-- *******************************************************-->
			<!--arbeitstitel-->
	<!-- *******************************************************-->
		<xsl:template match="arbeitstitel">
			<fo:block>
				<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
																<xsl:value-of select="$masse"/></xsl:attribute>		
					<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
					<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
						<fo:table-body>
							<xsl:for-each select="//arbeitstitel">
								<fo:table-row>
									<fo:table-cell>
										<fo:block>
											<xsl:value-of select="./key"/>:
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block>
											<xsl:value-of select="./value"/>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</xsl:for-each>
						</fo:table-body>
					</fo:table>
				</fo:block>
			<xsl:call-template name="return"/>
		</xsl:template>
	<!-- *******************************************************-->
			<!--     senden an      -->
	<!-- *******************************************************-->
		<xsl:template match="sendenan">
		<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
					<fo:table-body>
						<xsl:for-each select="//sendenan">
							<fo:table-row>
								<fo:table-cell>
									<fo:block>
										<xsl:value-of select="./titel"/>:
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block>
										<xsl:apply-templates select="//sendenan/empfaenger/name"/>
									<!--............................und Adresse................-->
										<xsl:apply-templates select="//sendenan/empfaenger/adresse"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>
					</fo:table-body>
				</fo:table>
			</fo:block>
		</xsl:template>
	<!-- *******************************************************-->
	<!--....................Transportkosten...........................-->
	<!-- *******************************************************-->
	<xsl:template match="Transportkosten">
		<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
				<fo:table-body>
					<xsl:for-each select="//Transportkosten">
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<!--xsl:value-of select="./key"/-->
									Transport:
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>

</xsl:stylesheet>
