<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">7</xsl:variable>
	<!--xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.7</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable-->
	<xsl:include href="import.xsl"/>
	<xsl:include href="import_vk.xsl"/>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<fo:simple-page-master master-name="ersteSeite">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm">
						<xsl:attribute name="margin-bottom">2cm + <xsl:value-of select="$lineOffsetFooter * $fixedline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:simple-page-master master-name="folgeseiten">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-bottom="2cm">
						<xsl:attribute name="margin-top">1cm + <xsl:value-of select="$lineOffsetFollowingPage * $fixedline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-before precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:page-sequence-master master-name="only">
					<fo:repeatable-page-master-alternatives>
						<fo:conditional-page-master-reference master-reference="ersteSeite" page-position="first"/>
						<fo:conditional-page-master-reference master-reference="folgeseiten" page-position="rest"/>
					</fo:repeatable-page-master-alternatives>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="8pt">
						<xsl:value-of select="//Lieferschein/kopf/betreff"/> 
						<xsl:value-of select="//Lieferschein/kopf/ktitel/unsereNummer"/>  
						Seite: <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>			
					</fo:block>
				</fo:static-content>
				<!--__________________BODY____________________-->
				<fo:flow flow-name="xsl-region-body">	
						<fo:block font-family="Helvetica" font-size="11.0pt">
						<xsl:call-template name="fixedlineOffset8"/>
						<xsl:apply-templates select="//Lieferschein/kunde/name"/>
						<xsl:apply-templates select="//Lieferschein/kunde/adresse"/>
						<xsl:call-template name="lineOffsetFirstPage"/>
						<xsl:apply-templates select="//kopf"/>
						<xsl:apply-templates select="//ktitel"/>
						<xsl:apply-templates select="//kopfanrede"/>
						<xsl:apply-templates select="//body/positionen"/>
						<xsl:apply-templates select="//fuss"/>
						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  *******************************************************************   -->
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<!--xsl:template match="strasseoderpf|land">
		<fo:block>
					<xsl:value-of select="."/>
		</fo:block>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<!--xsl:template match="name">
		<fo:block font-size="11pt">
					<xsl:value-of select="."/>
		</fo:block>
	</xsl:template-->

	<!-- *******************************************************-->
	<!--Template  für adresse-->
	<!-- *******************************************************-->
	<!--xsl:template match="adresse">
		<xsl:apply-templates select="./strasseoderpf"/>
		<fo:block>
			<xsl:if test="./kennzeichen !=''">
				<xsl:value-of select="./kennzeichen"/> -
			</xsl:if>
			<xsl:value-of select="./plz"/> 
			<xsl:value-of select="./ort"/>
			<xsl:if test="./kennzeichen =''">
				<xsl:apply-templates select="./land"/>
			</xsl:if>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  /Betreff-->
	<!-- *******************************************************-->
		<!--xsl:template match="kopf">
		<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
					<fo:table-body>
							<fo:table-row>
								<fo:table-cell>
									<fo:block font-weight="bold" font-size="15pt" text-align="start">
										<xsl:value-of select="./betreff"/>
									</fo:block>
								</fo:table-cell>
							<fo:table-cell>
								<fo:block text-align="end">
									<xsl:value-of select="./ortunddatum"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  für Kopftext-->
	<!-- ******************************************************-->
	<xsl:template match="kopfanrede">
		<xsl:value-of select="./anrede"/>
		<xsl:call-template name="return"/>
		<xsl:value-of select="./kopftext"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>

	</xsl:template>
	<!-- *******************************************************-->
				<!--KTITEL-->
	<!-- *******************************************************-->
		<!--xsl:template match="ktitel">
			<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(1.2)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./unsereNummer) > 0">
									Unsere Nummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="./unsereNummer"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/info) > 0">
										Es schreibt Ihnen :
								</xsl:if>		
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/info"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(./kundenNummer) > 0">
									Kundennummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="./kundenNummer"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/telefon) > 0">
										Telefon:
								</xsl:if>		
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/telefon"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
							<xsl:if test="string-length(./fremdeNummer) > 0">
								Ihre Nummer:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
						<fo:block font-weight="bold">
								<xsl:value-of select="./fremdeNummer"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
							<xsl:if test="string-length(../../infosachbearbeiter/fax) > 0">
										Fax:
							</xsl:if>	
							</fo:block>	
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/fax"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell>
							<fo:block></fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block></fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:if test="string-length(../../infosachbearbeiter/email) > 0">
										eMail:
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold">
								<xsl:value-of select="../../infosachbearbeiter/email"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  für Fuss generell-->
	<!-- *******************************************************-->
	<!--xsl:template match="//fuss/*"-->
	<xsl:template match="fuss">
		<xsl:for-each select="./*">
		<xsl:call-template name="return"/>
		<xsl:if test="position()=last()">
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
			<xsl:call-template name="return"/>
		</xsl:if>
		<xsl:value-of select="."/>
		<xsl:call-template name="return"/>
		</xsl:for-each>
	</xsl:template>
	<!-- ***************************************************************-->
	<!--Template  für  positionen -->
	<!-- ***************************************************************-->
	<xsl:template match="positionen">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(5)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(2)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(2)"/>
			<fo:table-header>
				<fo:table-row>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" font-size="10pt">Titel</fo:block>
					</fo:table-cell>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" text-align="end" end-indent="4pt" font-size="10pt">
												bestellt</fo:block>
					</fo:table-cell>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
					<fo:block font-weight="bold" text-align="end" end-indent="2pt" font-size="10pt">
											bisher geliefert</fo:block>
					</fo:table-cell>
					<fo:table-cell background-color="#CCCCCC" border-top="1pt solid black"
								 border-bottom="1pt solid black" padding-after="1pt" padding-top="1pt">
						<fo:block font-weight="bold" text-align="end" end-indent="2pt" font-size="10pt">
										jetzt geliefert</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>	
			<fo:table-body>
				<xsl:for-each select="./position">
				<fo:table-row>
					<xsl:for-each select="./*">
						<fo:table-cell>
						<xsl:if test="position()=1">
						<xsl:attribute name="font-size">10pt</xsl:attribute>
						<xsl:attribute name="padding-top">2pt</xsl:attribute>
						</xsl:if>
						<xsl:if test="position()!=1">
							<xsl:attribute name="text-align">end</xsl:attribute>
							<xsl:attribute name="end-indent">4pt</xsl:attribute>
							<xsl:attribute name="padding-top">2pt</xsl:attribute>
						</xsl:if>
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</fo:table-row>
				<!--fo:table-row height="7pt"/-->
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							<xsl:apply-templates select="pbeschreibungen"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- ***************************************************************-->
	<!-- ****************************************************-->
					<!--pbeschreibungen-->
	<!-- ******************************************************-->
<xsl:template match="pbeschreibungen">
		<xsl:call-template name="return"/>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
			<fo:table-body>
				<xsl:for-each select="./*">
					<fo:table-row>
					<xsl:if test="string-length(*[2]) >0">
						<xsl:for-each select="*[1]">
							<fo:table-cell>
								<fo:block>
								<xsl:if test="name(.)='umfangkey'">Umfang:</xsl:if>
								<xsl:if test="name(.)='formatkey'">Format:</xsl:if>
								<xsl:if test="name(.)='farbenkey'">Farben:</xsl:if>
								<xsl:if test="name(.)='papierkey'">Papier:</xsl:if>
								<xsl:if test="name(.)='eingangproduktkey'">Eingangprodukt:</xsl:if>
								<xsl:if test="name(.)='ausfuehrungkey'">Ausführung:</xsl:if>
								<xsl:if test="name(.)='versandkey'">Versand:</xsl:if>
								<xsl:if test="name(.)='erloeuterungkey'">Erläuterung:</xsl:if>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
						<xsl:for-each select="*[2]">
							<fo:table-cell>
								<fo:block>
									<!--xsl:value-of select="."/--><xsl:call-template name="nbsp"/> <!--non breaking space für Leerzeilen ASCII 160-->
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
						</xsl:if>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		<!--xsl:call-template name="return"/-->

	</xsl:template>
<!--______________________________-->
</xsl:stylesheet>
