<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
								xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">12pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-before precedence="true" extent="1cm"/>
					<fo:region-after precedence="true" extent="1cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- actual layout ______________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER *********************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="10pt">
						<xsl:call-template name="SeitenKopf"/>
					</fo:block>
				</fo:static-content>				
				<!-- ************************************ BODY *****************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="10pt" text-align="start">
					<xsl:apply-templates select="//ListeNichtFakturierterAuftraege"/>
						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für SeitenKopf-->
	<!-- *******************************************************-->
		<xsl:template name="SeitenKopf">
		<fo:block text-align="end">
			<fo:inline font-size="8pt"> <xsl:value-of select="//ListeNichtFakturierterAuftraege/titel/key"/></fo:inline>  
			<fo:inline font-size="8pt">Stand v. <xsl:value-of select="//Ausdruck/datum"/></fo:inline> 
			<fo:inline font-size="8pt"><xsl:value-of select="//Ausdruck/uhrzeit"/> </fo:inline> 
			<fo:inline font-size="8pt">Seite:  <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/></fo:inline>
		</fo:block>
	</xsl:template>
	
	<!-- *******************************************************-->
	<!--"ListeNichtFakturierterAuftraege"-->

	<!-- *******************************************************-->
		<xsl:template match="ListeNichtFakturierterAuftraege">
			<fo:block>
				<xsl:apply-templates select="./titel"/>
			</fo:block>
		<xsl:call-template name="return"/>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(0.01)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(1.2)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(2)"/>
			<fo:table-column column-number="8" column-width="proportional-column-width(1)"/>
			<fo:table-header background-color="lightgray" display-align="center">
				<fo:table-row>
					<xsl:for-each select="//ListeNichtFakturierterAuftraege/alleAuftraege/titel/*">
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1pt">
							<xsl:if test="position()=1">
								<fo:block/>
							</xsl:if>
							<xsl:if test="position()=2 or position()=3 or position()=5 or position()=6 or position()=7">
								<fo:block text-align="start" font-size="9pt" padding-top="2pt"
												 padding-after="2pt">
									<xsl:value-of select="."/>
								</fo:block>
							</xsl:if>
							<xsl:if test="position()=4">
								<fo:block text-align="end" end-indent="5pt" font-size="9pt" padding-top="2pt"
												 padding-after="2pt">
									<xsl:value-of select="."/>
								</fo:block>
							</xsl:if>
							<xsl:if test="position()=8">
								<fo:block text-align="end" font-size="9pt" padding-top="2pt"
												 padding-after="2pt">
									<xsl:value-of select="."/>
								</fo:block>
							</xsl:if>
						</fo:table-cell>								
				</xsl:for-each>
			</fo:table-row>
		</fo:table-header>
		<fo:table-body>	
		<!--<fo:table-row height="2pt"/>-->
			<xsl:for-each select="//alleKunden/einKunde">
			<fo:table-row height="3pt"/>
				<fo:table-row>
					<fo:table-cell number-columns-spanned="8">
						<fo:block text-align="center" font-weight="bold" font-size="11pt" text-decoration="underline"><xsl:value-of select="./blockTitel"/></fo:block>
					</fo:table-cell>
				</fo:table-row>
				<xsl:apply-templates select="./auftraege/auftrag"/>
				<xsl:apply-templates select="./summenProKunde"/>
			</xsl:for-each>
			<xsl:apply-templates select="//summeGesamt"/>
		</fo:table-body>
		</fo:table>	
		<xsl:call-template name="return"/>		
		<xsl:call-template name="return"/>		
	</xsl:template>
	
	<!-- *******************************************************-->
		<xsl:template match="auftrag">
			<xsl:for-each select=".">
				<fo:table-row>
					<xsl:for-each select="./*">
					<xsl:if test="position()=1">
						<fo:table-cell number-columns-spanned="2">
							<fo:block font-size="10pt">

								<xsl:value-of select="."/>
 							</fo:block>
						</fo:table-cell>
					</xsl:if>

					<xsl:if test="position()=2 or position()=4 or position()=5 or position()=6">											<fo:table-cell>
							<fo:block font-size="10pt">

								<xsl:value-of select="."/>
 							</fo:block>
						</fo:table-cell>
					</xsl:if>
						
					<xsl:if test="position()=3">
						<fo:table-cell>
							<fo:block font-size="10pt" text-align="end" end-indent="5pt" font-family="Courier">
								<xsl:value-of select="."/>
 							</fo:block>
						</fo:table-cell>
					</xsl:if>
					
					<xsl:if test="position()=7">
						<fo:table-cell>
							<fo:block font-size="10pt" text-align="end" end-indent="1pt" font-family="Courier">
								<xsl:value-of select="."/>
 							</fo:block>
						</fo:table-cell>
					</xsl:if>
					</xsl:for-each>						
				</fo:table-row>
			</xsl:for-each>
		</xsl:template>
		<!--___________________________________-->

		<xsl:template match="summenProKunde">
			<xsl:for-each select=".">
				<fo:table-row>
					<xsl:for-each select="./*">
					<xsl:if test="position()=1">
					<fo:table-cell number-columns-spanned="7" border-bottom="1pt solid black" border-top="1pt solid black">
							<fo:block font-size="10pt" font-weight="bold">
								&#8721;  <xsl:value-of select="."/>
 							</fo:block>
						</fo:table-cell>
						</xsl:if>
						
						<xsl:if test="position()!=1"><fo:table-cell border-bottom="1pt solid black" border-top="1pt solid black">
							<fo:block font-size="10pt" text-align="end" end-indent="1pt" font-weight="bold" font-family="Courier">
								<xsl:value-of select="."/>
 							</fo:block>
						</fo:table-cell>
						</xsl:if>
					</xsl:for-each>						
				</fo:table-row>
			</xsl:for-each>
			
		</xsl:template>
		<!--___________________________________-->

		<xsl:template match="summeGesamt">
			<xsl:for-each select=".">
				<fo:table-row>
					<xsl:for-each select="./*">
					<xsl:if test="position()=1">
					<fo:table-cell number-columns-spanned="7" border-bottom="1pt solid black" border-top="1pt solid black">
							<fo:block font-size="11pt" font-weight="bold">
								<xsl:call-template name="return"/>
								&#8721; Nicht fakturiertes Auftragsvolumen <xsl:value-of select="."/>
 							</fo:block>
						</fo:table-cell>
						</xsl:if>
						
						<xsl:if test="position()!=1"><fo:table-cell border-bottom="1pt solid black" border-top="1pt solid black">
							<fo:block font-size="10pt" text-align="end" end-indent="1pt" font-weight="bold" font-family="Courier">
								<xsl:call-template name="return"/>
								<xsl:value-of select="."/>
 							</fo:block>
						</fo:table-cell>
						</xsl:if>
					</xsl:for-each>						
				</fo:table-row>
			</xsl:for-each>
			
		</xsl:template>

	<!-- *******************************************************-->
	<!--Template  für return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template -->
	<!-- *******************************************************-->
	<xsl:template match="titel">
		<xsl:for-each select="./key">
			<xsl:if test="position()=1">			
				<fo:inline font-size="12pt" font-weight="bold"><xsl:value-of select="."/>   </fo:inline>
			</xsl:if>
			<xsl:if test="position()=2">			
				<fo:inline font-size="12pt"><xsl:value-of select="."/></fo:inline>
			</xsl:if>
			<xsl:if test="position()=3">	
				<fo:block>		
					<xsl:value-of select="."/>
				</fo:block>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template -->
	<!-- *******************************************************-->
		<xsl:template match="BlockTitel">
			<xsl:value-of select="."/>		
		</xsl:template>
<!--#######################-->
<!--'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''-->	
</xsl:stylesheet>
