<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">12pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">1</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-after precedence="true" extent="1.5cm"/>
					<fo:region-before precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<xsl:for-each select="//Mahnungen/Mahnung">
					<fo:page-sequence master-reference="only" initial-page-number="1" force-page-count="no-force">
						<xsl:variable name="endofdoc"><xsl:value-of select="./kopf/betreff"/></xsl:variable>
						<!-- usage of page layout -->
						<!-- ************************************ HEADER ********************************************-->
						<fo:static-content flow-name="xsl-region-before">
							<fo:block font-family="Helvetica" font-size="8pt">
								<fo:block text-align="end">
									<xsl:value-of select="./kopf/betreff"/>
							
								   Seite:<fo:page-number/>  / <fo:page-number-citation ref-id="{$endofdoc}"/>
								</fo:block>
							</fo:block>
						</fo:static-content>
						<!-- ************************************ After ********************************************-->
						<!--fo:static-content flow-name="xsl-region-after">
						<fo:table table-layout="fixed">
						<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/>
						</xsl:attribute>
						<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
						<fo:table-body>
							<fo:table-row>	
								<fo:table-cell border-top="1pt solid gray" padding-top="1pt" text-align="center">
									<fo:block font-family="Helvetica" font-size="10pt">
										<xsl:if test="count(//Konten) &gt;=2">
											Bankverbindungen:
											<xsl:for-each select="//Konten">
											 Konto-Nr. <xsl:value-of select="./KontoNummer"/> 
							   			        bei  <xsl:value-of select="./Finanzinstitut"/>, 
						          			        BLZ  <xsl:value-of select="./BLZ"/>;
											</xsl:for-each>
										</xsl:if>
										<xsl:if test="count(//Konten)=1">
											Bankverbindung: Konto-Nr. 
											<xsl:value-of select="//Konten/KontoNummer"/> 
										      bei  <xsl:value-of select="//Konten/Finanzinstitut"/>, 
										      BLZ  <xsl:value-of select="//Konten/BLZ"/>
										</xsl:if>
								</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>	
										<fo:table-cell padding-top="1pt" text-align="center">
											<fo:block font-family="Helvetica" font-size="10pt">
									Unsere USt-ID-Nr.:<xsl:value-of select="//UstID"/>
							
								</fo:block>
										</fo:table-cell>
								</fo:table-row>

						</fo:table-body>
						</fo:table>
						</fo:static-content-->
						<!--__________________BODY____________________-->
						<fo:flow flow-name="xsl-region-body">
							<fo:block font-family="Helvetica" font-size="11.0pt">
								<!--xsl:for-each select="."-->
								<!--fo:block font-weight="bold" font-size="12.0pt"-->
								<xsl:call-template name="return"/>
								<xsl:call-template name="return"/>
								<xsl:call-template name="return"/>
								<xsl:call-template name="return"/>
								<xsl:call-template name="return"/>
								<xsl:call-template name="return"/>
								<xsl:call-template name="return"/>
								<xsl:call-template name="return"/>
								<xsl:call-template name="return"/>
								<fo:block>
									<xsl:apply-templates select="./kunde/name"/>
								</fo:block>
								<xsl:apply-templates select="./kunde/adresse"/>
								<xsl:apply-templates select="./kopf"/>
								<xsl:apply-templates select="./body/positionen"/>
								<xsl:apply-templates select="./body/positionen/Gesamt"/>
								<xsl:apply-templates select="./fuss"/>
								<xsl:apply-templates select="./fuss/fusstext"/>
								<!--xsl:call-template name="break"/-->
								<fo:block id="{$endofdoc}"/>
								<!--/xsl:for-each-->
							</fo:block>
							<!--''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''-->
						</fo:flow>
					</fo:page-sequence>
			</xsl:for-each>
		</fo:root>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  Umbruch/ eine   NCHSTE     Seite      -->
	<!-- *******************************************************-->
	<xsl:template name="break">
		<fo:block break-after="page"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr adresse-->
	<!-- *******************************************************-->
	<xsl:template match="adresse">
		<xsl:apply-templates select="./strasseoderpf"/>
		<fo:block>
			<!--xsl:call-template name="return"/-->
			<xsl:if test="./kennzeichen !='' and kennzeichen !='D'">
				<xsl:value-of select="./kennzeichen"/>-
			</xsl:if>
			<xsl:value-of select="./plz"/>
			<xsl:value-of select="./ort"/>
			<xsl:if test="./kennzeichen =''">
				<xsl:apply-templates select="./land"/>
			</xsl:if>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="name|strasseoderpf|land">
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  /Betreff-->
	<!-- *******************************************************-->
	<xsl:template match="kopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<xsl:for-each select=".">
						<fo:table-row>
							<fo:table-cell>
								<fo:block font-weight="bold" font-size="16pt" text-align="start">
									<xsl:value-of select="./betreff"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block text-align="end">
									<xsl:value-of select="./ortunddatum"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:for-each select="kopftext/kopftext/zeile">
			<fo:block>
				<xsl:value-of select="."/>
			</fo:block>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<!--Template fur Anrede -->
	<!-- *******************************************************-->
	<xsl:template match="anrede">
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Positionen-->
	<!-- *******************************************************-->
	<xsl:template match="positionen">
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(0.9)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(1.3)"/>
				<fo:table-header background-color="lightgray" display-align="center" padding-top="0pt" padding-bottom="0pt">
					<fo:table-row>
						<xsl:for-each select="./titel/*">
							<fo:table-cell border-bottom="1pt solid black" border-top="1pt solid black">
								<fo:block font-size="9pt" padding-top="3pt" padding-after="3pt">
									<xsl:if test="position()=6 or position()=5 or position()=4 or position()=7">
										<xsl:attribute name="text-align">end</xsl:attribute>
										<xsl:attribute name="end-indent">2pt</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="position">
						<fo:table-row>
							<xsl:for-each select="./*">
								<fo:table-cell padding-top="2pt">
									<fo:block font-size="10pt">
										<xsl:if test="position()=6 or position()=5 or position()=4 or position()=7">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">2pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
											<xsl:attribute name="font-size">11pt</xsl:attribute>
										</xsl:if>
										<xsl:if test="position()=3">
											<xsl:attribute name="text-align">center</xsl:attribute>
										</xsl:if>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="make-tab-line"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template make-tab-line-->
	<!-- *******************************************************-->
	<xsl:template name="make-tab-line">
		<fo:table table-layout="fixed">
			<fo:table-column border-top="1pt solid black">
				<xsl:attribute name="column-width"><xsl:value-of select="($pagewidth -$right -$left)"/><xsl:value-of select="$masse"/></xsl:attribute>
			</fo:table-column>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block/>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="Gesamt">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(6)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(0.4)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.3)"/>
				<fo:table-body>
					<xsl:for-each select="./*">
						<fo:table-row>
							<fo:table-cell>
								<fo:block font-weight="bold">
									<xsl:if test="name(.)='Mahngebuehr'">Mahngebhr:</xsl:if>
									<xsl:if test="name(.)='Gesamtbetrag'">Gesamtbetrag:</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell border-bottom="2pt solid black">
								<fo:block font-size="11pt" font-weight="bold">
									<xsl:value-of select="../../waehrung"/>
						</fo:block>
							</fo:table-cell>
							<fo:table-cell border-bottom="2pt solid black">
								<fo:block text-align="end" end-indent="3pt" font-family="Courier" font-size="12pt" font-weight="bold">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<!--________________________-->
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="fuss">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
				<fo:table-body>
					<xsl:for-each select="./*">
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block text-align="end" font-weight="bold">
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<!--xsl:call-template name="return"/-->
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Fuss generell-->
	<!-- *******************************************************-->
	<xsl:template match="fusstext">
		<xsl:call-template name="return"/>
		<xsl:for-each select="./zeile">
			<fo:block>
				<xsl:value-of select="."/>
			</fo:block>
		</xsl:for-each>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<fo:block>
			<!--xsl:value-of select="parent::*[1]/sachbearbeiter"/-->
			<xsl:value-of select="./../sachbearbeiter"/>
		</fo:block>
	</xsl:template>
</xsl:stylesheet>
