<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">5pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">0</xsl:variable>
	<xsl:variable name="top">1</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-bottom="2cm" margin-top="1cm"/>
					<fo:region-after precedence="true" extent="1.5cm"/>
					<fo:region-before precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="8pt" text-align="end">
						Ausdruck v. <xsl:value-of select="//Materialbereitstellung/Ausdruck/datum"/>  
									<xsl:value-of select="//Materialbereitstellung/Ausdruck/uhrzeit"/>  
					<!--	'Materialbereitstellung'  
						Seite: <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>-->
					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="10pt">
					<fo:block text-align="center" font-size="14pt" font-weight="bold" padding-bottom="15pt">Materialbereitstellung</fo:block>
						<xsl:apply-templates select="//Materialbereitstellung/Arbeitsplatz"/>
						<xsl:call-template name="fuss"/>
						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  **********************************   -->
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  /Betreff-->
	<!-- *******************************************************-->
	<xsl:template match="Arbeitsplatz">
		<xsl:for-each select=".">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/>
				</xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block font-size="11pt" text-decoration="underline">
								<xsl:value-of select="./titel"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell/>
					</fo:table-row>
					<xsl:for-each select="./material">
					<fo:table-row>
						<fo:table-cell>
						<fo:block>
							<fo:table table-layout="fixed">
								<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite div 2)"/>
									<xsl:value-of select="$masse"/>
								</xsl:attribute>
								<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
								<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
								<fo:table-column column-number="3" column-width="proportional-column-width(3.5)"/>
								<fo:table-body>				
									<fo:table-row>
										<fo:table-cell>
											<fo:block text-align="end" end-indent="5pt">
												<xsl:value-of select="./Menge"/> 
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block>
												<xsl:value-of select="./einheit"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block>
												<xsl:value-of select="./material"/> 
											</fo:block>
										</fo:table-cell>
										
									</fo:table-row>
								</fo:table-body>
							</fo:table>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block>
							<fo:table table-layout="fixed">
								<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite div 2)"/>
									<xsl:value-of select="$masse"/>
								</xsl:attribute>
								<fo:table-column column-number="1" column-width="proportional-column-width(2)"/>
								<fo:table-column column-number="2" column-width="proportional-column-width(4)"/>
								
									<fo:table-body>				
										<fo:table-row>
											<fo:table-cell>
												<fo:block text-align="start" start-indent="5pt">
													<xsl:value-of select="./format"/>
												</fo:block>
											</fo:table-cell>
											
											<fo:table-cell>
												<fo:block>
													<xsl:value-of select="./text"/>
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</fo:table-body>
								</fo:table>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
		</xsl:for-each>
	</xsl:template>
	<!--****************************************-->
	<xsl:template name="fuss">
		<fo:block padding-top="40pt">
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/>
				</xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1.5)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(2.5)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>am Lager:.....................................
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>bestellt:....................................
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell  padding-top="10pt">
							<fo:block>geschnitten:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell/>
					</fo:table-row>
						<fo:table-row>
						<fo:table-cell/>
						<fo:table-cell  padding-top="25pt">
							<fo:block>(Datum, Handzeichen)
							</fo:block>
						</fo:table-cell>
						</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	
	<!--_______________-->
	<!--<xsl:include href="import.xsl"></xsl:include>-->
	<!--_______________-->
</xsl:stylesheet>
