<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">4pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">2</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>

					<fo:region-before precedence="true" extent="1.5cm"/>
					<fo:region-body margin-top="1cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="10pt">
						<xsl:apply-templates select="//SeitenKopf"/> 
					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="10pt" text-align="start">
						<xsl:apply-templates select="//Auftrag"/>
						<xsl:apply-templates select="//Produktbeschreibung"/> 
						<xsl:apply-templates select="//Parameter/ProduktParameter"/>
						<xsl:apply-templates select="//preisvarianten/Titel"/>
						<xsl:apply-templates select="//preisvarianten"/>	
						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ************************************************************************************************************   -->
	</xsl:template>
	<!-- ** process  element-nodes  **    -->
	<!-- *******************************************************-->
	<!--Template  fr SeitenKopf-->
	<!-- *******************************************************-->
	<xsl:template match="SeitenKopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(2)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-bottom="0.5pt solid black">
							<fo:block text-align="start">
								<fo:inline>
									<xsl:value-of select="./AuftragsNummer"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom="0.5pt solid black">
							<fo:block text-align="center" font-size="12pt" font-weight="bold">
								<fo:inline>
									<xsl:value-of select="./Titel"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom="0.5pt solid black">
							<fo:block text-align="end">
								<fo:inline>
									Stand v.<xsl:value-of select="./Datum"/>
									Seite:  <fo:page-number/>/<fo:page-number-citation ref-id="endofdoc"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr AuftragKopf-->
	<!-- *******************************************************-->
	<xsl:template match="Auftrag">
		<fo:table border-width="1pt" border-style="solid" padding-top="0.5cm"
		 padding-bottom="0.5cm" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
				<fo:table-row>
						<fo:table-cell padding-left="1cm">
							<fo:block text-align="start">
							<xsl:if test="name(.)='Kunde' and string-length(.) > 0">Kunde:</xsl:if>
							<xsl:if test="name(.)='Titel' and string-length(.) > 0">Titel:</xsl:if>
							<xsl:if test="name(.)='Besteller' and string-length(.) > 0">Besteller:</xsl:if>
							<xsl:if test="name(.)='BestellTyp' and string-length(.) > 0">Kontakt:</xsl:if>
							<xsl:if test="name(.)='BestellDatum' and string-length(.) > 0">Bestelldatum:</xsl:if>
							<xsl:if test="name(.)='Telefon' and string-length(.) > 0">Telefon:</xsl:if>
							<xsl:if test="name(.)='Fax' and string-length(.) > 0">Fax:</xsl:if>
							<xsl:if test="name(.)='Sachbearbeiter' and string-length(.) > 0">Sachbearbeiter:</xsl:if>
							<xsl:if test="name(.)='Auflage' and string-length(.) > 0">Auflage:</xsl:if>
							<xsl:if test="name(.)='Preis' and string-length(.) > 0">Preis:</xsl:if>
							
								<!--<xsl:value-of select="name(.)"/>:-->
								
								<xsl:if test=" name(.)='Kunde'">
									<xsl:call-template name="return"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-right="3.5pt">
							<fo:block>
								<xsl:if test=" name(.)='Kunde'">
									<xsl:attribute name="font-weight">bold</xsl:attribute>
								</xsl:if>
								
								<xsl:value-of select="."/>
								
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Produktbeschreibung">
		<xsl:apply-templates select="./BlockTitel"/>
		
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
				<fo:table-body>
		<xsl:for-each select="./*"> <!--format-->
		<xsl:for-each select="./*"> <!--pbeschreibung-->
			<fo:table-row>
				<xsl:if test="string-length(./value[1]) >0 or string-length(./value[2]) >0
							or string-length(./value[3]) >0 or string-length(./value[4]) >0
							or string-length(./value[5]) >0 or string-length(./value[6]) >0">
					<xsl:for-each select="./key">
						<fo:table-cell padding-top="1pt">
							<fo:block>
								<xsl:value-of select="."></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</xsl:if>	
					<fo:table-cell>
					<fo:table table-layout="fixed">
					<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite div 3 * 2)"/>
					<xsl:value-of select="$masse"/></xsl:attribute>			
						<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
					<fo:table-body>
					<xsl:for-each select="./value">
					<fo:table-row>
						<fo:table-cell>
						<fo:block>
						<xsl:value-of select="."/>
					</fo:block>
					</fo:table-cell>
				</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
			</fo:table>
			</fo:table-cell>
			</fo:table-row>
		</xsl:for-each>
	</xsl:for-each>
		
</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr die Tabelle (Spalten 1 bis 3)-->
	<!-- *******************************************************-->
		<xsl:template match="preisvarianten">
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(2.7)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.6)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(1.2)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(0.6)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(1.2)"/>
				<fo:table-column column-number="8" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="9" column-width="proportional-column-width(0.6)"/>
				<fo:table-column column-number="10" column-width="proportional-column-width(1.2)"/>
				<fo:table-header  background-color="lightgray" space-after="4pt" padding-after="2pt" padding-top="2pt">

				<xsl:for-each select="./Spalten/titel">
						<fo:table-row>								
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell number-columns-spanned="3">
										<fo:block text-align="start" font-size="8pt" start-indent="72pt">
											<xsl:value-of select="."/>
											</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
				</fo:table-header>
				<fo:table-body>
				<!--_______1 __ bis __3 _______________-->	
					<xsl:for-each select="./varianten/titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell number-columns-spanned="3">
										<fo:block text-align="start" font-size="8pt" start-indent="72pt">
										<xsl:value-of select="."/>
										</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
					<!--__________________________-->	
					<xsl:for-each select="./Menge/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell number-columns-spanned="3">
										<fo:block text-align="start" font-size="8pt" start-indent="72pt">
											<xsl:value-of select="."/>
											</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
						<!--______10 Spalten____________-->	
						<!--__________________________-->	
					<xsl:for-each select="./Leistung/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>
									</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>
										</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>	</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>

						<!--__________________________-->	
					<xsl:for-each select="./SummeHerstellkosten/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>		</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>

						<!--__________________________-->		
					<xsl:for-each select="./SummeKosten/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>				</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>

						<!--__________________________-->	
						<xsl:if test="string-length(./Abschlag/titel) > 0">
						<xsl:for-each select="./Abschlag/titel">	
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>
									</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>
												</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>
												</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
					</xsl:if>

						<!--_____Tabelle__________ N _E _U _! _______________________-->	
					<xsl:for-each select="./Zwischensumme">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell>
										<fo:block>
										
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<xsl:if test="string-length(.) > 0">
											<fo:block text-align="start" font-size="8pt">
												<xsl:value-of select="../waehrung"/>	
											</fo:block>
										</xsl:if>
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="3pt">
											<xsl:value-of select="."/>			</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>	
						<!--__________________Provision_____-->
						
						<xsl:for-each select="./titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>
									</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>
												</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>
												</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
						</xsl:for-each>
							
					</xsl:for-each>

					<xsl:call-template name="make-line"/>
					<!--_____Tabelle__________ N _E _U _! _______________________	
					
					<xsl:call-template name="make-line"/>-->

					<!--__________________________-->	

					<xsl:for-each select="./Preis/titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell>
										<fo:block>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<xsl:if test="string-length(.) > 0">
											<fo:block text-align="start" font-size="8pt">
												<xsl:value-of select="../../waehrung"/>	
											</fo:block>
										</xsl:if>
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="3pt">
											<xsl:value-of select="."/>				</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
						<!--__________________________-->	
					<xsl:for-each select="./preise/titel">
						<fo:table-row>	
							<fo:table-cell number-columns-spanned="2">
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell number-columns-spanned="3">
	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="."/>			</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
						<!--____________	-->
						<xsl:for-each select="./Summe/titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &lt;=3">
									<fo:table-cell>
										<fo:block>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<xsl:if test="string-length(.) > 0">
											<fo:block text-align="start" font-size="8pt">
												<xsl:value-of select="./waehrung"/>	
											</fo:block>
										</xsl:if>
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="3pt">
											<xsl:value-of select="."/>	</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>

				</fo:table-body>	
			</fo:table>
			<xsl:call-template name="return"/>
			
			<!--___________________________________-->
			<!--___________4-6______________________-->
			<!--___________________________________-->
			
				<xsl:if test="count(./Spalten/titel/value)&gt;=4">

				


				<!--___________________________________-->
				
				<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(2.7)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.6)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(1.2)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(0.6)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(1.2)"/>
				<fo:table-column column-number="8" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="9" column-width="proportional-column-width(0.6)"/>
				<fo:table-column column-number="10" column-width="proportional-column-width(1.2)"/>
				<fo:table-header  background-color="lightgray" space-after="4pt" padding-after="2pt" padding-top="2pt">

				<xsl:for-each select="./Spalten/titel">
						<fo:table-row>								
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">
									<fo:table-cell number-columns-spanned="3">
										<fo:block text-align="start" font-size="8pt" start-indent="72pt">
											<xsl:value-of select="."/>
											</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
				</fo:table-header>
				<fo:table-body>
				<!--_______1 __ bis __3 _______________-->	
					<xsl:for-each select="./varianten/titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">

									<fo:table-cell number-columns-spanned="3">
										<fo:block text-align="start" font-size="8pt" start-indent="72pt">
										<xsl:value-of select="."/>
										</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
					<!--__________________________-->	
					<xsl:for-each select="./Menge/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">

									<fo:table-cell number-columns-spanned="3">
										<fo:block text-align="start" font-size="8pt" start-indent="72pt">
											<xsl:value-of select="."/>
											</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
						<!--______10 Spalten____________-->	
						<!--__________________________	-->

					<xsl:for-each select="./Leistung/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">

									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>
									</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>
										</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>	</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>					<xsl:call-template name="make-line"/>

						<!--__________________________-->	
					<xsl:for-each select="./SummeHerstellkosten/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>		</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>

						<!--__________________________-->		
					<xsl:for-each select="./SummeKosten/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">

									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>				</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>

						<!--__________________________-->	
						<xsl:if test="string-length(./Abschlag/titel) > 0">
						<xsl:for-each select="./Abschlag/titel">	
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">

									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>			</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>			</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>			</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
					</xsl:if>

						<!--_____Tabelle__________ N _E _U _! _______________________-->	
					<xsl:for-each select="./Zwischensumme">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">
									<fo:table-cell>
										<fo:block>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<xsl:if test="string-length(.) > 0">
											<fo:block text-align="start" font-size="8pt">
												<xsl:value-of select="../waehrung"/>	
											</fo:block>
										</xsl:if>
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="3pt">
											<xsl:value-of select="."/>			</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>	
						<!--__________________Provision_____-->
						
						<xsl:for-each select="./titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>
									</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>
												</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>
												</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
						</xsl:for-each>
							
					</xsl:for-each>

					<xsl:call-template name="make-line"/>
					<!--_____Tabelle__________ N _E _U _! _______________________	
					
					<xsl:call-template name="make-line"/>-->

					<!--__________________________-->	

					<xsl:for-each select="./Preis/titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">
									<fo:table-cell>
										<fo:block>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<xsl:if test="string-length(.) > 0">
											<fo:block text-align="start" font-size="8pt">
												<xsl:value-of select="../../waehrung"/>	
											</fo:block>
										</xsl:if>
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="3pt">
											<xsl:value-of select="."/>				</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
						<!--__________________________-->	
					<xsl:for-each select="./preise/titel">
						<fo:table-row>	
							<fo:table-cell number-columns-spanned="2">
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">
									<fo:table-cell number-columns-spanned="3">
	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="."/>			</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
						<!--____________	-->
						<xsl:for-each select="./Summe/titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=4 and position() &lt;7">
									<fo:table-cell>
										<fo:block>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<xsl:if test="string-length(.) > 0">
											<fo:block text-align="start" font-size="8pt">
												<xsl:value-of select="./waehrung"/>	
											</fo:block>
										</xsl:if>
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="3pt">
											<xsl:value-of select="."/>								</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>

				</fo:table-body>	
			</fo:table>
			<xsl:call-template name="return"/>
			
			<!--__************************************************__	-->
			</xsl:if>
			<!--__************************************************__-->
			
			<!--___************ 7 - 9***************************____-->
				<xsl:if test="count(./Spalten/titel/value)&gt;=7">

			<!--____**********************************************___-->

				<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(2.7)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.6)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(1.2)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(0.6)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(1.2)"/>
				<fo:table-column column-number="8" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="9" column-width="proportional-column-width(0.6)"/>
				<fo:table-column column-number="10" column-width="proportional-column-width(1.2)"/>
				<fo:table-header  background-color="lightgray" space-after="4pt" padding-after="2pt" padding-top="2pt">

				<xsl:for-each select="./Spalten/titel">
						<fo:table-row>								
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">
									<fo:table-cell number-columns-spanned="3">
										<fo:block text-align="start" font-size="8pt" start-indent="72pt">
											<xsl:value-of select="."/>
											</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
				</fo:table-header>
				<fo:table-body>
				<!--_______1 __ bis __3 _______________-->	
					<xsl:for-each select="./varianten/titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">

									<fo:table-cell number-columns-spanned="3">
										<fo:block text-align="start" font-size="8pt" start-indent="72pt">
										<xsl:value-of select="."/>
										</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
					<!--__________________________-->	
					<xsl:for-each select="./Menge/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">
									<fo:table-cell number-columns-spanned="3">
										<fo:block text-align="start" font-size="8pt" start-indent="72pt">
											<xsl:value-of select="."/>
											</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
						<!--______10 Spalten____________-->	
						<!--__________________________-->
					<xsl:for-each select="./Leistung/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position()&gt;=7">

									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>
									</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>
										</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>	</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>	
					<xsl:call-template name="make-line"/>

						<!--__________________________-->	
					<xsl:for-each select="./SummeHerstellkosten/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>		</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>

						<!--__________________________-->		
					<xsl:for-each select="./SummeKosten/titel">		
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>	</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>				</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>

						<!--__________________________-->	
						<xsl:if test="string-length(./Abschlag/titel) > 0">
						<xsl:for-each select="./Abschlag/titel">	
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>			</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>			</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>			</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
					</xsl:if>

						<!--_____Tabelle__________ N _E _U _! _______________________-->	
					<xsl:for-each select="./Zwischensumme">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">
									<fo:table-cell>
										<fo:block>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<xsl:if test="string-length(.) > 0">
											<fo:block text-align="start" font-size="8pt">
												<xsl:value-of select="../waehrung"/>	
											</fo:block>
										</xsl:if>
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="3pt">
											<xsl:value-of select="."/>			</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>	
						<!--__________________Provision_____-->
						
						<xsl:for-each select="./titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="10pt">
									<xsl:value-of select="./prozentsatz"/>
									</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="./waehrung"/>
												</fo:block>										
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt"  end-indent="3pt">
											<xsl:value-of select="./betrag"/>
												</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
						</xsl:for-each>
							
					</xsl:for-each>

					<xsl:call-template name="make-line"/>
					<!--_____Tabelle__________ N _E _U _! _______________________	
					
					<xsl:call-template name="make-line"/>-->

					<!--__________________________-->	

					<xsl:for-each select="./Preis/titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">
									<fo:table-cell>
										<fo:block>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<xsl:if test="string-length(.) > 0">
											<fo:block text-align="start" font-size="8pt">
												<xsl:value-of select="../../waehrung"/>	
											</fo:block>
										</xsl:if>
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="3pt">
											<xsl:value-of select="."/>				</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
						<!--__________________________-->	
					<xsl:for-each select="./preise/titel">
						<fo:table-row>	
							<fo:table-cell number-columns-spanned="2">
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">
									<fo:table-cell number-columns-spanned="3">
	
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="."/>			</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
						<!--____________	-->
						<xsl:for-each select="./Summe/titel">
						<fo:table-row>	
							<fo:table-cell>
								<fo:block text-align="start" font-size="8pt">
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:if test="count(value/*)"/>
							<xsl:for-each select="value">
								<xsl:if test="position() &gt;=7 and position() &lt;=9">
									<fo:table-cell>
										<fo:block>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<xsl:if test="string-length(.) > 0">
											<fo:block text-align="start" font-size="8pt">
												<xsl:value-of select="./waehrung"/>	
											</fo:block>
										</xsl:if>
									</fo:table-cell>
									<fo:table-cell>	
										<fo:block text-align="end" font-size="8pt" end-indent="3pt">
											<xsl:value-of select="."/>								</fo:block>										
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>	
						</fo:table-row>		
					</xsl:for-each>

				</fo:table-body>	
			</fo:table>
	</xsl:if>	
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr ProduktParameter-->
	<!-- *******************************************************-->
	<xsl:template match="ProduktParameter">
	<xsl:apply-templates select="../BlockTitel"/>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="name(.)"/>:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="BlockTitel">
		<fo:block font-weight="bold" font-size="12pt" padding-after="7pt">
			<xsl:call-template name="return"/>
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="Titel">
		<fo:table table-layout="fixed" padding-top="5pt">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1.1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell padding-after="3pt" padding-top="3pt" border-bottom="1pt solid black" 
						border-top="1pt solid black">
							<fo:block text-align="start" font-weight="bold" font-size="11pt">
								<xsl:value-of select="./key"/>:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-after="3pt" padding-top="3pt" border-bottom="1pt solid black"
						border-top="1pt solid black">
							<fo:block text-align="start" font-weight="bold" font-size="11pt">
								<xsl:value-of select="./value"/>
							</fo:block>
						</fo:table-cell>	
					</fo:table-row>	
			</fo:table-body>
		</fo:table>
		</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template make-line-->
	<!-- *******************************************************-->
	<xsl:template name="make-line">
		<fo:table-row>
			<fo:table-cell number-columns-spanned="10" border-top="1pt solid black" padding-after="5pt"
							padding-top="5pt">
				<fo:block>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	
	<!--  ################ I n c l u d e ###############-->
	<!-- <xsl:include href="import.xsl"/>-->
	<!--  ################ I n c l u d e ###############-->
</xsl:stylesheet>
