<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen____________________dynamisch_____________________-->
	<!-- <xsl:variable name="pagewidth">
		<xsl:value-of select="//pageWidth"/>
	</xsl:variable>
	<xsl:variable name="pageheight">
		<xsl:value-of select="//pageHeight"/>
	</xsl:variable>
	<xsl:variable name="right">
		<xsl:value-of select="//marginRight"/>
	</xsl:variable>
	<xsl:variable name="left">
		<xsl:value-of select="//marginLeft"/>
	</xsl:variable>
	<xsl:variable name="bottom">
		<xsl:value-of select="//marginBottom"/>
	</xsl:variable>
	<xsl:variable name="top">
		<xsl:value-of select="//marginTop"/>
	</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<xsl:variable name="masse">
		<xsl:value-of select="//masse"/>
	</xsl:variable>
	<xsl:variable name="maxLength">12</xsl:variable>
	<xsl:variable name="gvar">10</xsl:variable>
	<xsl:variable name="freeline">12pt</xsl:variable>-->
	<!-- eigene Variablen______________________dynamisch___________________ -->
	<xsl:variable name="freeline">12pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">1.5</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<xsl:variable name="maxLength">12</xsl:variable>
	<xsl:variable name="gvar">10</xsl:variable>
	
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-before precedence="true" extent="2cm"/>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="11.0pt" text-align="end">
						<fo:inline>
							<xsl:value-of select="//Liste/Titel"/>  vom
							<xsl:value-of select="//Liste/Datum"/> 
						</fo:inline>
						<fo:inline>
									Seite:  <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>
						</fo:inline>
					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="11.0pt" text-align="start">
						<xsl:apply-templates select="//Liste"/>  
						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ************************************************************************   -->
	</xsl:template>
	<!-- ** process  element-nodes  **    -->
	<!-- *******************************************************-->
	<!--Template  für Auszug-->
	<!-- *******************************************************-->
	<xsl:template match="BlockTitel|BlockFooter">
		<fo:block font-size="11pt" font-weight="bold">
			<xsl:value-of select="."/>    
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- ******************************************************-->
	<xsl:template name="make-line">
		<fo:block>
			<xsl:attribute name="leader-length"><xsl:value-of select="$normBreite"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:leader leader-pattern="rule"/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für AuszugTabelle-->
	<!-- *******************************************************-->
	<xsl:template match="Liste">
		<fo:block>
			<fo:table table-layout="fixed" keep-together="always">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<xsl:for-each select="//Spalte">
					<fo:table-column column-width="proportional-column-width(20)">
						<xsl:attribute name="column-number"><xsl:value-of select="position()"/></xsl:attribute>
						<xsl:attribute name="column-width">
						  proportional-column-width(<xsl:value-of select="breite"/>) 
						</xsl:attribute>
					</fo:table-column>
				</xsl:for-each>
				<fo:table-header background-color="lightgray" display-align="center" padding-top="2pt">
					<fo:table-row>
						<xsl:for-each select="./Spalten/Spalte">
							<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
								<fo:block font-size="8pt" font-weight="bold">
									<xsl:if test="./ausrichtung='right'">
										<xsl:attribute name="text-align">end</xsl:attribute>
										<xsl:attribute name="end-indent">3pt</xsl:attribute>
									</xsl:if>
									<xsl:if test="./ausrichtung='left'">
										<xsl:attribute name="text-align">left</xsl:attribute>
										<xsl:attribute name="start-indent">3pt</xsl:attribute>
									</xsl:if>
									<xsl:if test="./ausrichtung='center'">
										<xsl:attribute name="text-align">center</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="./name"/>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="./Daten/Zeile">
						<fo:table-row>
							<xsl:for-each select="./Zelle">
									<fo:table-cell text-align="start" padding-end="1.0pt" padding-top="2.0pt">
									<xsl:if test="./ausrichtung='right'">
									<fo:block font-size="8pt" text-align="end" end-indent="3pt">
										<xsl:value-of select="./inhalt"/>
									</fo:block>
									</xsl:if>
									<xsl:if test="./ausrichtung='left'">
									<fo:block font-size="8pt" text-align="start" start-indent="3pt">
										<xsl:value-of select="./inhalt"/>
									</fo:block>
									</xsl:if>
									<xsl:if test="./ausrichtung='center'">
									<fo:block font-size="8pt" text-align="center">
										<xsl:value-of select="./inhalt"/>
									</fo:block>
									</xsl:if>
								</fo:table-cell>
								</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
			<xsl:call-template name="make-line"/>

		</fo:block>
	</xsl:template>
	<!--******************************************************-->
</xsl:stylesheet>
