<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:fo="http://www.w3.org/1999/XSL/Format">

<!-- eigene Variablen____________________dynamisch_____________________-->
	<!--<xsl:variable name="pagewidth">
		<xsl:value-of select="//pageWidth"/>
	</xsl:variable>
	<xsl:variable name="pageheight">
		<xsl:value-of select="//pageHeight"/>
	</xsl:variable>
	<xsl:variable name="right">
		<xsl:value-of select="//marginRight"/>
	</xsl:variable>
	<xsl:variable name="left">
		<xsl:value-of select="//marginLeft"/>
	</xsl:variable>
	<xsl:variable name="bottom">
		<xsl:value-of select="//marginBottom"/>
	</xsl:variable>
	<xsl:variable name="top">
		<xsl:value-of select="//marginTop"/>
	</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<xsl:variable name="masse">
		<xsl:value-of select="//masse"/>
	</xsl:variable>
	<xsl:variable name="maxLength">12</xsl:variable>
	<xsl:variable name="gvar">10</xsl:variable>
	<xsl:variable name="freeline">12pt</xsl:variable>-->
	<!-- eigene Variablen______________________dynamisch___________________ -->
	<xsl:variable name="freeline">5pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">1.5</xsl:variable>
	<xsl:variable name="left">2.5</xsl:variable>
	<xsl:variable name="bottom">1</xsl:variable>
	<xsl:variable name="top">1</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$left -$right)"/>
		</xsl:variable>
		<xsl:variable name="maxLength">12</xsl:variable>
	<xsl:variable name="gvar">10</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
				
				
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1.2cm"/>
					<fo:region-before precedence="true" extent="2cm"/>
					<!--<fo:region-after precedence="true" extent="0.5cm"/>-->
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="11.0pt">
						<!--<xsl:apply-templates select="//SeitenKopf"/>--> 
						<xsl:call-template name="SeitenKopf"/> 

					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="11.0pt" text-align="start">
						<xsl:apply-templates select="//Auftrag"/>
						
						<xsl:apply-templates select="//data"/>

						<xsl:apply-templates select="//Produktbeschreibung"/>
						 <xsl:apply-templates select="//Parameter"/> 
						<xsl:apply-templates select="//Bogeneinteilung"/> 
						<xsl:apply-templates select="//ZuschussbogenPapier"/> 
						<xsl:apply-templates select="//Arbeitsvorgaenge"/>
						<xsl:apply-templates select="//Fremdarbeiten"/>


						 
						 	
						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ************************************************************************************************************   -->
	</xsl:template>
	<!-- ** process  element-nodes  **    -->
	<!-- *******************************************************-->
	<!--Template  fr SeitenKopf=data-->
	<!-- *******************************************************-->
	<xsl:template match="data">
		<fo:block>
			<!--<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
																		<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1.1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.3)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt" padding-left="0.5cm">
							<fo:block text-align="start">
								<fo:inline>
									<xsl:value-of select="./auftragsnummer"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt">
							<fo:block text-align="start" font-weight="bold" font-size="12pt">
								<fo:inline>
									Produktionsauftrag
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt" padding-right="0.5cm">
							<fo:block text-align="end">
								<fo:inline>
									<xsl:value-of select="./Datum"/>
									Seite:  <fo:page-number/>/<fo:page-number-citation ref-id="endofdoc"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>			<xsl:call-template name="return"/>-->


			<fo:table border-width="1pt" border-style="solid" padding-top="0.3cm" padding-bottom="0.3cm" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
				<!--______________wenn Tags gro geschrieben____________-->
					<!--<fo:table-row>
						<fo:table-cell padding-left="1cm">
							<fo:block text-align="start">
								<xsl:value-of select="name(.)"/>:
								<xsl:if test=" name(.)='kunde'">
									<xsl:call-template name="return"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="0pt" padding-right="3.5pt">
							<fo:block>
								<xsl:if test=" name(.)='kunde'">
									<xsl:attribute name="font-weight">bold</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>-->
					<!--________________________________-->
					<!--______________wenn Tags klein  geschrieben____________-->
					
					<fo:table-row>
						<fo:table-cell padding-left="1cm">
							<fo:block text-align="start">
								<xsl:if test=" name(.)='kunde'">Kunde:
									<xsl:call-template name="return"/>
								</xsl:if>
								<!--<xsl:if test="name(.)='auftragsnummer'">Nr:</xsl:if>-->
								<xsl:if test="name(.)='titel'">Titel:</xsl:if>
								<xsl:if test="name(.)='besteller'">Besteller:</xsl:if>
								<xsl:if test="name(.)='bestellTyp'">Bestell Typ:</xsl:if>
								<xsl:if test="name(.)='bestellDatum'">Bestell Datum:</xsl:if>
								<xsl:if test="name(.)='telefon'">Telefon:</xsl:if>
								<xsl:if test="name(.)='fax'">Fax:</xsl:if>
								<xsl:if test="name(.)='sachbearbeiter'">Sachbearbeiter:</xsl:if>
								<xsl:if test="name(.)='auflage'">Auflage:</xsl:if>
								<xsl:if test="name(.)='preis'">Preis:</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-right="3.5pt">
							<fo:block>
								<xsl:if test=" name(.)='kunde'">
									<xsl:attribute name="font-weight">bold</xsl:attribute>
								</xsl:if>
								<xsl:if test=" name(.)!='auftragsnummer'">
									<xsl:value-of select="."/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<!--________________________________-->
				</xsl:for-each>
			</fo:table-body>
		</fo:table>	
		</fo:block>
	</xsl:template>
<!-- *******************************************************-->
	<!--Template  fr SeitenKopf-->
	<!-- *******************************************************-->

	<xsl:template name="SeitenKopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
																		<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(0.9)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.9)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt" padding-left="0.5cm">
							<fo:block text-align="start">
								<fo:inline>
									<xsl:value-of select="//auftragsnummer"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt">
							<fo:block text-align="center" font-weight="bold" font-size="12pt">
								<fo:inline>
									Produktionsauftrag
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt" padding-right="0.5cm">
							<fo:block text-align="end">
								<fo:inline>
									<xsl:value-of select="./Datum"/>
									Seite:  <fo:page-number/>/<fo:page-number-citation ref-id="endofdoc"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
<!-- *******************************************************-->
	<!--Template  fr AuftragKopf-->
	<!-- *******************************************************-->
	<xsl:template match="Auftrag">
		<fo:table border-width="1pt" border-style="solid" padding-top="0.5cm" padding-bottom="0.5cm" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell padding-left="1cm">
							<fo:block text-align="start">
								<xsl:value-of select="name(.)"/>:
								<xsl:if test=" name(.)='Kunde'">
									<xsl:call-template name="return"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="0pt" padding-right="3.5pt">
							<fo:block>
								<xsl:if test=" name(.)='Kunde'">
									<xsl:attribute name="font-weight">bold</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Produktbeschreibung">
		<xsl:apply-templates select="./BlockTitel"/>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*[not(name(.)='BlockTitel')]">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="name(.)"/>:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- Fr einen Fall, wenn Tags mit kleine Buchstabe geschrieben werden-->
	<!-- *******************************************************-->
	<xsl:template match="pbeschreibungen">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(3)"/>
			<fo:table-body>
				<xsl:for-each select="./*">
					<fo:table-row>
					<xsl:if test="string-length(*[2]) >0">
						<xsl:for-each select="*[1]">
					
							<fo:table-cell>
								<fo:block>
								<xsl:if test="name(.)='umfangkey'">Umfang:</xsl:if>
								<xsl:if test="name(.)='formatkey'">Format:</xsl:if>
								<xsl:if test="name(.)='farbenkey'">Farben:</xsl:if>
								<xsl:if test="name(.)='papierkey'">Papier:</xsl:if>
								<xsl:if test="name(.)='eingangproduktkey'">Eingangprodukt:</xsl:if>
								<xsl:if test="name(.)='ausfuehrungkey'">Ausfhrung:</xsl:if>
								<xsl:if test="name(.)='versandkey'">Versand:</xsl:if>
								<xsl:if test="name(.)='erloeuterungkey'">Erluterung:</xsl:if>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
						</xsl:if>
						<xsl:for-each select="*[2]">
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Parameter">
	<xsl:call-template name="line"/>

		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="./titel">
					<xsl:if test="position()=1 or position()=2">
						<fo:table-row>
							<fo:table-cell>
								<fo:block font-weight="bold" font-size="11pt">
									<xsl:value-of select="./key"/>:
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block font-weight="bold" font-size="11pt">
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
					<xsl:if test="position()&gt;=2">
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="./key"/>:
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
	</xsl:template>
<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Bogeneinteilung">
	<xsl:call-template name="line"/>
	
	<!--_______Grafik_____-->
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="./titel">
					<xsl:if test="position()=1">
					
						<fo:table-row>
							<fo:table-cell>
								<fo:block font-weight="bold" font-size="11pt">
									<xsl:value-of select="./key"/>: 
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block font-weight="bold" font-size="11pt">
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell number-columns-spanned="2">
								<fo:block>
									<!--<fo:external-graphic src="C:\ApacheGroup\Apache2\htdocs\printSpool\xsl\LogoRechnung.jpg"/>      
									<fo:external-graphic src="C:\Documents and Settings\Swetla\Desktop\Logo.jpg"/>-->      
									
									
									      
									
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
					
					<xsl:if test="position()!=1">
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="./key"/>:
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="./value"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
	</xsl:template>
<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="ZuschussbogenPapier">
	<fo:block font-weight="bold" font-size="11pt" padding-after="5pt">
	<fo:inline text-decoration="underline">

		Zuschussbogen / Papier</fo:inline>
	</fo:block>
			<fo:table table-layout="fixed" padding-after="12pt">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.5)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.5)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(1.2)"/>
				<fo:table-column column-number="8" column-width="proportional-column-width(1)"/>
				<fo:table-header>
					<fo:table-row>
						<xsl:for-each select="./titel">
							<fo:table-cell background-color="lightgray" border-bottom="1pt solid black"
									padding-top="2pt"  padding-bottom="2pt"
									 border-top="1pt solid black">
									  <xsl:if test="position()=last()">
									 <xsl:attribute name="text-align">end</xsl:attribute>
									 <xsl:attribute name="end-indent">2pt</xsl:attribute>
									 </xsl:if>							
								<fo:block font-size="8pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
				<xsl:for-each select="./zuschuss">
					<fo:table-row>
						<xsl:for-each select="*">
							<fo:table-cell>
							 <xsl:if test="position()=last()">
									 <xsl:attribute name="text-align">end</xsl:attribute>
									 <xsl:attribute name="end-indent">2pt</xsl:attribute>
									 </xsl:if>		
								<fo:block font-size="8pt">
									<xsl:value-of select="."></xsl:value-of>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Arbeitsvorgaenge">
		<xsl:for-each select="./Abteilung">
		
		<xsl:apply-templates select="./BlockTitel"/>
		<xsl:apply-templates select="./BeginnEnde"/>
		<xsl:apply-templates select="./Kundendaten"/>
		<xsl:apply-templates select="./AnnahmeAbgabe"/>
		<!--<xsl:call-template name="return"/>-->

			<fo:table table-layout="fixed" padding-after="5pt">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.5)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(2.3)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(2.5)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(1.5)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(1)"/>
				
				<fo:table-header padding-after="1pt">
					<fo:table-row>
						<xsl:for-each select="./titel">
							<fo:table-cell background-color="lightgray" border-bottom="1pt solid black"
									padding-top="2pt"  padding-bottom="2pt"
									 border-top="1pt solid black">
									 <xsl:if test="position()=last()">
									 <xsl:attribute name="text-align">end</xsl:attribute>
									 <xsl:attribute name="end-indent">2pt</xsl:attribute>
									 </xsl:if>				
								<fo:block font-size="8pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="./zuschuss/*">
						<fo:table-row>
							<xsl:if test="name(.)='Annahme' or name(.)='Abgabe'">
								<xsl:for-each select="*">
									<fo:table-cell padding-top="1pt" border-bottom="1pt solid gray"
												 border-top="1pt solid gray" background-color="#CCCCCC">
										<fo:block text-align="start" font-size="8pt">
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:for-each>
							</xsl:if>
							<xsl:if test="name(.)='Arbeitsvorgang'">
								<xsl:for-each select="*">
									<fo:table-cell padding-top="1pt">
									<xsl:if test="position()=last()">
									 <xsl:attribute name="text-align">end</xsl:attribute>
									 <xsl:attribute name="end-indent">2pt</xsl:attribute>
									 </xsl:if>	
										<fo:block font-size="8pt">
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:for-each>
							</xsl:if>
							<xsl:if test="name(.)='Bedingung'">
								<fo:table-cell number-columns-spanned="8" background-color="#6FFFFF"
												padding-top="1pt">
									<fo:block text-align="start" font-size="9pt">
										<xsl:value-of select="./value"/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>	
						</fo:table-row>
					</xsl:for-each>
					<xsl:call-template name="make-line"/>
				</fo:table-body>
			</fo:table>
			<xsl:call-template name="return"/>
			
		</xsl:for-each>
			</xsl:template>
			
		<!-- *******************************************************-->
	<!--Template  fr Fremdarbeiten-->
	<!-- *******************************************************-->
	
		<xsl:template match="Fremdarbeiten">
		<xsl:for-each select=".">
		
		<xsl:apply-templates select="./BlockTitel"/>
		
		<!--<xsl:call-template name="return"/>-->

			<fo:table table-layout="fixed" padding-after="5pt">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
												<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.5)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(0.5)"/>
				
				
				<fo:table-header padding-after="1pt">
					<fo:table-row>
						<xsl:for-each select="./titel">
							<fo:table-cell background-color="lightgray" border-bottom="1pt solid black"
									padding-top="2pt"  padding-bottom="2pt"
									 border-top="1pt solid black">
									<xsl:if test="position()=last() or position()=last()-1">
									 <xsl:attribute name="text-align">end</xsl:attribute>
									 <xsl:attribute name="end-indent">2pt</xsl:attribute>
									 </xsl:if>				
								<fo:block font-size="8pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
				<xsl:for-each select="./Fremdarbeit">
					<fo:table-row>
						<xsl:for-each select="./*">	
									
									<fo:table-cell padding-top="1pt">
									<xsl:if test="position()=last() or position()=last()-1">
									 <xsl:attribute name="text-align">end</xsl:attribute>
									 <xsl:attribute name="end-indent">2pt</xsl:attribute>
									 </xsl:if>	

									
									
										<fo:block font-size="8pt">
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>

						
					<xsl:call-template name="make-line"/>
				</fo:table-body>
			</fo:table>
			
			<xsl:call-template name="return"/>
		</xsl:for-each>

		</xsl:template>
	
	<!-- *******************************************************-->
	<!--Template  fr Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="BeginnEnde|Kundendaten|AnnahmeAbgabe">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
							<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1.7)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1.2)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(1.7)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(1.7)"/>
			<fo:table-body>
				<xsl:for-each select=".">
					<fo:table-row>
						<fo:table-cell>
							<fo:block font-weight="bold" font-size="10pt">
								<xsl:value-of select="./Beginn/key"/>:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold" font-size="10pt">
								<xsl:value-of select="./Beginn/value"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold" font-size="10pt">
								<xsl:value-of select="./Ende/key"/>:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-weight="bold" font-size="10pt">
								<xsl:value-of select="./Ende/value"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template  fr Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="Titel|BlockTitel">
		<fo:block font-weight="bold" font-size="12pt" padding-after="3pt">
		<fo:inline text-decoration="underline">
			<xsl:value-of select="."/>
			</fo:inline>
		</fo:block>
	</xsl:template>

<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="line">
		<fo:block>
			<fo:leader leader-pattern="rule">

						<xsl:attribute name="leader-length"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute></fo:leader>

		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="make-line">
		<fo:table-row>
		<fo:table-cell number-columns-spanned="8" border-bottom="1pt solid black" padding-after="5pt">	
		</fo:table-cell>
		</fo:table-row>
		
	</xsl:template>



</xsl:stylesheet>
