<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">12pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable>

	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
															<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
																<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
															<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
													<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-before margin-top="0.5cm"/>							
					<fo:region-body margin-top="0.5cm"/>
					<fo:region-after precedence="true" extent="1.5cm"/>
					
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<!--fo:block font-family="Helvetica" font-size="10.0pt">
						<fo:block  text-align="end" end-indent="2cm" padding-before="1.2cm">
							<fo:inline>
								<fo:page-number/>. Seite
							</fo:inline>
					</fo:block>
					</fo:block-->
					<fo:block font-family="Helvetica" font-size="8pt" text-align="end">
						<xsl:value-of select="//Abrechnung/kopf/betreff"/> 
						<xsl:value-of select="//Abrechnung/kopf/ktitel/titel/value"/>  
						Seite: <fo:page-number/>
						 /  <fo:page-number-citation ref-id="endofdoc"/>	
					</fo:block>
				</fo:static-content>
				<!--__________________BODY____________________-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="11.0pt">
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>	
						<xsl:apply-templates select="//empfaenger/name"/>
						<xsl:apply-templates select="//empfaenger/adresse"/>
						<xsl:apply-templates select="//kopf"/>
						<xsl:apply-templates select="//ansprechpartner/anrede"/>
						<xsl:apply-templates select="//kopftext"/>
						<xsl:apply-templates select="//abrechnungszeitraum/zeitraum"/>
						<xsl:apply-templates select="//aufstellungposition/titel"/>
						<xsl:apply-templates select="//aufstellungposition/netto"/>
						<xsl:apply-templates select="//aufstellungposition/umsatzsteuer"/>
						<xsl:apply-templates select="//aufstellungposition/brutto"/>	
						<xsl:apply-templates select="//fusstext"/>
						<xsl:apply-templates select="//unterschriftfeld/unterschrift"/>

					</fo:block>
					<!--''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''-->
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	        
	<!-- *******************************************************-->
	<!--Template  für adresse-->
	<!-- *******************************************************-->
	<xsl:template match="adresse">
		<xsl:apply-templates select="./strasseoderpf"/>
		<fo:block>
			<!--xsl:call-template name="return"/-->
			<xsl:if test="./kennzeichen !=''">
				<xsl:value-of select="./kennzeichen"/> -
			</xsl:if>
			<xsl:value-of select="./plz"/> 
			<xsl:value-of select="./ort"/>
			<!--xsl:apply-templates select="./land"/-->
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="name|strasseoderpf|land">
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  /Betreff-->
	<!-- *******************************************************-->
	<xsl:template match="kopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
						<xsl:for-each select="//kopf">
							<fo:table-row>
								<fo:table-cell>
									<fo:block font-weight="bold" font-size="15pt" text-align="start">
										<xsl:value-of select="./betreff"/>
									</fo:block>
								</fo:table-cell>
							<fo:table-cell>
								<fo:block text-align="end">
									<xsl:value-of select="./ortunddatum"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<!--Template fur Anrede -->
	<!-- *******************************************************-->
	<xsl:template match="anrede">
	<xsl:call-template name="return"/>
	<xsl:call-template name="return"/>
	<xsl:call-template name="return"/>
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Kopftext-->
	<!-- *******************************************************-->
	<xsl:template match="//kopftext/*">
		<xsl:call-template name="return"/>
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Zeitraum-->
	<!-- *******************************************************-->
	<xsl:template match="zeitraum">
		<xsl:call-template name="return"/>
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Positionen-->
	<!-- *******************************************************-->
	<xsl:template match="titel">
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<fo:block>
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(12)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(15)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(13)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(20)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(15)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(13)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(12)"/>
			<fo:table-header background-color="lightgray" display-align="center" padding-top="0pt"
																				 padding-bottom="0pt">
			<fo:table-row>
				<xsl:for-each select="./*">
					<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
						<fo:block text-align="end" font-size="9pt" padding-top="5pt" padding-after="5pt">
							<xsl:if test="position()=1">
							<xsl:attribute name="text-align">start</xsl:attribute>
							<xsl:attribute name="font-family">Helvetica</xsl:attribute>
							<xsl:attribute name="font-size">9pt</xsl:attribute>	
						</xsl:if>
						<xsl:if test="position()=2 or position()=4">
							<xsl:attribute name="text-align">start</xsl:attribute>
							<xsl:attribute name="start-indent">7pt</xsl:attribute>
							<xsl:attribute name="font-family">Helvetica</xsl:attribute>
							<xsl:attribute name="font-size">9pt</xsl:attribute>	
						</xsl:if>
						<xsl:if test="position()=3">
							<xsl:attribute name="text-align">end</xsl:attribute>
							<xsl:attribute name="end-indent">7pt</xsl:attribute>
						</xsl:if>
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:for-each>
			</fo:table-row>
		</fo:table-header>
		<fo:table-body>
			<xsl:for-each select="//positionen/position">
				<xsl:call-template name="tabelle-normal"/>
			</xsl:for-each>
		</fo:table-body>
		</fo:table>
		</fo:block>
		<xsl:call-template name="make-tab-line"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal-plus-linie -->
	<!-- *******************************************************-->
	<xsl:template name="tabelle-normal">
		<fo:table-row>
			<xsl:for-each select="./*">
				<fo:table-cell padding-top="4pt">
					<fo:block text-align="end" font-family="Courier" font-size="10pt">
						<xsl:if test="position()=1">
							<xsl:attribute name="text-align">start</xsl:attribute>
							<xsl:attribute name="font-family">Helvetica</xsl:attribute>
							<xsl:attribute name="font-size">9pt</xsl:attribute>	
						</xsl:if>
						<xsl:if test="position()=2 or position()=4">
							<xsl:attribute name="text-align">start</xsl:attribute>
							<xsl:attribute name="start-indent">7pt</xsl:attribute>
							<xsl:attribute name="font-family">Helvetica</xsl:attribute>
							<xsl:attribute name="font-size">9pt</xsl:attribute>	
						</xsl:if>
						<xsl:if test="position()=3">
							<xsl:attribute name="text-align">end</xsl:attribute>
							<xsl:attribute name="end-indent">7pt</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="."/>
					</fo:block>
				</fo:table-cell>
			</xsl:for-each>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template make-tab-line-->
	<!-- *******************************************************-->
	<xsl:template name="make-tab-line">
		<fo:table>
			<fo:table-column border-top-style="solid" border-top-width="1.0pt">
				<xsl:attribute name="column-width"><xsl:value-of select="($pagewidth -$right -$left)"/><xsl:value-of select="$masse"/></xsl:attribute>
			</fo:table-column>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block/>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	
	<!-- *******************************************************-->
	<!--Template fur Netto-->
	<!-- *******************************************************-->
	<xsl:template match="netto">
		<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$right -$left)"/>
		</xsl:variable>
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(85)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(15)"/>
		<fo:table-body>
			<xsl:for-each select="//aufstellungposition/netto">
			<fo:table-row>
				<fo:table-cell>
					<fo:block font-weight="bold">
						<xsl:value-of select="./nettosumme"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block text-align="end" font-family="Courier" font-size="11pt" font-weight="bold">
						<xsl:value-of select="./betrag"/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
			</xsl:for-each>
		</fo:table-body>
		</fo:table>
		</fo:block>
	
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Umsatzsteuer-->
	<!-- *******************************************************-->
	<xsl:template match="umsatzsteuer">
		<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$right -$left)"/>
		</xsl:variable>
		<fo:block>
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(85)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(15)"/>
		<fo:table-body>
			<xsl:for-each select="//aufstellungposition/umsatzsteuer">
			<fo:table-row>
				<fo:table-cell>
					<fo:block font-weight="bold">
						<xsl:value-of select="./ust"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block text-align="end" font-family="Courier" font-size="11pt" font-weight="bold">
						<xsl:value-of select="./ustbetrag"/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
			</xsl:for-each>
		</fo:table-body>
		</fo:table>
		</fo:block>

		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Umsatzsteuer-->
	<!-- *******************************************************-->
	<xsl:template match="brutto">
		<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$right -$left)"/>
		</xsl:variable>
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(85)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(15)"/>
		<fo:table-body>
			<xsl:for-each select="//aufstellungposition/brutto">
			<fo:table-row>
				<fo:table-cell>
					<fo:block font-weight="bold">
						<xsl:value-of select="./bruttosumme"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block text-align="end" font-family="Courier" font-size="11pt" font-weight="bold">
						<xsl:value-of select="./betrag"/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
			</xsl:for-each>
		</fo:table-body>
		</fo:table>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Fuss generell-->
	<!-- *******************************************************-->
	<xsl:template match="//fusstext/*">
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Fuss generell-->
	<!-- *******************************************************-->
	<xsl:template match="unterschrift">
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
</xsl:stylesheet>










