<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">5</xsl:variable>
	<!--xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.7</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2.5</xsl:variable>
	<xsl:variable name="bottom">0</xsl:variable>
	<xsl:variable name="top">1</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable-->
	<xsl:variable name="font-weight-beschreibung"><xsl:value-of select="//font-weight-beschreibung"/></xsl:variable>
	<xsl:include href="import.xsl"/>
	<xsl:include href="import_vk.xsl"/>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<fo:simple-page-master master-name="ersteSeite">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm">
						<xsl:attribute name="margin-bottom">2cm + <xsl:value-of select="$lineOffsetFooter * $fixedline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:simple-page-master master-name="folgeseiten">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-bottom="2cm">
						<xsl:attribute name="margin-top">1cm + <xsl:value-of select="$lineOffsetFollowingPage * $fixedline"/>pt</xsl:attribute>
					</fo:region-body>
					<fo:region-before precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
				<fo:page-sequence-master master-name="only">
					<fo:repeatable-page-master-alternatives>
						<fo:conditional-page-master-reference master-reference="ersteSeite" page-position="first"/>
						<fo:conditional-page-master-reference master-reference="folgeseiten" page-position="rest"/>
					</fo:repeatable-page-master-alternatives>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="8pt">
						<xsl:value-of select="//Rechnung/kopf/betreff"/> 
						<xsl:value-of select="//Rechnung/kopf/ktitel/unsereNummer"/>  
						Seite: <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>					
					</fo:block>
				</fo:static-content>
				<!-- ************************************ After ********************************************-->
				<fo:static-content flow-name="xsl-region-after">
				<fo:block>
					<xsl:if test="count(//KontoNummer)=1">
						<fo:table table-layout="fixed">
							<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
							<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell border-top="1pt solid gray" padding-top="1pt" text-align="center">
										<fo:block font-family="Helvetica" font-size="10pt">
											<xsl:if test="count(//Konto) &gt;=2">
								Bankverbindungen:
								<xsl:for-each select="//Konto">
									 Konto-Nr. <xsl:value-of select="./KontoNummer"/>  
							              bei  <xsl:value-of select="./Finanzinstitut"/>, 
						                     BLZ  <xsl:value-of select="./BLZ"/>;
								</xsl:for-each>
											</xsl:if>
											<xsl:if test="count(//Konto)=1">
								Bankverbindung: Konto-Nr. 
								<xsl:value-of select="//Konto/KontoNummer"/>  
							      bei  <xsl:value-of select="//Konto/Finanzinstitut"/>, 
							      BLZ  <xsl:value-of select="//Konto/BLZ"/>
											</xsl:if>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell padding-top="1pt" text-align="center">
										<fo:block font-family="Helvetica" font-size="10pt">
						Unsere USt-ID-Nr.:  <xsl:value-of select="//UstID"/>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</xsl:if>
				</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="10pt">
						<!--fo:block font-family="Helvetica" font-size="10pt" margin-bottom="2cm" margin-top="1.3cm" margin-left="2cm" margin-right="2cm"-->
						<xsl:call-template name="root"/>
						<xsl:apply-templates select="//body/positionen"/>
						<xsl:apply-templates select="//body/positionen/zahlung"/>
						<xsl:apply-templates select="//body/positionen/verzugszinsenhinweis"/>
						<xsl:apply-templates select="//body/positionen/lieferungen"/>
						<xsl:apply-templates select="//fuss"/>
						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  **********************************   -->
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  R O O T BriefForm-->
	<!-- *******************************************************-->
	<xsl:template name="root">
		<!--xsl:call-template name="Infosachbearbeiter"/-->
		<xsl:call-template name="fixedlineOffset8"/>
		<xsl:call-template name="Kunde"/>
		<xsl:call-template name="lineOffsetFirstPage"/>
		<xsl:apply-templates select="//Rechnung/kopf"/>
		<xsl:apply-templates select="//Rechnung/kopf/ktitel"/>
		<xsl:apply-templates select="//Rechnung/kopfanrede/anrede"/>
		<xsl:apply-templates select="//Rechnung/kopfanrede/kopftext"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für KundenDaten-->
	<!-- *******************************************************-->
	<xsl:template name="Kunde">
		<!--fo:block text-decoration="underline" padding-after="10pt" font-size="10pt">
			<xsl:value-of select="//Rechnung/infosachbearbeiter/name"/>
		</fo:block-->
		<fo:block font-size="10pt">
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1.4)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:apply-templates select="//Rechnung/kunde/name"/>
								<xsl:apply-templates select="//Rechnung/kunde/adresse"/>
							</fo:block>
						</fo:table-cell>
						<!--fo:table-cell>
							<fo:block>
								<fo:table table-layout="fixed">
									<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite) div 2.4"/><xsl:value-of select="$masse"/></xsl:attribute>
									<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
									<fo:table-column column-number="2" column-width="proportional-column-width(1.3)"/>
									<fo:table-body>
										<fo:table-row>
											<fo:table-cell>
												<fo:block>
													<xsl:if test="string-length(Rechnung/kopf/ktitel/kundenNummer) > 0">
															 Kundennummer:
														</xsl:if>
												</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block font-weight="bold">
													<xsl:value-of select="Rechnung/kopf/ktitel/kundenNummer"/>
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
										<fo:table-row>
											<fo:table-cell>
												<fo:block>
													<xsl:if test="string-length(Rechnung/kopf/ktitel/fremdeNummer) > 0">
															Ihre Nummer:
														</xsl:if>
												</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block font-weight="bold">
													<xsl:value-of select="Rechnung/kopf/ktitel/fremdeNummer"/>
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</fo:table-body>
								</fo:table>
							</fo:block>
						</fo:table-cell-->
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für adresse-->
	<!-- *******************************************************-->
	<!--xsl:template match="adresse">
		<xsl:apply-templates select="./strasseoderpf"/>
		<fo:block font-size="11pt">
			<xsl:if test="./kennzeichen !=''">
				<xsl:value-of select="./kennzeichen"/> -
			</xsl:if>
			<xsl:value-of select="./plz"/> 
			<xsl:value-of select="./ort"/>
		</fo:block>
		<xsl:call-template name="lineOffset4"/>
		<xsl:call-template name="lineOffset"/>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<!--xsl:template match="strasseoderpf">
		<fo:block font-size="11pt">
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<!--xsl:template match="land">
		<fo:block>
			<xsl:if test="name(.)='land' and .!='Deutschland'">
				<xsl:value-of select="."/>
			</xsl:if>
		</fo:block>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<!--xsl:template match="name">
		<xsl:for-each select=".">
			<fo:block font-size="11pt">
				<xsl:value-of select="."/>
			</fo:block>
		</xsl:for-each>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  /Betreff-->
	<!-- *******************************************************-->
	<!--xsl:template match="kopf">
		<fo:block padding-top="40pt">
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<fo:block font-weight="bold" font-size="15pt" text-align="start">
								<xsl:value-of select="./betreff"/> 
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block text-align="end">
								<xsl:value-of select="./ortunddatum"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
		<xsl:call-template name="lineOffset2"/>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template fur Anrede -->
	<!-- *******************************************************-->
	<xsl:template match="anrede">
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur Kopftext-->
	<!-- *******************************************************-->
	<xsl:template match="//kopftext/*">
		<xsl:call-template name="return"/>
		<xsl:value-of select="."/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Titelbeschreibung positionen/titel-->
	<!-- *******************************************************-->
	<xsl:template match="//positionen">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<xsl:if test="count(./titel/*)=5">
				<fo:table-column column-number="1" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(3.2)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(0.1)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(0.5)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(1.2)"/>
			</xsl:if>
			<xsl:if test="count(./titel/*)=6">
				<fo:table-column column-number="1" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(2.5)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(0.5)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(1.2)"/>
			</xsl:if>
			<fo:table-header>
				<xsl:apply-templates select="./titel"/>
			</fo:table-header>
			<fo:table-body>
				<!--************************-->
				<xsl:for-each select="./position">
					<!--xsl:variable name="font-weight-beschreibung">
						<xsl:choose>
							<xsl:when test="string-length(./pbeschreibungen/umfang/pbeschreibung/value)>0 or string-length(./pbeschreibungen/format/pbeschreibung/value)>0 or
				string-length(./pbeschreibungen/farben/pbeschreibung/value)>0 or string-length(./pbeschreibungen/papier/pbeschreibung/value)>0 or
				string-length(./pbeschreibungen/eingangprodukt/pbeschreibung/value)>0 or string-length(./pbeschreibungen/ausfuehrung/pbeschreibung/value)>0 or
				string-length(./pbeschreibungen/versand/pbeschreibung/value)>0 or string-length(./pbeschreibungen/erlaeuterung/pbeschreibung/value)>0">
								bold
							</xsl:when>
							<xsl:otherwise>
								normal
							</xsl:otherwise>
						</xsl:choose>
					 </xsl:variable-->

					<xsl:apply-templates select="./beschreibung"/>
					<xsl:apply-templates select="./pbeschreibungen"/>
					<xsl:apply-templates select="./einzelkosten/EinzelkostenInclusiv"/>
					<xsl:apply-templates select="./einzelkosten/EinzelkostenExclusiv"/>
					<xsl:apply-templates select="./nettoendpreise"/>
				</xsl:for-each>
				<xsl:apply-templates select="./summen/Summe"/>
				<xsl:apply-templates select="./summen/zuzueglichVersandkosten"/>
				<xsl:apply-templates select="./einzelkosten/EinzelkostenInclusiv"/>
				<xsl:apply-templates select="./einzelkosten/EinzelkostenExclusiv"/>
				<xsl:apply-templates select="./summen/zwischensumme"/>
				<xsl:apply-templates select="./summen/USt"/>
				<xsl:apply-templates select="./summen/Rechnungsbetrag"/>
				<xsl:apply-templates select="./summen/bereitsBezahlt"/>
				<xsl:apply-templates select="./summen/gewaehrterSkonto"/>
				<xsl:apply-templates select="./summen/Restbetrag"/>
				<!--<xsl:apply-templates select="inclusives"/>
					<xsl:apply-templates select="zuzuegliche"/>-->
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="titel">
		<fo:table-row background-color="lightgray">
			<xsl:if test="count(./*)=5">
				<xsl:for-each select="./*">
					<xsl:if test="position()=3 or position()=5">
						<fo:table-cell padding-before="1pt">
							<fo:block text-align="end" end-indent="2pt">
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:if>
					<xsl:if test="position()=4">
						<fo:table-cell padding-before="1pt">
							<fo:block/>
						</fo:table-cell>
						<fo:table-cell padding-before="1pt">
							<fo:block text-align="end" end-indent="2pt">
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:if>
					<xsl:if test="position()!=3 and position()!=4 and position()!=5">
						<fo:table-cell padding-before="1pt">
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:if>
				</xsl:for-each>
			</xsl:if>
			<xsl:if test="count(./*)=6">
				<xsl:for-each select="./*">
					<xsl:if test="position()=3 or position()=4 or position()=6">
						<fo:table-cell padding-before="1pt">
							<fo:block text-align="end" end-indent="2pt">
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:if>
					<xsl:if test="position()!=3 and position()!=4 and position()!=6">
						<fo:table-cell padding-before="1pt">
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:if>
				</xsl:for-each>
			</xsl:if>
		</fo:table-row>
		<fo:table-row height="1pt" background-color="lightgray">
			<fo:table-cell border-bottom="1pt solid gray" number-columns-spanned="6"><fo:block/></fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<xsl:template match="beschreibung">
		<xsl:for-each select=".">
			<fo:table-row>
				<fo:table-cell padding-top="1pt">
					<fo:block font-size="10pt">
						<xsl:attribute name="font-weight"><xsl:value-of select="$font-weight-beschreibung"/></xsl:attribute>
						<xsl:value-of select="./produktnummer"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell padding-top="1pt">
					<fo:block font-size="10pt">
						<xsl:attribute name="font-weight"><xsl:value-of select="$font-weight-beschreibung"/></xsl:attribute>
						<xsl:value-of select="./positionstitel"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell padding-top="1pt">
					<fo:block text-align="end" end-indent="2pt" font-size="10pt">
						<xsl:attribute name="font-weight"><xsl:value-of select="$font-weight-beschreibung"/></xsl:attribute>
						<xsl:value-of select="./liefermenge"/>
					</fo:block>
				</fo:table-cell>
				<xsl:if test="count(./*)=5">
					<fo:table-cell padding-top="1pt">
						<fo:block font-size="10pt">
							<!--xsl:value-of select="//body/positionen/waehrung"/-->
						</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-top="1pt">
						<fo:block text-align="end" end-indent="2pt" font-size="10pt">
							<xsl:attribute name="font-weight"><xsl:value-of select="$font-weight-beschreibung"/></xsl:attribute>
							<xsl:value-of select="./umsProzent"/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>
				<xsl:if test="count(./*)=6">
					<fo:table-cell padding-top="1pt">
						<fo:block text-align="end" end-indent="5pt" font-size="10pt">
							<xsl:attribute name="font-weight"><xsl:value-of select="$font-weight-beschreibung"/></xsl:attribute>
							<xsl:value-of select="./preispro"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-top="1pt">
						<fo:block font-size="10pt">
							<xsl:attribute name="font-weight"><xsl:value-of select="$font-weight-beschreibung"/></xsl:attribute>
							<xsl:value-of select="./einheit"/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>
				<fo:table-cell padding-top="1pt">
					<fo:block text-align="end" end-indent="2pt" font-size="10pt" font-family="Courier" font-weight="bold">
						<xsl:value-of select="./preis"/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="pbeschreibungen">
		<fo:table-row height="8pt"><fo:table-cell><fo:block/></fo:table-cell></fo:table-row>
		<xsl:for-each select="./pbeschreibungen">
			<xsl:if test="string-length(./umfang/pbeschreibung/value)>0 or string-length(./format/pbeschreibung/value)>0 or
				string-length(./farben/pbeschreibung/value)>0 or string-length(./papier/pbeschreibung/value)>0 or
				string-length(./eingangprodukt/pbeschreibung/value)>0 or string-length(./ausfuehrung/pbeschreibung/value)>0 or
				string-length(./versand/pbeschreibung/value)>0 or string-length(./erlaeuterung/pbeschreibung/value)>0">
				<fo:table-row>
					<fo:table-cell>
						<fo:block> 
							
							</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</xsl:if>
		</xsl:for-each>
		
		<xsl:for-each select="./*">
			<xsl:for-each select="./*">
				<!--pbeschreibung-->
				<fo:table-row>
					<xsl:if test="string-length(./value) >0">
						<xsl:for-each select="./key">
							<fo:table-cell padding-top="1pt">
								<fo:block>
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					
					<fo:table-cell>
						<fo:table table-layout="fixed">
							<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite div 10.02 * 6)"/><xsl:value-of select="$masse"/></xsl:attribute>
							<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
							<fo:table-body>
								<xsl:for-each select="./value">
									<fo:table-row>
										<fo:table-cell>
											<fo:block>
												<!--xsl:value-of select="."/--><xsl:call-template name="nbsp"/> <!--non breaking space für Leerzeilen ASCII 160-->
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</xsl:for-each>
							</fo:table-body>
						</fo:table>
					</fo:table-cell>
					</xsl:if>
				</fo:table-row>
			</xsl:for-each>
		</xsl:for-each>
		
		<xsl:for-each select="./pbeschreibungen">
			<xsl:if test="string-length(./umfang/pbeschreibung/value)>0 or string-length(./format/pbeschreibung/value)>0 or
				string-length(./farben/pbeschreibung/value)>0 or string-length(./papier/pbeschreibung/value)>0 or
				string-length(./eingangprodukt/pbeschreibung/value)>0 or string-length(./ausfuehrung/pbeschreibung/value)>0 or
				string-length(./versand/pbeschreibung/value)>0 or string-length(./erlaeuterung/pbeschreibung/value)>0">
				<fo:table-row>
					<fo:table-cell border-bottom="1pt solid gray" number-columns-spanned="6">
						<fo:block> 
						
							</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</xsl:if>
		</xsl:for-each>
		<fo:table-row height="8pt"><fo:table-cell><fo:block/></fo:table-cell></fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<!--einzelkosten  EinzelkostenInclusiv-->
	<!-- *******************************************************-->
	<xsl:template match="EinzelkostenInclusiv">
		<xsl:if test="string-length(./EinzelkostenPosition/Betrag) > 0">
			<fo:table-row>
				<fo:table-cell>
					<fo:block>Im Preis enthalten:</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</xsl:if>
		<xsl:for-each select="./EinzelkostenPosition">
			<xsl:if test="string-length(./Betrag) > 0">
				<fo:table-row>
					<fo:table-cell>
						<fo:block text-align="start" start-indent="10pt">
							<xsl:value-of select="./Text"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" start-indent="45pt">
							<!--xsl:apply-templates select="//waehrung"/-->
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" end-indent="5pt" font-family="Courier">
							<xsl:value-of select="./Betrag"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell number-columns-spanned="2">
						<fo:block text-align="end" end-indent="5pt" font-family="Courier" font-size="11pt" font-weight="bold"/>
					</fo:table-cell>
				</fo:table-row>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--einzelkosten  EinzelkostenInclusiv-->
	<!-- *******************************************************-->
	<xsl:template match="EinzelkostenExclusiv">
		<xsl:if test="string-length(./EinzelkostenPosition/Betrag) > 0">
			<fo:table-row>
				<fo:table-cell>
					<fo:block>Zuzüglich:</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</xsl:if>
		<xsl:for-each select="./EinzelkostenPosition">
			<xsl:if test="string-length(./Betrag) > 0">
				<fo:table-row>
					<fo:table-cell number-columns-spanned="4">
						<fo:block text-align="start" start-indent="10pt">
							<xsl:value-of select="./Text"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="start" start-indent="10pt">
							<!--xsl:apply-templates select="//waehrung"/-->
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="end" end-indent="2pt" font-family="Courier">
							<xsl:value-of select="./Betrag"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<xsl:template match="nettoendpreise">
		<xsl:if test="string-length(./preis) > 0">
			<fo:table-row>
				<fo:table-cell number-columns-spanned="4">
					<fo:block>
						<xsl:value-of select="./key"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block text-align="start" start-indent="10pt">
						<xsl:apply-templates select="//waehrung"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block text-align="end" end-indent="2pt" font-family="Courier">
						<xsl:value-of select="./preis"/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
			<fo:table-row height="1pt">
				<fo:table-cell border-bottom="1pt solid black" number-columns-spanned="6">
					<fo:block></fo:block>
				</fo:table-cell>
			</fo:table-row>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="Summe">
		<xsl:if test="string-length(../zuzueglichVersandkosten) > 0">
			<fo:table-row>
				<fo:table-cell number-columns-spanned="4">
					<xsl:if test="string-length(../Summe) > 0">
						<fo:block font-weight="bold" padding-after="1pt" padding-top="1pt">
						Summe Netto
						</fo:block>
					</xsl:if>
				</fo:table-cell>
				<fo:table-cell>
					<xsl:if test="string-length(../Summe) > 0">
						<fo:block font-weight="bold" padding-after="1pt" padding-top="1pt" font-size="10pt" start-indent="10pt">
							<xsl:value-of select="//body/positionen/waehrung"/>
						</fo:block>
					</xsl:if>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block padding-after="1pt" padding-top="1pt" font-size="10pt" text-align="end" end-indent="2pt" font-weight="bold" font-family="Courier">
						<xsl:value-of select="../Summe"/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<xsl:template match="zuzueglichVersandkosten">
		<fo:table-row>
			<fo:table-cell number-columns-spanned="4">
				<xsl:if test="string-length(../zuzueglichVersandkosten) > 0">
					<fo:block padding-after="1pt" padding-top="1pt">
						zuzüglich Versandkosten
						</fo:block>
				</xsl:if>
			</fo:table-cell>
			<fo:table-cell>
				<xsl:if test="string-length(../zuzueglichVersandkosten) > 0">
					<fo:block padding-after="1pt" padding-top="1pt" start-indent="10pt">
						<xsl:value-of select="//body/positionen/waehrung"/>
					</fo:block>
				</xsl:if>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block padding-after="1pt" padding-top="1pt" font-size="10pt" text-align="end" end-indent="2pt" font-family="Courier">
					<xsl:value-of select="../zuzueglichVersandkosten"/>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="zwischensumme">
		<fo:table-row>
			<fo:table-cell border-bottom="1pt solid black" border-top="1pt solid black" number-columns-spanned="4">
				<xsl:if test="string-length(../zwischensumme) > 0">
					<fo:block font-weight="bold" padding-after="1pt" padding-top="1pt">
						Endsumme Netto  

						</fo:block>
				</xsl:if>
			</fo:table-cell>
			<fo:table-cell border-bottom="1pt solid black" border-top="1pt solid black">
				<xsl:if test="string-length(../zwischensumme) > 0">
					<fo:block font-weight="bold" padding-after="1pt" padding-top="1pt" start-indent="10pt">
						<xsl:value-of select="//body/positionen/waehrung"/>
					</fo:block>
				</xsl:if>
			</fo:table-cell>
			<fo:table-cell border-bottom="1pt solid black" border-top="1pt solid black">
				<fo:block padding-after="1pt" padding-top="1pt" font-size="10pt" text-align="end" end-indent="2pt" font-weight="bold" font-family="Courier">
					<xsl:value-of select="../zwischensumme"/>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="USt">
		<xsl:for-each select="./Umsatzsteuer">
			<fo:table-row>
				<fo:table-cell number-columns-spanned="4">
					<fo:table table-layout="fixed">
						<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite) div 7.1*5.8"/><xsl:value-of select="$masse"/>								</xsl:attribute>
						<fo:table-column column-number="1" column-width="proportional-column-width(0.1)"/>
						<fo:table-column column-number="2" column-width="proportional-column-width(0.3)"/>
						<fo:table-column column-number="3" column-width="proportional-column-width(0.8)"/>
						<fo:table-column column-number="4" column-width="proportional-column-width(0.4)"/>
						<fo:table-column column-number="5" column-width="proportional-column-width(1.6)"/>
						<fo:table-body>
							<xsl:if test="string-length(./UstProzentwert) > 0">
								<fo:table-row>
									<fo:table-cell>
										<fo:block padding-after="1pt" padding-top="1pt">+</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block font-weight="bold" padding-after="1pt" padding-top="1pt" text-align="end" end-indent="2pt" font-family="Courier">
											<xsl:value-of select="./UstProzentsatz"/>																		</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block padding-after="1pt" padding-top="1pt">% USt auf Euro</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block padding-after="1pt" padding-top="1pt" text-align="end" end-indent="1pt" font-family="Courier" font-weight="bold">
											<xsl:value-of select="./NettoSumme"/>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</xsl:if>
						</fo:table-body>
					</fo:table>
				</fo:table-cell>
				<fo:table-cell>
					<xsl:if test="string-length(./UstProzentwert) > 0">
						<fo:block padding-after="1pt" padding-top="1pt" start-indent="10pt">
							<xsl:value-of select="//body/positionen/waehrung"/>
						</fo:block>
					</xsl:if>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block padding-after="1pt" padding-top="1pt" font-size="10pt" text-align="end" end-indent="2pt" font-family="Courier">
						<xsl:value-of select="./UstProzentwert"/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<xsl:template match="Rechnungsbetrag">
		<fo:table-row>
			<fo:table-cell border-bottom="1pt solid black" number-columns-spanned="4">
				<xsl:if test="string-length(../Rechnungsbetrag) > 0">
					<fo:block font-weight="bold" padding-after="1pt" padding-top="1pt">
							Rechnungsbetrag
						</fo:block>
				</xsl:if>
			</fo:table-cell>
			<fo:table-cell border-bottom="1pt solid black">
				<xsl:if test="string-length(../Rechnungsbetrag) > 0">
					<fo:block font-weight="bold" padding-after="1pt" padding-top="1pt" start-indent="10pt">
						<xsl:value-of select="//body/positionen/waehrung"/>
					</fo:block>
				</xsl:if>
			</fo:table-cell>
			<fo:table-cell border-bottom="1pt solid black">
				<fo:block padding-after="1pt" padding-top="1pt" font-size="10pt" text-align="end" end-indent="2pt" font-weight="bold" font-family="Courier">
					<xsl:value-of select="../Rechnungsbetrag"/>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<xsl:template match="bereitsBezahlt">
		<fo:table-row>
			<fo:table-cell number-columns-spanned="4">
				<xsl:if test="string-length(../bereitsBezahlt) > 0">
					<fo:block padding-after="1pt" padding-top="1pt">
							bereits bezahlt
						</fo:block>
				</xsl:if>
			</fo:table-cell>
			<fo:table-cell>
				<xsl:if test="string-length(../bereitsBezahlt) > 0">
					<fo:block padding-after="1pt" padding-top="1pt" start-indent="10pt">
						<xsl:value-of select="//body/positionen/waehrung"/>
					</fo:block>
				</xsl:if>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block padding-after="1pt" padding-top="1pt" font-size="10pt" text-align="end" end-indent="2pt" font-family="Courier">
					<xsl:value-of select="../bereitsBezahlt"/>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="gewaehrterSkonto">
		<fo:table-row>
			<fo:table-cell number-columns-spanned="4">
				<xsl:if test="string-length(../gewaehrterSkonto) > 0">
					<fo:block padding-after="1pt" padding-top="1pt">
								gewährter Skonto
							</fo:block>
				</xsl:if>
			</fo:table-cell>
			<fo:table-cell>
				<xsl:if test="string-length(../gewaehrterSkonto) > 0">
					<fo:block padding-after="1pt" padding-top="1pt" start-indent="10pt">
						<xsl:value-of select="//body/positionen/waehrung"/>
					</fo:block>
				</xsl:if>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block padding-after="1pt" padding-top="1pt" font-size="10pt" text-align="end" end-indent="2pt" font-family="Courier">
					<xsl:value-of select="../gewaehrterSkonto"/>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<xsl:template match="Restbetrag">
		<fo:table-row>
			<xsl:if test="string-length(../bereitsBezahlt)">
				<!--fo:table-cell  padding-after="7pt" number-columns-spanned="4"-->
				<fo:table-cell number-columns-spanned="4">
					<xsl:if test="string-length(../Restbetrag) > 0">
						<fo:block font-weight="bold" padding-after="1pt" padding-top="1pt">
							<xsl:if test="../Restbetrag!='  0,00'">
									Restbetrag
								</xsl:if>
							<xsl:if test="../Restbetrag='  0,00'">
									Ausgleich
								</xsl:if>
						</fo:block>
					</xsl:if>
				</fo:table-cell>
				<fo:table-cell>
					<xsl:if test="string-length(../Restbetrag) > 0">
						<fo:block font-weight="bold" padding-after="1pt" padding-top="1pt" start-indent="10pt">
							<xsl:value-of select="//body/positionen/waehrung"/>
						</fo:block>
					</xsl:if>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block padding-after="1pt" padding-top="1pt" font-size="10pt" text-align="end" end-indent="2pt" font-weight="bold" font-family="Courier">
						<xsl:value-of select="../Restbetrag"/>
					</fo:block>
				</fo:table-cell>
			</xsl:if>
		</fo:table-row>
		<!--fo:table-row height="1pt">
					<fo:table-cell border-bottom="1pt solid black" number-columns-spanned="4"/>
				</fo:table-row-->
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<xsl:template match="lieferungen">
		<xsl:if test="string-length(./Lieferung) > 0">
			<xsl:call-template name="return"/>
			<fo:block font-size="10pt" font-weight="bold">Lieferung</fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(1)"/>
				<fo:table-header>
					<fo:table-row>
						<xsl:for-each select="./titelLieferungen/key">
							<fo:table-cell padding-after="2pt" background-color="lightgray">
								<fo:block font-size="10pt" text-align="start">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="./Lieferung">
						<fo:table-row>
							<xsl:for-each select="./*">
								<fo:table-cell padding-top="1pt">
									<fo:block font-size="10pt" text-align="start">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row height="1pt">
						<fo:table-cell border-bottom="1pt solid black" number-columns-spanned="4">
							<fo:block></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Tabelle mit 3 Spalten Positionsbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="inclusive|zuzuegliche">
		<xsl:for-each select="./*">
			<fo:table-row>
				<xsl:if test="string-length(*[2]) >0">
					<xsl:for-each select="*[1]">
						<fo:table-cell padding-top="1pt">
							<fo:block>
								<xsl:if test="name(.)='inclusiveskey'">inclusives:</xsl:if>
								<xsl:if test="name(.)='zuzueglichkey'">zuzueglich:</xsl:if>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</xsl:if>
				<xsl:for-each select="*[2]">
					<fo:table-cell number-columns-spanned="4" padding-top="10pt">
						<fo:block>
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:for-each>
			</fo:table-row>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Tabelle mit 2 Spalten-->
	<!-- *******************************************************-->
	<xsl:template match="zahlung">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(3.7)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.3)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(2)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell number-columns-spanned="3" border-top="1pt solid black">
						<fo:block font-weight="bold" padding-after="1pt" padding-top="1pt">
							<xsl:if test="not(starts-with(./Zahlungsweise,'Lastschrift'))">
								Zahlung erbeten
							</xsl:if>
							<xsl:if test="starts-with(./Zahlungsweise,'Lastschrift')">
								Zahlung per Lastschrift
							</xsl:if>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<xsl:for-each select="./Skonto">
					<xsl:if test="not(starts-with(./SkontoProzentsatz,'0,00'))">
						<fo:table-row>
							<fo:table-cell>
								<fo:block padding-after="1pt" padding-top="1pt">
									bis zum <xsl:value-of select="./SkontoBisZum"/> 
									abzgl. 	<xsl:value-of select="./SkontoProzentsatz"/>	
									Skonto:
							</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block padding-after="1pt" padding-top="1pt" start-indent="6pt">
									<xsl:value-of select="//body/positionen/waehrung"/>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block padding-after="1pt" padding-top="1pt" font-size="10pt" text-align="end" end-indent="2pt" font-family="Courier">
									<xsl:value-of select="./SkontoProzentwert"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell>
								<fo:block padding-after="1pt" padding-top="1pt">
							zu bezahlen:
						</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<xsl:if test="string-length(./ZuBezahlen) > 0">
									<fo:block padding-after="1pt" padding-top="1pt" start-indent="6pt">
										<xsl:value-of select="//body/positionen/waehrung"/>
									</fo:block>
								</xsl:if>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block padding-after="1pt" padding-top="1pt" font-size="11pt" text-align="end" end-indent="2pt" font-weight="bold" font-family="Courier">
									<xsl:value-of select="./ZuBezahlen"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell number-columns-spanned="3">
								<fo:block padding-after="1pt" padding-top="1pt">
							oder
						</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
				</xsl:for-each>
				<fo:table-row>
					<fo:table-cell>
						<fo:block padding-after="1pt" padding-top="1pt">
							bis zum <xsl:value-of select="./ohneAbzug/bisZum"/>
							ohne Abzug:
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<xsl:if test="string-length(./ohneAbzug/ohneAbzugBetrag) > 0">
							<fo:block padding-after="1pt" padding-top="1pt" start-indent="6pt">
								<xsl:value-of select="//body/positionen/waehrung"/>
							</fo:block>
						</xsl:if>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block padding-after="1pt" padding-top="1pt" font-size="10pt" text-align="end" end-indent="2pt" font-family="Courier">
							<xsl:value-of select="./ohneAbzug/ohneAbzugBetrag"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell number-columns-spanned="3">
						<xsl:if test="count(//Konto)=0">
							<fo:block/>
						</xsl:if>
						<xsl:if test="count(//Konto/KontoNummer)=1">
							<fo:block padding-after="1pt" padding-top="1pt">
							auf unser angegebenes Konto.
						</fo:block>
						</xsl:if>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  verzugszinsenhinweis-->
	<!-- *******************************************************-->
	<xsl:template match="verzugszinsenhinweis">
		<xsl:if test="string-length(./verzugszinsen) > 0">
			<fo:block padding-after="1pt" padding-top="1pt">
				Wir berechnen zur Zeit <xsl:value-of select="./verzugszinsen"/>
				% Verzugszinsen p.a.
			</fo:block>
		</xsl:if>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Endtext-->
	<!-- *******************************************************-->
	<xsl:template match="fuss">
		<!--xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<fo:block>
			<xsl:value-of select="./zusatz"/>
		</fo:block-->
		<xsl:for-each select="./fusstext">
			<xsl:call-template name="lineOffset"/>
			<xsl:for-each select="./zeile">
				<!--fo:block-->
				<xsl:value-of select="."/>
				<!--/fo:block-->
				<xsl:call-template name="return"/>
			</xsl:for-each>
			<xsl:call-template name="return"/>
		</xsl:for-each>
		<xsl:for-each select="./sachbearbeiter">
			<xsl:call-template name="lineOffset"/>
			<fo:block>
				<xsl:value-of select="."/>
			</fo:block>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
