<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<!-- eigene Variablen____________________dynamisch_____________________-->
	<!--<xsl:variable name="pagewidth">
		<xsl:value-of select="//pageWidth"/>
	</xsl:variable>
	<xsl:variable name="pageheight">
		<xsl:value-of select="//pageHeight"/>
	</xsl:variable>
	<xsl:variable name="right">
		<xsl:value-of select="//marginRight"/>
	</xsl:variable>
	<xsl:variable name="left">
		<xsl:value-of select="//marginLeft"/>
	</xsl:variable>
	<xsl:variable name="bottom">
		<xsl:value-of select="//marginBottom"/>
	</xsl:variable>
	<xsl:variable name="top">
		<xsl:value-of select="//marginTop"/>
	</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<xsl:variable name="masse">
		<xsl:value-of select="//masse"/>
	</xsl:variable>
	<xsl:variable name="maxLength">12</xsl:variable>
	<xsl:variable name="gvar">10</xsl:variable>
	<xsl:variable name="freeline">12pt</xsl:variable>-->
	<!-- eigene Variablen______________________dynamisch___________________ -->
	<xsl:variable name="freeline">12pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.7</xsl:variable>
	<xsl:variable name="right">1.5</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">1</xsl:variable>
	<xsl:variable name="top">2</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
			<xsl:value-of select="($pagewidth -$left -$right)"/>
		</xsl:variable>
		<xsl:variable name="maxLength">12</xsl:variable>
	<xsl:variable name="gvar">10</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
				
				
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
											<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-before precedence="true" extent="2cm"/>
					<fo:region-after precedence="true" extent="0.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="11.0pt">
						<fo:block text-align="end">
								<fo:inline>Ausdruck v.
									<xsl:value-of select="//ausdruck/datum"/><xsl:value-of select="//ausdruck/uhrzeit"/>

									
									Seite:  <fo:page-number/>/<fo:page-number-citation ref-id="endofdoc"/>
								</fo:inline>
							</fo:block>
						
					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="11.0pt" text-align="start">
					<xsl:apply-templates select="//periode"/>
					<xsl:apply-templates select="//Rechnungseingangsbuch"/>	
					<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ************************************************************************************************************   -->
	</xsl:template>
	<!-- *******************************************************-->
	
	<!-- *******************************************************-->
	<!--Template  /Betreff-->
	<!-- *******************************************************-->
	<xsl:template match="periode">
		<fo:block>
			<fo:inline font-size="12pt" font-weight="bold">
				<xsl:value-of select="name(//Rechnungseingangsbuch)"/>
			</fo:inline>
			<fo:inline  font-size="11pt">
				<xsl:value-of select="./abDatum"/>-
				<xsl:value-of select="./endDatum"/>
			</fo:inline>
		</fo:block>
		<xsl:call-template name="return"/>
	</xsl:template>
<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
<!--__________________________-->
	<!-- *******************************************************-->
	<!--Template fur Positionen-->
	<!-- *******************************************************-->
	<xsl:template match="Rechnungseingangsbuch">
			<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
				<fo:table-column column-number="1" column-width="proportional-column-width(1.0)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.1)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.0)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(0.4)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="8" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="9" column-width="proportional-column-width(1)"/>
				
				<fo:table-header background-color="lightgray" display-align="center">
					<fo:table-row>
						<xsl:for-each select="./titel">
							<xsl:for-each select="./*">
							<!--xsl:if test="position()!=5"-->
								<fo:table-cell border-bottom-style="solid" border-width="1.0pt"
								 border-top-style="solid">
							<xsl:if test="position()&lt;6">
								<xsl:attribute name="text-align">start</xsl:attribute>
							</xsl:if>
							<xsl:if test="position()&gt;4">
								<xsl:attribute name="text-align">end</xsl:attribute>
								<xsl:attribute name="end-indent">2pt</xsl:attribute>
							</xsl:if>
									<fo:block font-size="9pt" padding-top="1pt" padding-after="1pt">
							<xsl:if test="position()!=5">
									<xsl:value-of select="."/>
							</xsl:if>
									</fo:block>
								</fo:table-cell>
							<!--/xsl:if>
							<xsl:if test="position()=5">
								<fo:table-cell border-bottom-style="solid" border-width="1.0pt"
								 border-top-style="solid">
									<fo:block font-size="9pt" padding-top="1pt" padding-after="1pt">
									</fo:block>
								</fo:table-cell>
							</xsl:if-->
							</xsl:for-each>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="./OffenerPosten">
						<fo:table-row>
							<xsl:for-each select="*">	
								<xsl:if test="position()&lt;5">
									<fo:table-cell>
										<fo:block font-size="9pt" padding-top="2pt">
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:if>
								<xsl:if test="position() &gt;=5">
									<fo:table-cell text-align="end" end-indent="2pt">
										<fo:block font-size="9pt" padding-top="2pt">
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
					<xsl:for-each select="./Summe">
						<fo:table-row>
							<xsl:for-each select="*">	
							<xsl:if test="position()=1">
								<fo:table-cell number-columns-spanned="5" border-top="1pt solid black">
									<fo:block font-size="10pt" padding-top="2pt" padding-after="2pt" font-weight="bold">
									&#8721;         
									</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="position() &gt;=5">
								<fo:table-cell border-top="1pt solid black" text-align="end" end-indent="2pt">
									<fo:block font-size="10pt" padding-top="4pt" padding-after="2pt" font-weight="bold">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>	
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!--*************************************-->
</xsl:stylesheet>
