<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
								xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">12pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">28</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-before precedence="true" extent="1cm"/>
					<fo:region-after precedence="true" extent="1cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- actual layout ______________________________________-->
			<fo:page-sequence master-reference="only">
				<!-- usage of page layout -->
				<!-- ************************************ BODY *****************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="12pt">
						<xsl:apply-templates select="//data/theMessage/Briefe"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Text-->
	<!-- *******************************************************-->
		<xsl:template match="text">
			<xsl:if test="font!=''">
				<fo:inline font-weight="{bold}" font-style="{italic}" text-decoration="{underline}" font-family="{font}" font-size="{size}">
					<xsl:value-of select="chars"/>
				</fo:inline>
			</xsl:if>
			<xsl:if test="font=''">
				<fo:inline font-weight="{bold}" font-style="{italic}" text-decoration="{underline}" font-size="{size}">
					<xsl:value-of select="chars"/>
				</fo:inline>
			</xsl:if>
		</xsl:template>	
	<!-- *******************************************************-->
	<!--"Briefe"-->
	<!-- *******************************************************-->
	<xsl:template match="Briefe">
		<xsl:for-each select="./Brief">
			<xsl:for-each select="./absatz">
				<fo:block>
					<xsl:apply-templates select="text"/>
				</fo:block>
				<xsl:if test="count(text)=1">
					<xsl:if test="text/chars=''">
						<xsl:call-template name="return"/>
					</xsl:if>
				</xsl:if>
			</xsl:for-each>
			<xsl:if test="position() != last()">
				<fo:block break-after="page"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
		
	<!-- *******************************************************-->
	<!--Template  für return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	
<!--#######################-->
<!--'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''-->	
</xsl:stylesheet>
