<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">2pt</xsl:variable>
	<xsl:variable name="pagewidth"><xsl:value-of select="//pageWidth"/></xsl:variable>
	<xsl:variable name="pageheight"><xsl:value-of select="//pageHeight"/></xsl:variable>
	<xsl:variable name="right"><xsl:value-of select="//marginRight"/></xsl:variable>
	<xsl:variable name="left"><xsl:value-of select="//marginLeft"/></xsl:variable>
	<xsl:variable name="bottom"><xsl:value-of select="//marginBottom"/></xsl:variable>
	<xsl:variable name="top"><xsl:value-of select="//marginTop"/></xsl:variable>
	<xsl:variable name="masse"><xsl:value-of select="//masse"/></xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/><xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/><xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="0.7cm"/>
					<fo:region-before precedence="true" extent="1cm"/>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block text-align="end" font-size="8pt" font-family="Helvetica">
						SOLL / IST Vergleich Einzelkosten <xsl:value-of select="//Statistik/Zeitraum"></xsl:value-of>
						Seite:  <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>
					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="10.0pt">
						<xsl:call-template name="SeitenKopf"/>
					</fo:block>
					<fo:block font-family="Courier" font-size="8pt" text-align="start">
						<xsl:apply-templates select="//Statistik/Materialkategorie"/>
						<xsl:apply-templates select="//Statistik/SummeGesamt"/>
						<fo:block id="endofdoc"/>
					</fo:block>
					<!-- ************************************ BODY  end********************************************-->
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ***********************************************************************************   -->
	</xsl:template>
	<!-- ** process  element-nodes  **    -->
	<!-- *******************************************************-->
	<!--Template  für SeitenKopf-->
	<!-- *******************************************************-->
	<xsl:template name="SeitenKopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
															<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(0.1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(46)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(0.1)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(0.1)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-bottom-style="solid">
							<fo:block text-align="start">
								<fo:inline>
								
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block font-family="Helvetica" font-size="12pt" font-weight="bold">
								
									SOLL / IST Vergleich Einzelkosten   
									<fo:inline font-family="Helvetica" font-size="11pt">Zeitraum: </fo:inline>
									<xsl:value-of select="//Statistik/Zeitraum"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<!--fo:block text-align="end">
								
							Stand v.
							
							</fo:block-->
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<!--fo:block text-align="end">
								
									<fo:page-number/>. Seite
							
							</fo:block-->
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für   Eigenfertigung  Statistik-->
	<!-- *******************************************************-->
	<xsl:template match="Materialkategorie">
		<xsl:call-template name="return"/>
		<fo:block text-align="start" font-size="11pt" font-family="Helvetica" font-weight="bold">
			<xsl:value-of select="./BlockTitel"/>:
		</fo:block>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/>
			</xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(0.01)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.01)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.01)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(6)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="8" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="9" column-width="proportional-column-width(5)"/>
			<fo:table-header background-color="lightgray" display-align="center">
				<fo:table-row>
					<xsl:for-each select="//Statistik/titel/*">
						<fo:table-cell border-bottom="1pt solid black">
							<xsl:if test="position()=4 or position()=5 or position()=6 or position()=7 or position()=8">
								<xsl:attribute name="border-right">1pt solid gray</xsl:attribute>
							</xsl:if>
							<fo:block text-align="end" font-size="7pt" padding-top="2pt" padding-after="2pt" font-family="Helvetica" end-indent="1pt">
								<xsl:if test="name(.)='key' and .='KOST'"></xsl:if>
								<xsl:if test="name(.)='key' and .='KOST Name'"></xsl:if>
								<xsl:if test="name(.)='key' and .='Material'"></xsl:if>
								<xsl:if test="name(.)='key' and .='MM/JJ'">MM.JJJJ</xsl:if>
								<xsl:if test="name(.)='key' and .='EURO IST'">EUR IST</xsl:if>
								<xsl:if test="name(.)='key' and .='EURO SOLLPreis'">EUR SOLL</xsl:if>
								<xsl:if test="name(.)='key' and .='EURO SOLLPreisMitAuf.'">EUR SOLL Mit Auf.</xsl:if>
								<xsl:if test="name(.)='key' and .='Abw.Pr.EURO'">Abw. EUR</xsl:if>
								<xsl:if test="name(.)='key' and .='Abw.Pr.%'">Abw.%</xsl:if>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:apply-templates select="./Kostenstelle"/>
				<xsl:apply-templates select="./SummeMaterialkategorie"/>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für SummeAbteilung-->
	<!-- *******************************************************-->
	<xsl:template match="SummeMaterialkategorie">
		<xsl:call-template name="SummeMaterialKategorie"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal-plus-linie OBEN, row(last)-->
	<!--S P A N-->
	<!-- *******************************************************-->
	<xsl:template name="SummeMaterialKategorie">
		<fo:table-row>
			<xsl:for-each select="./*">
				<xsl:if test="position()=1">
					<fo:table-cell number-columns-spanned="4" border-bottom="1pt solid black" border-top="1pt solid black">
						<fo:block text-align="start" font-size="9pt" font-weight="bold" font-family="Helvetica" padding-top="2pt">
						     Summe <xsl:value-of select="../../BlockTitel"/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>
				<xsl:if test="position()=5">
					<fo:table-cell border-bottom="1pt solid black" border-top="1pt solid black">
						<fo:block text-align="end" font-size="9pt" font-weight="bold" end-indent="1pt" padding-top="2pt">
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>
				<xsl:if test="position()>5">
					<fo:table-cell border-left="1pt solid lightgray" border-bottom="1pt solid black" end-indent="1pt" padding-top="2pt" border-top="1pt solid black">
						<fo:block text-align="end" font-size="9pt" font-weight="bold">
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>
			</xsl:for-each>
		</fo:table-row>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für KOstensxstelle -->
	<!-- *******************************************************-->
	<xsl:template match="Kostenstelle">
		<fo:table-row>
			<fo:table-cell padding-top="1pt" border-bottom="1pt solid gray" number-columns-spanned="9">
				<fo:block font-size="9pt" font-family="Helvetica" font-weight="bold" padding-top="1pt">
					<xsl:value-of select="./Material/Ergebnis/Kostenstelle"/> 
					<xsl:value-of select="./Material/Ergebnis/KostenstelleBezeichnung"/> 
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
		<xsl:apply-templates select="Material"/>
		<xsl:call-template name="SummeKST"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal-plus-linie OBEN, row(last)-->
	<!-- *******************************************************-->
	<xsl:template match="Material">
		<fo:table-row>
			<fo:table-cell padding-top="1pt" border-bottom="1pt solid gray" number-columns-spanned="9">
				<fo:block font-size="9pt" font-family="Helvetica">
					<xsl:value-of select="./Ergebnis/Material"/>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
		<!--xsl:for-each select="./Ergebnis">	
			<xsl:for-each select=".">
				<fo:table-row>
					<xsl:for-each select="*">
						<fo:table-cell padding-top="1pt" border-bottom="1pt solid gray" border-left="1pt solid lightgray">
							<xsl:if test="position()>3">
								<fo:block text-align="end" font-size="9pt" end-indent="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</xsl:if>		
						</fo:table-cell>	
					</xsl:for-each>
				</fo:table-row>
			</xsl:for-each>	
		</xsl:for-each-->		
		<xsl:for-each select="./SummeMaterial">	
			<xsl:for-each select=".">
				<fo:table-row>
					<xsl:for-each select="*">
						<xsl:if test="position()=1">
							<fo:table-cell number-columns-spanned="4" border-bottom="1pt solid black" padding-top="1pt">
								<fo:block text-align="start" font-size="9pt" font-family="Helvetica">
						 	   		 Summe
						 	   	</fo:block>
							</fo:table-cell>
						</xsl:if>
						<xsl:if test="position()>4">
							<fo:table-cell padding-top="1pt" border-bottom="1pt solid black" border-left="1pt solid lightgray">
								<fo:block text-align="end" font-size="9pt" end-indent="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>
				</fo:table-row>
			</xsl:for-each>
		</xsl:for-each>
		<fo:table-row height="9pt"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Summe KST  row(last)-->
	<!-- *******************************************************-->
	<xsl:template name="SummeKST">
		<fo:table-row>
			<xsl:for-each select="./SummeKostenstelle">
				<xsl:for-each select="*">
					<xsl:if test="position()=1">
						<fo:table-cell number-columns-spanned="4" border-bottom="1pt solid black" border-top="1pt solid black"  padding-top="1pt">
							<fo:block text-align="start" font-size="9pt" font-weight="bold" font-family="Helvetica">
						   		 Summe KST
						     </fo:block>
						</fo:table-cell>
					</xsl:if>
					<xsl:if test="position()>4">
						<fo:table-cell padding-top="1pt" border-bottom="1pt solid black" border-left="1pt solid lightgray" border-top="1pt solid black">
							<fo:block text-align="end" font-size="9pt" end-indent="1pt">
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
		</fo:table-row>
		<fo:table-row height="9pt"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  tabelle-normal-plus-linie  Für SummeGesammt-->
	<!-- *******************************************************-->
	<xsl:template match="SummeGesamt">
		<xsl:call-template name="return"/>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(0.01)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.01)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.01)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(7)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(7)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="8" column-width="proportional-column-width(8)"/>
			<fo:table-column column-number="9" column-width="proportional-column-width(5)"/>
			<fo:table-header/>
			<fo:table-body>
				<fo:table-row>
					<xsl:for-each select="*">
						<xsl:if test="position()=1">
							<fo:table-cell number-columns-spanned="4" padding-top="3pt" background-color="lightgray"
															border-bottom="1pt solid black" border-top="1pt solid black">
								<fo:block text-align="end" font-size="10pt" font-weight="bold" font-family="Helvetica" end-indent="1pt">
									<xsl:attribute name="text-align">start</xsl:attribute>
									    Summe Gesamt
								</fo:block>
							</fo:table-cell>
						</xsl:if>	
						<xsl:if test="position()=5">
							<fo:table-cell padding-top="3pt" border-bottom="1pt solid black" border-top="1pt solid black" background-color="lightgray">
								<fo:block text-align="end" font-size="10pt" font-weight="bold" end-indent="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
						<xsl:if test="position()>5">
							<fo:table-cell padding-top="3pt" border-bottom="1pt solid black" border-top="1pt solid black" background-color="lightgray"
																							 border-left="1pt solid white">
								<fo:block text-align="end" font-size="10pt" font-weight="bold" end-indent="1pt">
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-body>
		</fo:table>	
	</xsl:template>
	
	<!--************************-->

</xsl:stylesheet>
