<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
								xmlns:fo="http://www.w3.org/1999/XSL/Format"> 
<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">5pt</xsl:variable>
	<xsl:variable name="pagewidth"><xsl:value-of select="//pageWidth"/></xsl:variable>
	<xsl:variable name="pageheight"><xsl:value-of select="//pageHeight"/></xsl:variable>
	<xsl:variable name="right"><xsl:value-of select="//marginRight"/></xsl:variable>
	<xsl:variable name="left"><xsl:value-of select="//marginLeft"/></xsl:variable>
	<xsl:variable name="bottom"><xsl:value-of select="//marginBottom"/></xsl:variable>
	<xsl:variable name="top"><xsl:value-of select="//marginTop"/></xsl:variable>
	<xsl:variable name="masse"><xsl:value-of select="//masse"/></xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________--> 
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<!-- ____________________________________________--> 
			<fo:layout-master-set>
				<fo:simple-page-master master-name="only" writing-mode="tb-rl">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1cm"/>
					<fo:region-before precedence="true" extent="1cm"/>
					<fo:region-after precedence="true" extent="1cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- ____________________________________________--> 
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- ____________________________________________--> 
				<fo:static-content flow-name="xsl-region-before">
					<!--fo:block font-family="Helvetica" font-size="9pt">
						<xsl:call-template name="SeitenKopf"/>
					</fo:block-->
					<fo:block text-align="end" font-size="8pt" font-family="Helvetica">
						Stundenabrechnung <xsl:value-of select="//Statistik/Zeitraum"></xsl:value-of>
						Seite:  <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>
					</fo:block>
				</fo:static-content>
				<!-- ____________________________________________--> 
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="10.0pt">
						<xsl:call-template name="SeitenKopf"/>
					</fo:block>
					<fo:block font-family="Helvetica" font-size="9pt" text-align="start">
					<xsl:apply-templates select="//Statistik"/>
					<xsl:apply-templates select="//SummeGesamt"/>

						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<!-- *******************************************************-->
	
	<!-- *******************************************************-->
		<xsl:template name="SeitenKopf">
			<!--fo:block text-align="end">
				<fo:inline font-size="8pt">Stundenabrechnung  </fo:inline>
				<fo:inline font-size="8pt">Stand v. <xsl:value-of select="//Ausdruck/datum"/>	</fo:inline> 
				<fo:inline font-size="8pt"><xsl:value-of select="//Ausdruck/uhrzeit"/> </fo:inline> 
				<fo:inline font-size="8pt"> Seite:  <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/></fo:inline>
			</fo:block-->
			<fo:block font-family="Helvetica" font-size="12pt" font-weight="bold">
				Stundenabrechnung   
				<fo:inline font-family="Helvetica" font-size="11pt">Zeitraum: </fo:inline>
				<xsl:value-of select="//Statistik/Zeitraum"></xsl:value-of>
			</fo:block>

		</xsl:template>
		<!--'''''''''''''''''''''''''''*****************************''''''''''''''''''''''''''''''''''''''''''-->	
		<xsl:template match="Statistik">
			<!--fo:block font-size="12pt" font-weight="bold">Stundenabrechnung   Zeitraum: <xsl:value-of select="//Statistik/Zeitraum"/></fo:block-->
			<xsl:call-template name="return"/>
			<xsl:call-template name="tabelle"/>
		</xsl:template>
		
		<!--'''''''''''''''''''''''''''************************''''''''''''''''''''''''''''''''''''''''''-->	
		<xsl:template name="tabelle">	
			<xsl:for-each select="//Statistik/Mitarbeiter"><!--Mitarbeiter-Ebene-->
				<fo:block font-weight="bold" font-size="11pt" text-decoration="underline">
					Mitarbeiter: <xsl:value-of select="./Mitarbeiter/Ergebnis/Mitarbeiter"/>  
				</fo:block>
				<xsl:for-each select="./Mitarbeiter">
					<fo:block font-weight="bold">Zeitraum:      
						<xsl:value-of select="./Ergebnis/Zeitraum"/>  
					</fo:block>
					<fo:table table-layout="fixed" keep-together="always">
						<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/>
						</xsl:attribute>
							<xsl:for-each select="//Statistik/titel/*">
								<xsl:if test="position()!=last()">
									<xsl:if test="position()!=last()-1">
										<fo:table-column>
											<xsl:attribute name="column-number"><xsl:value-of select="position()"/></xsl:attribute>
											<xsl:if test="position()=1">
												<xsl:attribute name="column-width">proportional-column-width(0.6)</xsl:attribute>
											</xsl:if>
											<xsl:if test="position()=2">
												<xsl:attribute name="column-width">proportional-column-width(1.4)</xsl:attribute>
											</xsl:if>
											<xsl:if test="position() &gt;=3 and position()!=last()">
												<xsl:attribute name="column-width">proportional-column-width(0.7)</xsl:attribute>
											</xsl:if>
											<xsl:if test="position()=last()">
												<xsl:attribute name="column-width">proportional-column-width(1)</xsl:attribute>
											</xsl:if>
										</fo:table-column>
									</xsl:if>
								</xsl:if>
							</xsl:for-each>
							<fo:table-header background-color="lightgray">
								<fo:table-row>
									<xsl:for-each select="//Statistik/titel/*">
							 			<xsl:if test="(position() &gt;1)"> 
							 				<xsl:if test="position()!=4">
												 <fo:table-cell border-bottom="1pt solid gray">
													 <xsl:if test="position()!=last()">
														<xsl:attribute name="border-right">1pt solid gray</xsl:attribute>
													</xsl:if>
													<fo:block font-size="8pt" padding-top="2pt" padding-after="2pt" text-align="end" end-indent="2pt">
													<xsl:if test="position()=3 or position()=2">
														<xsl:attribute name="text-align">start</xsl:attribute>
													</xsl:if>
														<xsl:value-of select="."/>
													</fo:block>
												</fo:table-cell>
											</xsl:if>	
										</xsl:if>
									</xsl:for-each>
								</fo:table-row>
							</fo:table-header>
							<fo:table-body>	
							<!--****************-->
								<xsl:for-each select="./Ergebnis">
									<fo:table-row>
										<fo:table-cell border-top="1pt solid gray" border-right="1pt solid gray">
											<fo:block padding-top="2pt">
												<xsl:value-of select="./KOST"/>   
											</fo:block>
										</fo:table-cell>
										<fo:table-cell border-top="1pt solid gray" border-right="1pt solid gray">
											<fo:block padding-top="2pt">
												<xsl:value-of select="./KOSTName"/>
											</fo:block>
										</fo:table-cell>
										<xsl:for-each select="./zeitbedarf">
											<fo:table-cell border-top="1pt solid gray">
												<xsl:if test="position()!=1">
													<xsl:attribute name="border-left">1pt solid gray</xsl:attribute>
												</xsl:if>
												<fo:block text-align="end" end-indent="2pt" padding-top="2pt">
													<xsl:value-of select="./*[2]"></xsl:value-of>
												</fo:block>
											</fo:table-cell>
										</xsl:for-each>
										<fo:table-cell border-left="1pt solid gray" border-top="1pt solid gray">
											<fo:block text-align="end" end-indent="2pt" padding-top="2pt">
												<xsl:value-of select="./Lohnkosten"></xsl:value-of>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</xsl:for-each>
								<xsl:for-each select="./SummeproMonat">
									<fo:table-row>
										<fo:table-cell number-columns-spanned="2" border-top="1pt solid gray" 
													border-bottom="1pt solid black" padding-top="1pt" border-right="1pt solid gray">
											<fo:block font-weight="bold" padding-top="2pt">
												Summe pro Monat: <xsl:value-of select="./Zeitraum"/> 
											</fo:block>
										</fo:table-cell>
										<xsl:for-each select="./zeitbedarf">
											<fo:table-cell border-top="1pt solid gray" border-bottom="1pt solid black" padding-top="1pt">
												<xsl:if test="position()!=1">
													<xsl:attribute name="border-left">1pt solid gray</xsl:attribute>
												</xsl:if>
												<fo:block text-align="end" end-indent="2pt" padding-top="2pt">
								 					<xsl:value-of select="./*[2]"></xsl:value-of>
								 				</fo:block>
											</fo:table-cell>
										</xsl:for-each>
										<fo:table-cell border-left="1pt solid gray" border-top="1pt solid gray" border-bottom="1pt solid black">
											<fo:block text-align="end" end-indent="2pt" padding-top="2pt">
												<xsl:value-of select="./Lohnkosten"></xsl:value-of>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</xsl:for-each>
								<fo:table-row height="8pt"/>
							</fo:table-body>
						</fo:table>
					</xsl:for-each><!--MonatsEbene-->
					<xsl:apply-templates select="SummeMitarbeiter"/>
				</xsl:for-each><!--Mitarbeiter-Ebene-->	
  			</xsl:template>
  	<!--******************************-->
  			<xsl:template match="SummeMitarbeiter">
 				 <fo:table table-layout="fixed" keep-together="always">
					<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/>
					</xsl:attribute>
					<xsl:for-each select="//Statistik/titel/*">
						<xsl:if test="position()!=last()">
							<xsl:if test="position()!=last()-1">
									<fo:table-column>
										<xsl:attribute name="column-number"><xsl:value-of select="position()"/></xsl:attribute>
										<xsl:if test="position()=1">
									<xsl:attribute name="column-width">proportional-column-width(0.6)</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()=2">
									<xsl:attribute name="column-width">proportional-column-width(1.4)</xsl:attribute>
								</xsl:if>
								<xsl:if test="position() &gt;=3 and position()!=last()">
									<xsl:attribute name="column-width">proportional-column-width(0.7)</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()=last()">
									<xsl:attribute name="column-width">proportional-column-width(1)</xsl:attribute>
								</xsl:if>
									</fo:table-column>
								</xsl:if>
							</xsl:if>
						</xsl:for-each>
						<fo:table-body>
  							<xsl:for-each select="../SummeMitarbeiter">
								<fo:table-row height="4pt"/>
								<fo:table-row>
									<fo:table-cell number-columns-spanned="2" border-top="1pt solid black"
									           border-bottom="1pt solid black" padding-top="1pt" border-right="1pt solid gray">
										<fo:block font-weight="bold" font-size="10pt" padding-top="2pt">
											Summe: <xsl:value-of select="./Mitarbeiter"/>
										</fo:block>
									</fo:table-cell>
									<xsl:for-each select="./zeitbedarf">
										<fo:table-cell border-top="1pt solid black" border-bottom="1pt solid black" padding-top="1pt">
											<xsl:if test="position()!=1">
												<xsl:attribute name="border-left">1pt solid gray</xsl:attribute>
											</xsl:if>
											<fo:block text-align="end" end-indent="2pt" padding-top="2pt">
												<xsl:value-of select="./*[2]"></xsl:value-of>
											</fo:block>
										</fo:table-cell>
									</xsl:for-each>
									<fo:table-cell border-left="1pt solid gray" border-top="1pt solid black" border-bottom="1pt solid black">
										<fo:block text-align="end" end-indent="2pt" padding-top="2pt">
											<xsl:value-of select="./Lohnkosten"></xsl:value-of>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</xsl:for-each>
						<fo:table-row height="10pt"/>
					</fo:table-body>
				</fo:table>
 			 </xsl:template>
 		 <!--*************************************-->
  		<xsl:template match="SummeGesamt">
  			<fo:table table-layout="fixed" keep-together="always">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/>
				</xsl:attribute>
					<xsl:for-each select="//Statistik/titel/*">
						<xsl:if test="position()!=last()">
							<xsl:if test="position()!=last()-1">
									<fo:table-column>
										<xsl:attribute name="column-number"><xsl:value-of select="position()"/></xsl:attribute>
										<xsl:if test="position()=1">
									<xsl:attribute name="column-width">proportional-column-width(0.6)</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()=2">
									<xsl:attribute name="column-width">proportional-column-width(1.4)</xsl:attribute>
								</xsl:if>
								
								<xsl:if test="position() &gt;=3 and position()!=last()">
									<xsl:attribute name="column-width">proportional-column-width(0.7)</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()=last()">
									<xsl:attribute name="column-width">proportional-column-width(1)</xsl:attribute>
								</xsl:if>
							</fo:table-column>
						</xsl:if>
					</xsl:if>
				</xsl:for-each>
				<fo:table-body>
  					<xsl:for-each select="//SummeGesamt">
					<fo:table-row height="4pt"/>
						<fo:table-row>
							<fo:table-cell number-columns-spanned="2" border-top="1pt solid black" border-bottom="1pt solid black" padding-top="1pt">
								<fo:block font-weight="bold" text-decoration="underline" font-size="11pt">
									Summe Gesamt
								</fo:block>
							</fo:table-cell>
							<xsl:for-each select="./zeitbedarf">
								<fo:table-cell border-left="1pt solid black" border-top="1pt solid black" border-bottom="1pt solid black" padding-top="1pt">
									<fo:block text-align="end" end-indent="2pt" padding-top="2pt"><xsl:value-of select="./*[2]"></xsl:value-of></fo:block>
								</fo:table-cell>
							</xsl:for-each>
							<fo:table-cell border-left="1pt solid black" border-top="1pt solid black" border-bottom="1pt solid black">	
								<fo:block text-align="end" end-indent="2pt" padding-top="2pt"><xsl:value-of select="./Lohnkosten"></xsl:value-of></fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
  			</fo:table>
  		</xsl:template>
	<!-- *******************************************************-->
	<!--Template  return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!--'''''''''''''''''''''''''''*****************************''''''''''''''''''''''''''''''''''''''''''-->	
</xsl:stylesheet>
