<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
								xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">3pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.5</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">1.5</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$left -$right)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<fo:region-body margin-top="1.1cm"/>
					<fo:region-before precedence="true" extent="2cm"/>
					<fo:region-after precedence="true" extent="1.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- actual layout ______________________________________-->
			<fo:page-sequence master-reference="only" initial-page-number="1">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER *********************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="10pt">
						<xsl:call-template name="SeitenKopf"/>
						<!--<xsl:apply-templates select="//data/theMessage/Terminkalender/titel"/>-->

					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY *****************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Courier" font-size="8pt" text-align="start">
						
							<xsl:apply-templates select="//Terminkalender/Termine/Termin"/>
						
						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für SeitenKopf-->
	<!-- *******************************************************-->
	<xsl:template name="SeitenKopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
															<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(0.2)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(35)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(14)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(10)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell/>
						<fo:table-cell/>
						<fo:table-cell>
							<fo:block text-align="end">
								<fo:inline>
									<!--Stand v. <xsl:value-of select="//Terminkalender/datum"/>(07.10.2003)-->
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block text-align="end">
								<fo:inline>
									Seite:  <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1.0pt">
							<fo:block text-align="start">
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="1pt" number-columns-spanned="3">
							<fo:block text-align="start" font-family="Helvetica" font-size="11pt"
																	 font-weight="bold">						 
									Aufträge pro Termin   			 
								<fo:inline font-size="10">Zeitraum: </fo:inline>	 
									<xsl:value-of select="//Terminkalender/Termine/Zeitraum"/>  
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für   Eigenfertigung  Statistik-->
	<!-- *******************************************************-->
	<xsl:template match="Termin">
		<xsl:for-each select=".">
			<xsl:if test="string-length(./Terminart/*) > 0">
				<fo:block font-size="12pt" font-family="Helvetica" font-weight="bold" text-align="start" start-indent="15pt">
					<xsl:value-of select="./Datum"/>
				</fo:block>
				</xsl:if>
			<xsl:for-each select="./Terminart">
				<xsl:if test="string-length(.) > 0">
					<fo:block font-size="11pt" font-family="Helvetica" font-weight="bold" text-align="center">
						<xsl:value-of select="./BlockTitel"/>
					</fo:block>
					<xsl:call-template name="return"/>
					<fo:table table-layout="fixed">
						<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
							<xsl:value-of select="$masse"/></xsl:attribute>
						<fo:table-column column-number="1" column-width="proportional-column-width(2)"/>
						<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
						<fo:table-column column-number="3" column-width="proportional-column-width(3.5)"/>
						<fo:table-column column-number="4" column-width="proportional-column-width(1)"/>
							<fo:table-header background-color="lightgray" display-align="center">
								<fo:table-row>
									<xsl:for-each select="//Terminkalender/titel/*">
										<fo:table-cell border-bottom-style="solid" border-bottom-width="1pt">
											<xsl:if test="position()=last()">
												<fo:block text-align="end" font-size="7pt" padding-top="4pt" end-indent="5pt"
													 padding-after="3pt" font-family="Helvetica">
													<xsl:value-of select="."/>
												</fo:block>
											</xsl:if>
											<xsl:if test="position()!=last()">
												<fo:block text-align="start" font-size="7pt" padding-top="4pt"
													 padding-after="3pt" font-family="Helvetica">
													<xsl:value-of select="."/>
												</fo:block>
											</xsl:if>
										</fo:table-cell>
									</xsl:for-each>
								</fo:table-row>
							</fo:table-header>
							<fo:table-body>	
								<xsl:for-each select="./Abruf">
									<fo:table-row>
										<xsl:for-each select="./*">
											<fo:table-cell padding-top="1pt" border-bottom="1pt solid gray">
												<xsl:if test="position()=last()">
													<fo:block text-align="end" end-indent="5pt" font-size="8pt">
														<xsl:value-of select="."/>
													</fo:block>
												</xsl:if>
												<xsl:if test="position()!=last()">
													<fo:block text-align="start" font-size="8pt">
														<xsl:value-of select="."/>
													</fo:block>
												</xsl:if>
											</fo:table-cell>
										</xsl:for-each>
									</fo:table-row>
								</xsl:for-each>	
							</fo:table-body>
						</fo:table>	
						<xsl:call-template name="return"/>
						<xsl:call-template name="return"/>

					</xsl:if>
				</xsl:for-each>
				
			</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template -->
	<!-- *******************************************************-->
		<xsl:template match="BlockTitel">
			<xsl:value-of select="."/>		
		</xsl:template>
<!--#######################-->
<!--'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''-->	
</xsl:stylesheet>
