<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- eigene Variablen_________________________________________ -->
	<xsl:variable name="freeline">1pt</xsl:variable>
	<xsl:variable name="pagewidth">21</xsl:variable>
	<xsl:variable name="pageheight">29.7</xsl:variable>
	<xsl:variable name="right">2</xsl:variable>
	<xsl:variable name="left">2</xsl:variable>
	<xsl:variable name="bottom">2</xsl:variable>
	<xsl:variable name="top">2</xsl:variable>
	<xsl:variable name="masse">cm</xsl:variable>
	<xsl:variable name="normBreite">
		<xsl:value-of select="($pagewidth -$right -$left)"/>
	</xsl:variable>
	<!-- Start Template /_____________________________________________- -->
	<xsl:template match="/">
		<!-- _______________________________R O O T___________________- -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<!--______________________________________ defines page layout -->
			<fo:layout-master-set>
				<!-- layout for the first page -->
				<fo:simple-page-master master-name="only">
					<xsl:attribute name="page-width"><xsl:value-of select="$pagewidth"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="page-height"><xsl:value-of select="$pageheight"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-left"><xsl:value-of select="$left"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-right"><xsl:value-of select="$right"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-top"><xsl:value-of select="$top"/>
					<xsl:value-of select="$masse"/></xsl:attribute>
					<xsl:attribute name="margin-bottom"><xsl:value-of select="$bottom"/>
					<xsl:value-of select="$masse"/></xsl:attribute>

					<fo:region-before precedence="true" extent="1.5cm"/>
					<fo:region-body margin-top="1cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<!-- end: defines page layout _________________________________________-->
			<!-- actual layout ___________________________________________________-->
			<fo:page-sequence master-reference="only">
				<!-- usage of page layout -->
				<!-- ************************************ HEADER ********************************************-->
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-family="Helvetica" font-size="10pt">
						<xsl:call-template name="SeitenKopf"/>  
					</fo:block>
				</fo:static-content>
				<!-- ************************************ BODY ********************************************-->
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-family="Helvetica" font-size="10pt" text-align="start">
					<xsl:apply-templates select="//Vorkalkulationsprotokoll/data"/>
						<xsl:apply-templates select="//Auftrag"/>
						<xsl:apply-templates select="//Produktbeschreibung"/>	  
						<!--xsl:apply-templates select="//Zuschussbogen"/>
						<xsl:apply-templates select="//Vorkalkulationsprotokoll/Komponente"/>
						<xsl:call-template name="make-line"/>
						<xsl:apply-templates select="//Vorkalkulationsprotokoll/Summen"/-->
						<fo:block id="endofdoc"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
		<!-- ** FO END  ***********************************************   -->
	</xsl:template>
	<!-- ** process  element-nodes  **    -->
	<!-- *******************************************************-->
	<!--Template  für SeitenKopf-->
	<!-- *******************************************************-->
	<xsl:template name="SeitenKopf">
		<fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.5)"/>
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt"
																		 padding-left="0.5cm">
							<fo:block text-align="start" font-weight="bold" font-size="12pt">
								<fo:inline>
									<xsl:value-of select="//auftragsnummer"/>   
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt">
							<fo:block text-align="start" font-size="12pt" font-weight="bold">
								<fo:inline>
									<!--<xsl:value-of select="./Titel"/>--> Vorkalkulationsprotokoll
								</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell border-bottom-style="solid" border-bottom-width="0.5pt" 
						padding-right="0.5cm">
							<fo:block text-align="end">
								<fo:inline>
									<xsl:value-of select="//datum"/>  
									Seite:  <fo:page-number/> / <fo:page-number-citation ref-id="endofdoc"/>
								</fo:inline>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für AuftragKopf-->
	<!-- *******************************************************-->
	<xsl:template match="Auftrag">
		<fo:table border="1pt solid black" padding-top="0.5cm" padding-bottom="0.5cm" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell padding-left="1cm">
							<fo:block text-align="start">
								<xsl:value-of select="name(.)"/>:
								<xsl:if test=" name(.)='Kunde'">
									<xsl:call-template name="return"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-right="3.5pt">
							<fo:block>
								<xsl:if test=" name(.)='Kunde'">
									<xsl:attribute name="font-weight">bold</xsl:attribute>
								</xsl:if>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>						
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!--DATA-->
	<xsl:template match="data">
		<fo:table border-width="1pt" border-style="solid" padding-top="5pt"
								 padding-bottom="5pt" table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/><xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell padding-left="7pt">
								<fo:block>
								<xsl:if test="name(.)='kunde'">
									<fo:inline font-weight="bold"> Kunde:
									</fo:inline>
									<xsl:call-template name="return"/>
								</xsl:if>
								<xsl:if test="name(.)='auftragsnummer'">Auftragsnummer:</xsl:if>
								<xsl:if test="name(.)='titel'">Titel:</xsl:if>
								<xsl:if test="name(.)='besteller'">Besteller:</xsl:if>
								<xsl:if test="name(.)='bestellTyp'">Bestellt:</xsl:if>
								<xsl:if test="name(.)='bestellDatum'">Bestellt am:</xsl:if>
								<xsl:if test="name(.)='telefon'">Telefon:</xsl:if>
								<xsl:if test="name(.)='fax' and string-length(.)>0">Fax:</xsl:if>
								<xsl:if test="name(.)='sachbearbeiter'">Sachbearbeiter:</xsl:if>
								<xsl:if test="name(.)='auflage'">Auflage:</xsl:if>
								<xsl:if test="name(.)='preis' and string-length(.)>0">Preis:</xsl:if>
								<xsl:if test="name(.)='fremdeNummer' and string-length(.)>0">fremde Nummer:</xsl:if>
								<xsl:if test="name(.)='liefertermin' and string-length(.)>0">Liefertermin:</xsl:if>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
							<xsl:if test="name(.)='kunde'">
								<fo:block font-weight="bold">
									<xsl:value-of select="."/>
								</fo:block>
							</xsl:if>
							<xsl:if test="name(.)!='kunde'">
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
							</xsl:if>

						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template  für Produktbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Produktbeschreibung">
		<xsl:apply-templates select="./BlockTitel"/>
		
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
											<xsl:value-of select="$masse"/></xsl:attribute>			
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
				<fo:table-body>
		<xsl:for-each select="./*"> <!--format-->
		<xsl:for-each select="./*"> <!--pbeschreibung-->
			<fo:table-row>
				<xsl:if test="string-length(./value[1]) >0 or string-length(./value[2]) >0
							or string-length(./value[3]) >0 or string-length(./value[4]) >0
							or string-length(./value[5]) >0 or string-length(./value[6]) >0">
					<xsl:for-each select="./key">
						<fo:table-cell padding-top="1pt">
							<fo:block>
								<xsl:value-of select="."></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</xsl:if>	
					<fo:table-cell>
					<fo:table table-layout="fixed">
					<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite div 3 * 2)"/>
					<xsl:value-of select="$masse"/></xsl:attribute>			
						<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
					<fo:table-body>
					<xsl:for-each select="./value">
					<fo:table-row>
						<fo:table-cell>
						<fo:block>
						<xsl:value-of select="."/>
					</fo:block>
					</fo:table-cell>
				</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
			</fo:table>
			</fo:table-cell>
			</fo:table-row>
		</xsl:for-each>
	</xsl:for-each>
		
</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Komponente-->
	<!-- *******************************************************-->
	<xsl:template match="Komponente">
	<xsl:for-each select=".">
		<fo:block font-size="12pt" font-weight="bold" text-decoration="underline"><xsl:value-of select="./BlockTitel"/></fo:block>
		<xsl:apply-templates select="./Parameter"/>
		<xsl:apply-templates select="./Bogeneinteilung"/>
		<xsl:apply-templates select="./Notizen"/>
		<!--<xsl:apply-templates select="./Arbeitsvorgaenge"/>-->
		<xsl:apply-templates select="./Materialien"/>
		<!--<xsl:apply-templates select="./Summen"/>-->
	</xsl:for-each>	
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für ZuschussBogen-->
	<!-- *******************************************************-->
	<xsl:template match="Zuschussbogen">
	<xsl:for-each select="./Komponenten/Komponente">
	<fo:block font-weight="bold" padding-before="3pt"><xsl:value-of select="./Titel"></xsl:value-of></fo:block>

		<fo:table table-layout="fixed" border-after-style="solid" border-width="1pt">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
														<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1.2)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(1.1)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.9)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(0.5)"/>
			<fo:table-column column-number="5" column-width="proportional-column-width(0.7)"/>
			<fo:table-column column-number="6" column-width="proportional-column-width(0.8)"/>
			<fo:table-column column-number="7" column-width="proportional-column-width(0.8)"/>
		
			<fo:table-header>
				<fo:table-row>
					<xsl:for-each select="//Zuschussbogen/titel/*">
						<fo:table-cell background-color="lightgray"
						 border-bottom="solid 1pt black" border-right="solid 1pt gray" padding-top="2pt">
							<fo:block text-align="start" font-size="9pt">
								<xsl:if test="position()=4 or position()=5">
									<xsl:attribute name="text-align">end</xsl:attribute>
									<xsl:attribute name="end-indent">2pt</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()=6">
									<xsl:attribute name="text-align">end</xsl:attribute>
									<xsl:attribute name="end-indent">10pt</xsl:attribute>
								</xsl:if>
								<xsl:if test="position()=last()">
									<xsl:attribute name="text-align">end</xsl:attribute>
									<xsl:attribute name="end-indent">2pt</xsl:attribute>
								</xsl:if>

								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
			<xsl:for-each select="./Zuschuss">
					<fo:table-row>
							<xsl:for-each select="*">
							<fo:table-cell padding-top="1pt" border-right="solid 1pt lightgray">
								<fo:block text-align="start" font-size="9pt">
									<xsl:if test="name(.)='netto'">
										<xsl:attribute name="text-align">end</xsl:attribute>
										<xsl:attribute name="end-indent">2pt</xsl:attribute>
									</xsl:if>
									<xsl:if test="name(.)='Papier'">
										
										<xsl:attribute name="start-indent">3pt</xsl:attribute>
									</xsl:if>

									<xsl:if test="name(.)='Zuschuss' or name(.)='Format'">
										<xsl:attribute name="text-align">end</xsl:attribute>
										<xsl:attribute name="end-indent">2pt</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		</xsl:for-each>
		
	</xsl:template>
	
	<!-- *******************************************************-->
	<!--Template  für Arbeitsvorgänge Tabelle, wenn Text und Zielformat leer sind-->
	<!-- *******************************************************-->
	<xsl:template match="Arbeitsvorgaenge">
		<xsl:apply-templates select="./BlockTitel"/>
		
		<xsl:for-each select="./*[not(name(.)='BlockTitel' or name(.)='Avg-Summe')]">
		<fo:block><xsl:value-of select="name(.)"></xsl:value-of></fo:block>

		<xsl:choose>
		<xsl:when test="count(./titel/*)=10">
				<xsl:call-template name="tabelle10"/>
		</xsl:when>
		<xsl:when test="count(./titel/*)=9">
				<xsl:call-template name="tabelle9"/>
		</xsl:when>
		<xsl:when test="count(./titel/*)=8">
				<xsl:call-template name="tabelle8"/>
		</xsl:when>
		<xsl:otherwise>
				<xsl:call-template name="tabelle7"/>
		</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	
	<!-- *******************************************************-->
	<!--Template  für Arbeitsvorgänge Tabelle, wenn Text und Zielformat nicht leer sind-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle10">
	<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(0.7)"/>
				<!--fo:table-column column-number="2" column-width="proportional-column-width(2.1)"/-->
				<fo:table-column column-number="2" column-width="proportional-column-width(1.8)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(1.3)"/>
				<!--fo:table-column column-number="8" column-width="proportional-column-width(1.4)"/>
				<fo:table-column column-number="9" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="10" column-width="proportional-column-width(1.2)"/-->
				<!--fo:table-column column-number="8" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="9" column-width="proportional-column-width(1.5)"/-->
				<fo:table-column column-number="8" column-width="proportional-column-width(2.0)"/>
				<fo:table-column column-number="9" column-width="proportional-column-width(0.8)"/>
				<fo:table-column column-number="10" column-width="proportional-column-width(0.8)"/>
				<fo:table-header>
					<fo:table-row>
						<xsl:for-each select="./titel/*">
							<fo:table-cell background-color="lightgray" border-bottom="1pt solid black" 
						border-right="1pt solid gray"	 padding-top="2pt" padding-bottom="2pt">
								<fo:block text-align="start" font-size="8pt">
										<xsl:if test=".='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
										</xsl:if>

									<xsl:if test=".='hh-mm'">hh:mm</xsl:if>
									<xsl:if test=".!='hh-mm'"><xsl:value-of select="."/></xsl:if>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
				
					<xsl:for-each select="./Arbeitsvorgang">
						<fo:table-row>
							<xsl:for-each select="*">
								<fo:table-cell text-align="start" start-indent="1pt" padding-top="1pt" padding-bottom="1pt" border-right="1pt solid lightgray">
									<fo:block font-size="8pt">
										<xsl:if test="name(.)='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>

										</xsl:if>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
					<xsl:for-each select="./Avg-Summe">
						<fo:table-row>
							<xsl:for-each select="*[not(name(.)='AVG' or name(.)='Arbeitsplatz') ] ">
								<fo:table-cell text-align="start"  border-top-style="solid" 
								border-top-width="1.0pt" padding-top="3pt">
									<xsl:if test="name(.)='Anzahl' ">
										<xsl:attribute name="number-columns-spanned">3</xsl:attribute>
									</xsl:if>
									<fo:block font-size="8pt" font-weight="bold">
										<xsl:if test="name(.)='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
										</xsl:if>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
			<xsl:call-template name="return"/>
		
</xsl:template>
	
	<!-- *******************************************************-->
	<!--Template  für Arbeitsvorgänge Tabelle, wenn Text oder Zielformat leer ist-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle9">
	
	<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(0.7)"/>
				<!--fo:table-column column-number="2" column-width="proportional-column-width(2.9)"/-->
				<fo:table-column column-number="2" column-width="proportional-column-width(2.6)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(1.3)"/>
				<!--fo:table-column column-number="7" column-width="proportional-column-width(1.4)"/>
				<fo:table-column column-number="8" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="9" column-width="proportional-column-width(1.2)"/-->
				<fo:table-column column-number="7" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="8" column-width="proportional-column-width(1.5)"/>
				<fo:table-column column-number="9" column-width="proportional-column-width(0.8)"/>			
				<fo:table-header>
					<fo:table-row>
						<xsl:for-each select="./titel/*">
							<fo:table-cell background-color="lightgray" border-bottom="1pt solid gray" 
							 padding-top="2pt" padding-bottom="2pt" border-right="1pt solid gray">
								<fo:block text-align="start" font-size="8pt">
										<xsl:if test=".='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
										</xsl:if>

									<xsl:if test=".='hh-mm'">hh:mm</xsl:if>
									<xsl:if test=".!='hh-mm'"><xsl:value-of select="."/></xsl:if>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
				
					<xsl:for-each select="./Arbeitsvorgang">
						<fo:table-row>
							<xsl:for-each select="*">
								<fo:table-cell text-align="start" start-indent="1pt" padding-top="1pt" padding-bottom="1pt" border-right="1pt solid lightgray">

									<fo:block font-size="8pt">
										<xsl:if test="name(.)='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>

										</xsl:if>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
					<xsl:for-each select="./Avg-Summe">
						<fo:table-row>
							<xsl:for-each select="*[not(name(.)='AVG' or name(.)='Arbeitsplatz') ] ">
								<fo:table-cell text-align="start"  border-top-style="solid" 
								border-top-width="1.0pt" padding-top="3pt">
									<xsl:if test="name(.)='Anzahl' ">
										<xsl:attribute name="number-columns-spanned">3</xsl:attribute>
									</xsl:if>
									<fo:block font-size="8pt" font-weight="bold">
										<xsl:if test="name(.)='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
										</xsl:if>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
			<xsl:call-template name="return"/>
		
</xsl:template>

	
	<!-- *******************************************************-->
	<!--Template  für Arbeitsvorgänge Tabelle, wenn Text und Zielformat leer sind-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle8">
	<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(0.7)"/>
				<!--fo:table-column column-number="2" column-width="proportional-column-width(3.7)"/-->
				<fo:table-column column-number="2" column-width="proportional-column-width(2.5)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(1.3)"/>
				<!--fo:table-column column-number="6" column-width="proportional-column-width(1.9)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="8" column-width="proportional-column-width(1.2)"/-->
				<fo:table-column column-number="6" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(1.7)"/>
				<!--fo:table-column column-number="8" column-width="proportional-column-width(0.8)"/-->
				<fo:table-column column-number="8" column-width="proportional-column-width(2.0)"/>
				<fo:table-header>
					<fo:table-row>
						<xsl:for-each select="./titel/*">
							<fo:table-cell background-color="lightgray" border-bottom="1pt solid gray" 
							 padding-top="2pt" padding-bottom="2pt" border-right="1pt solid gray">

								<fo:block text-align="start" font-size="8pt">
										<xsl:if test=".='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
										</xsl:if>
									<xsl:if test=".='hh-mm'">hh:mm</xsl:if>
									<xsl:if test=".!='hh-mm'"><xsl:value-of select="."/></xsl:if>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="./Arbeitsvorgang">
						<fo:table-row>
							<xsl:for-each select="*">
								<fo:table-cell text-align="start" start-indent="1pt" padding-top="1pt" padding-bottom="1pt" border-right="1pt solid lightgray">

									<fo:block font-size="8pt">
										<xsl:if test="name(.)='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
										</xsl:if>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
					<xsl:for-each select="./Avg-Summe">
						<fo:table-row>
							<xsl:for-each select="*[not(name(.)='AVG' or name(.)='Arbeitsplatz') ] ">
								<fo:table-cell text-align="start"  border-top-style="solid" 
								border-top-width="1.0pt" padding-top="3pt">
									<xsl:if test="name(.)='Anzahl' ">
										<xsl:attribute name="number-columns-spanned">3</xsl:attribute>
									</xsl:if>
									<fo:block font-size="8pt" font-weight="bold">
										<xsl:if test="name(.)='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
										</xsl:if>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
			<xsl:call-template name="return"/>
		
</xsl:template>

	<!-- *******************************************************-->
	<!--Template  für Arbeitsvorgänge Tabelle, wenn Text und Zielformat leer sind-->
	<!-- *******************************************************-->
	<xsl:template name="tabelle7">
	<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(3.7)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(0.7)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(1.3)"/>
				<!--fo:table-column column-number="6" column-width="proportional-column-width(1.9)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(0.7)"/-->
				<fo:table-column column-number="6" column-width="proportional-column-width(1.7)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(0.8)"/>
				<fo:table-header>
					<fo:table-row>
						<xsl:for-each select="./titel/*">
							<fo:table-cell background-color="lightgray" border-bottom="1pt solid gray" 
							 padding-top="2pt" padding-bottom="2pt" border-right="1pt solid gray">

								<fo:block text-align="start" font-size="8pt">
										<xsl:if test=".='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
										</xsl:if>
									<xsl:if test=".='hh-mm'">hh:mm</xsl:if>
									<xsl:if test=".!='hh-mm'"><xsl:value-of select="."/></xsl:if>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="./Arbeitsvorgang">
						<fo:table-row>
							<xsl:for-each select="*">
								<fo:table-cell text-align="start" start-indent="1pt" padding-top="1pt" padding-bottom="1pt" border-right="1pt solid lightgray">

									<fo:block font-size="8pt">
										<xsl:if test="name(.)='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
										</xsl:if>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
					<xsl:for-each select="./Avg-Summe">
						<fo:table-row>
							<xsl:for-each select="*[not(name(.)='AVG' or name(.)='Arbeitsplatz') ] ">
								<fo:table-cell text-align="start"  border-top-style="solid" 
								border-top-width="1.0pt" padding-top="3pt">
									<xsl:if test="name(.)='Anzahl' ">
										<xsl:attribute name="number-columns-spanned">3</xsl:attribute>
									</xsl:if>
									<fo:block font-size="8pt" font-weight="bold">
										<xsl:if test="name(.)='Summe'">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
										</xsl:if>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
			<xsl:call-template name="return"/>
		
</xsl:template>

	<!-- *******************************************************-->
	<!--Template  Parameter-->
	<!-- *******************************************************-->
	<xsl:template match="Parameter">
		<fo:block>
			<xsl:apply-templates select="./BlockTitel"/>
			<xsl:apply-templates select="./ProduktParameter"/>
			<!--xsl:apply-templates select="./Produkteingaben"/-->
			<xsl:apply-templates select="./Blattbeschreibungen"/>	
			<xsl:apply-templates select="./Farbeingaben"/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für ProduktParameter-->
	<!-- *******************************************************-->
	<xsl:template match="ProduktParameter">
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="name(.)"/>:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  Farben-->
	<!-- *******************************************************-->
	<!--xsl:template match="Farbeingaben">
		<xsl:apply-templates select="./BlockTitel"/>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="./*[not(name(.)='BlockTitel')]">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="./value">
							<xsl:if test="position() &lt;= 6">
								<fo:table-cell>
									<fo:block>
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</xsl:if>
						</xsl:for-each>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:call-template name="return"/>
		<xsl:if test="count(./Blätter/*) &gt;= 6">
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
				
				<fo:table-body>
					<xsl:for-each select="./*[not(name(.)='BlockTitel')]">
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="./key"/>
								</fo:block>
							</fo:table-cell>
							<xsl:for-each select="./value">
								<xsl:if test="position() &gt;= 6">
									<fo:table-cell>
										<fo:block>
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:if>
							</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		<xsl:call-template name="return"/>
	</xsl:template-->
	<xsl:template match="Farbeingaben">
		<xsl:apply-templates select="./BlockTitel"/>
		<xsl:apply-templates select="./Notiz"/>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.7)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.7)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(0.6)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./value[1]"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./value[2]"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./value[3]"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:if test="count(./AlleBlaetter/value)&gt;3">
			<xsl:call-template name="return"/>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.7)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.7)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(0.6)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./value[4]"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./value[5]"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./value[6]"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		</xsl:if>
	</xsl:template>

	<!-- *******************************************************-->
	<!--Produkteingaben-->
	<!-- *******************************************************-->
	 <!--xsl:template match="Produkteingaben">
	 	<xsl:apply-templates select="./BlockTitel"/>
	 	<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(2)"/>
			<fo:table-body>
				<xsl:for-each select="./Blattbeschreibung/*">
					<fo:table-row>
						<xsl:call-template name="Format"/>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	 </xsl:template-->
	
	<!-- *******************************************************-->
	<!--Template  für Zeile mit Umbruch-->
	<!-- *******************************************************-->
	<xsl:template match="Titel|BlockTitel">
		<fo:block font-weight="bold" font-size="11pt">
			<xsl:call-template name="return"/>
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Notiz-->
	<!--http://www.goldmann.de/das+stylsheet_tipp_190_k0.html-->
	<!-- *******************************************************-->
	<xsl:template match="Notiz">
		<fo:block font-size="10pt">
			<xsl:call-template name="return"/>
			<xsl:call-template name="ersetzen"> 
				<xsl:with-param name="string" select="."/>
			</xsl:call-template>
		</fo:block>
	</xsl:template>
	
	<xsl:template name="ersetzen"> 
		<xsl:param name="string"/> 
		<xsl:choose> 
			<xsl:when test="contains($string,'\n')"> 
				<xsl:value-of select="substring-before($string,'\n')"/> 
				<xsl:call-template name="return"/>
				<xsl:call-template name="ersetzen"> 
					<xsl:with-param name="string" select="substring-after($string,'\n')"/> 
				</xsl:call-template> 
			</xsl:when> 
		<xsl:otherwise> 
			<xsl:value-of select="$string"/> 
		</xsl:otherwise> 
		</xsl:choose> 
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Notizen-->
	<!-- *******************************************************-->
	<xsl:template match="Notizen">
		<!--xsl:apply-templates select="./BlockTitel"/>
		<xsl:for-each select="./*[not(name(.)='BlockTitel']"-->
		<xsl:if test="count(./*)&gt;0">
			<fo:block font-weight="bold" font-size="11pt">
				<xsl:call-template name="return"/>
				Notizen
			</fo:block>
		</xsl:if>
		<xsl:for-each select="./*">
			<fo:block font-size="10pt">
				<xsl:call-template name="return"/>
				<xsl:value-of select="./Titel"/>
		</fo:block>
		<xsl:apply-templates select="./Notiz"/>
	</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Text-->
	<!-- *******************************************************-->
	<!--xsl:template name="Format">
		<fo:table-cell>
			<fo:block>
				<xsl:value-of select="name(.)"/>
			</fo:block>
		</fo:table-cell>
		<fo:table-cell>
			<fo:block>
				<xsl:value-of select="."/>
			</fo:block>
		</fo:table-cell>
	</xsl:template-->
	<!-- *******************************************************-->
	<!--Template  für Tabelle mit 2 Spalten Positionsbeschreibung-->
	<!-- *******************************************************-->
	<xsl:template match="Bogeneinteilung">
		<xsl:apply-templates select="./BlockTitel"/>
		<xsl:apply-templates select="./Notiz"/>
		<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-column column-number="2" column-width="proportional-column-width(0.7)"/>
			<fo:table-column column-number="3" column-width="proportional-column-width(0.7)"/>
			<fo:table-column column-number="4" column-width="proportional-column-width(0.6)"/>
			<fo:table-body>
				<xsl:for-each select="*">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./key"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./value[1]"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./value[2]"/>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block>
									<xsl:value-of select="./value[3]"/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="return">
		<fo:block>
			<xsl:attribute name="space-before.optimum"><xsl:value-of select="$freeline"/></xsl:attribute>
		</fo:block>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template fur return-->
	<!-- *******************************************************-->
	<xsl:template name="make-line">
		<fo:block>
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<fo:table-row height="10pt">
					<fo:table-cell border-top="2pt solid black" padding-top="15pt">
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		</fo:block>
	</xsl:template>

	<!-- *******************************************************-->
	<!--Template make-tab-line-->
	<!-- *******************************************************-->
	<xsl:template name="make-tab-line">
		
			<fo:table table-layout="fixed">
			<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
			<xsl:value-of select="$masse"/></xsl:attribute>
			<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell border-top="1pt solid black">
						<fo:block/>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für  Fremdarbeiten -->
	<!-- *******************************************************-->
	<xsl:template match="Fremdarbeiten">
		<xsl:apply-templates select="./BlockTitel"/>
		<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(1)"/>
				
				<fo:table-header>
					<fo:table-row>
							<fo:table-cell background-color="lightgray"
							 border-bottom="1pt solid black" number-columns-spanned="5"
							  padding-top="2pt" padding-bottom="2pt">
							</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				
				<fo:table-body>
				<fo:table-row>
					<xsl:for-each select="fremdkosten/*">
						<fo:table-cell padding-top="1pt">
						<xsl:if test="position()=5">
							<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
						</xsl:if>
							<fo:block font-size="9pt">
								<xsl:value-of select="."></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</xsl:for-each>
					</fo:table-row>
					<fo:table-row>
					<fo:table-cell number-columns-spanned="2" border-top="1pt solid black" padding-top="3pt">
						<fo:block font-size="8pt" font-weight="bold">Summe Fremdarbeiten:</fo:block>
					</fo:table-cell>
						<fo:table-cell number-columns-spanned="3" border-top="1pt solid black" padding-top="3pt">
							<fo:block font-size="9pt" font-weight="bold" text-align="end" end-indent="2pt"
							font-family="Courier">
								<xsl:value-of select="summe/Summe"></xsl:value-of>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>

				</fo:table-body>
			</fo:table>
	</xsl:template>
	<!-- *******************************************************-->
	<!--Template  für Materialien-->
	<!-- *******************************************************-->
	<!--<xsl:template match="Materialien">
		<xsl:apply-templates select="./BlockTitel"/>
		<xsl:apply-templates select="./Formerstellung"/>
		<xsl:apply-templates select="./Vorschneiden"/>
		<xsl:apply-templates select="./Druck"/>
		<xsl:apply-templates select="./Versand"/>
		<xsl:apply-templates select="./Summen"/>	
	</xsl:template>-->
	<!-- *******************************************************-->
	<!--Template  für Materialien __*__ -->
	<!-- *******************************************************-->
	<xsl:template match="Materialien">
	<xsl:apply-templates select="./BlockTitel"/>
	<xsl:for-each select="./*[not(name(.)='BlockTitel')]">

		<!--<xsl:for-each select="./*">-->
		<fo:block><xsl:value-of select="name(.)"></xsl:value-of></fo:block>
			<fo:table table-layout="fixed">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/></xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1.4)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1.5)"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(3)"/>
				<fo:table-column column-number="4" column-width="proportional-column-width(2)"/>
				<fo:table-column column-number="5" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="6" column-width="proportional-column-width(1.3)"/>
				<fo:table-column column-number="7" column-width="proportional-column-width(1.7)"/>
				<fo:table-column column-number="8" column-width="proportional-column-width(2.5)"/>
				<fo:table-column column-number="9" column-width="proportional-column-width(1.3)"/>
				<fo:table-header>
					<fo:table-row>
						<xsl:for-each select="./titel/*">
							<fo:table-cell background-color="lightgray" border-bottom="1pt solid black"
													padding-top="2pt" border-right="1pt solid gray"
													  padding-bottom="2pt">
								<fo:block text-align="start" font-size="8pt">
									<xsl:if test="position()=9">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
											</xsl:if>

									<xsl:value-of select="."/>
								</fo:block>
							</fo:table-cell>
						</xsl:for-each>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
				<xsl:apply-templates select="./Material"/>
				<xsl:apply-templates select="./Material-Summe"/>
			</fo:table-body>
		</fo:table>
		</xsl:for-each>
	</xsl:template>
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<xsl:template match="Material">
	<xsl:for-each select=".">
						<fo:table-row>
								<xsl:for-each select="./*">
									<fo:table-cell padding-after="1pt" padding-top="1pt" border-right="1pt solid lightgray">

										<fo:block font-size="8pt">
										<xsl:if test="position()=9">
											<xsl:attribute name="text-align">end</xsl:attribute>
											<xsl:attribute name="end-indent">3pt</xsl:attribute>
											<xsl:attribute name="font-family">Courier</xsl:attribute>
											<xsl:attribute name="font-weight">bold</xsl:attribute>
											</xsl:if>
											<xsl:value-of select="."/>
										</fo:block>
									</fo:table-cell>
								</xsl:for-each>
						</fo:table-row>
					</xsl:for-each>	
		</xsl:template>
		<!-- *******************************************************-->
	<!-- *******************************************************-->
	<!-- *******************************************************-->
	<xsl:template match="Material-Summe">
	<xsl:for-each select=".">
			<fo:table-row>
			<xsl:for-each select="./*">
				<xsl:if test="position()=1">
					<fo:table-cell number-columns-spanned="3" padding-top="3pt" padding-bottom="5pt"
														 border-before-style="solid" border-before-width="1pt">
							<fo:block text-align="start" font-size="8pt" font-weight="bold">
								<xsl:value-of select="."/>
							</fo:block>
					</fo:table-cell>
				</xsl:if>
				<xsl:if test="position()=9">
					<fo:table-cell padding-top="3pt" padding-bottom="5pt"
														 border-before-style="solid" border-before-width="1pt">
								<fo:block text-align="end" font-size="8pt" font-weight="bold" font-family="Courier" end-indent="3pt">
								<xsl:value-of select="."/>
							</fo:block>
					</fo:table-cell>
				</xsl:if>
				<xsl:if test="position()>3">
					<fo:table-cell padding-top="3pt" padding-bottom="5pt"  border-before-style="solid"
																				 border-before-width="1pt">
						<fo:block font-size="9pt" font-weight="bold" font-family="Courier" end-indent="3pt">
							<xsl:value-of select="."/>
						</fo:block>
					</fo:table-cell>
				</xsl:if>
			</xsl:for-each> 
		</fo:table-row>
	</xsl:for-each>	
		</xsl:template>
	<!-- *******************************************************-->
		<xsl:template match="Summen">
		<fo:block font-size="9pt" font-weight="bold">
		<xsl:value-of select="./BlockTitel"/>
		</fo:block>
			<fo:table table-layout="fixed" padding-top="5pt">
				<xsl:attribute name="inline-progression-dimension"><xsl:value-of select="($normBreite)"/>
				<xsl:value-of select="$masse"/>
				</xsl:attribute>
				<fo:table-column column-number="1" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="2" column-width="proportional-column-width(1)"/>
		<fo:table-body>
				<xsl:for-each select="*[not(name(.)='BlockTitel')]">
					<fo:table-row>
						<fo:table-cell padding-after="2pt" padding-top="3pt"
						 border-after-width="1pt" border-after-style="solid">
							<fo:block text-align="start" font-weight="bold" font-size="8pt">
								<xsl:value-of select="name(.)"/>:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-after="2pt" padding-top="3pt"
						 border-after-width="1pt" border-after-style="solid">
							<fo:block text-align="end" end-indent="3pt"  font-weight="bold"
							 font-size="8pt" font-family="Courier">
								<xsl:value-of select="."/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		</xsl:template>

	
</xsl:stylesheet>
